/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var config_exports = {};
__export(config_exports, {
  MICRO_LC_MOUNT_POINT: () => MICRO_LC_MOUNT_POINT,
  defaultConfig: () => defaultConfig,
  mergeConfig: () => mergeConfig
});
module.exports = __toCommonJS(config_exports);
var import_composer = __toESM(require("@micro-lc/composer/composer.production?url"), 1);
var import__ = __toESM(require("./assets/401.html?url"), 1);
var import__2 = __toESM(require("./assets/404.html?url"), 1);
var import__3 = __toESM(require("./assets/500.html?url"), 1);
var import_lib = require("./web-component/lib/index.js");
const MICRO_LC_MOUNT_POINT = "__MICRO_LC_MOUNT_POINT";
const defaultConfig = {
  applications: {},
  importmap: {},
  layout: { content: { tag: "slot" } },
  settings: {
    "4xx": {
      401: {
        entry: import__.default,
        integrationMode: "parcel"
      },
      404: {
        entry: import__2.default,
        integrationMode: "parcel"
      }
    },
    "5xx": {
      500: {
        entry: import__3.default,
        integrationMode: "parcel"
      }
    },
    composerUri: import_composer.default,
    defaultUrl: "./"
  },
  shared: { properties: {} },
  version: 2
};
const patchApplicationsOntoDocument = (document, applications) => Object.entries(applications).reduce((apps, [key, nextApp]) => {
  if ("route" in nextApp) {
    apps[key] = {
      ...nextApp,
      route: (0, import_lib.computeAbsoluteRoute)(document, nextApp.route)
    };
  }
  if ("config" in nextApp && typeof nextApp.config === "string") {
    apps[key] = {
      ...nextApp,
      config: (0, import_lib.computeAbsoluteRoute)(document, nextApp.config)
    };
  }
  return apps;
}, applications);
function mergeConfig(document, input) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p;
  const def = defaultConfig;
  const defaultUrl = (0, import_lib.computeAbsoluteRoute)(
    document,
    (_b = (_a = input.settings) == null ? void 0 : _a.defaultUrl) != null ? _b : def.settings.defaultUrl
  );
  const applications = patchApplicationsOntoDocument(
    document,
    (_c = input.applications) != null ? _c : def.applications
  );
  return {
    applications,
    importmap: (_d = input.importmap) != null ? _d : def.importmap,
    layout: {
      ...input.layout,
      content: (_f = (_e = input.layout) == null ? void 0 : _e.content) != null ? _f : def.layout.content
    },
    settings: {
      "4xx": {
        ...def.settings["4xx"],
        ...(_g = input.settings) == null ? void 0 : _g["4xx"]
      },
      "5xx": {
        ...def.settings["5xx"],
        ...(_h = input.settings) == null ? void 0 : _h["5xx"]
      },
      composerUri: (_j = (_i = input.settings) == null ? void 0 : _i.composerUri) != null ? _j : def.settings.composerUri,
      defaultUrl,
      mountPoint: (_l = (_k = input.settings) == null ? void 0 : _k.mountPoint) != null ? _l : def.settings.mountPoint,
      mountPointSelector: (_n = (_m = input.settings) == null ? void 0 : _m.mountPointSelector) != null ? _n : def.settings.mountPointSelector
    },
    shared: {
      ...input.shared,
      properties: {
        ...(_p = (_o = input.shared) == null ? void 0 : _o.properties) != null ? _p : def.shared.properties
      }
    },
    version: 2
  };
}
