/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var errors_exports = {};
__export(errors_exports, {
  ErrorCodes: () => ErrorCodes,
  default: () => errors_default
});
module.exports = __toCommonJS(errors_exports);
var ErrorCodes = /* @__PURE__ */ ((ErrorCodes2) => {
  ErrorCodes2["DynamicImportError"] = "0";
  ErrorCodes2["FetchError"] = "1";
  ErrorCodes2["ImportMapError"] = "2";
  ErrorCodes2["InvalidJSONError"] = "20";
  ErrorCodes2["JSONSchemaError"] = "22";
  ErrorCodes2["JSONValidationError"] = "21";
  ErrorCodes2["LifecycleSubscriptionError"] = "30";
  ErrorCodes2["DigestError"] = "40";
  ErrorCodes2["LexerAnalysisEndedInNormalMode"] = "41";
  ErrorCodes2["UpdateError"] = "50";
  ErrorCodes2["RoutingError"] = "51";
  return ErrorCodes2;
})(ErrorCodes || {});
const MICRO_LC = "[micro-lc]";
const errorMap = {
  0: (name, err) => "".concat(MICRO_LC, ": Dynamic import error while importing ").concat(name, " - ").concat(err),
  1: (err) => "".concat(MICRO_LC, ": Fetch/URL error - ").concat(err),
  2: (err) => "".concat(MICRO_LC, ": Something went wrong while updating import maps - ").concat(err),
  20: (file) => "".concat(MICRO_LC, ": Provided JSON is invalid / Wrong 'Content-Type' was provided - ").concat(file),
  21: (file, err) => "".concat(MICRO_LC, ": JSON Validation failed for ").concat(file, " - ").concat(err),
  22: (file, err) => "".concat(MICRO_LC, ": JSON Schema for ").concat(file, " is not valid - ").concat(err),
  30: (err) => "".concat(MICRO_LC, ": Something went wrong while updating a subscription - ").concat(err),
  40: (content, err) => "".concat(MICRO_LC, ": Something went wrong while hashing content ").concat(content, " - ").concat(err),
  41: (content, index) => "".concat(MICRO_LC, ": Lexer could not parse content ").concat(content, ' due to unexpected char "}" at position ').concat(index),
  50: (app, err) => "".concat(MICRO_LC, ": The update for application ").concat(app, " failed - ").concat(err),
  51: (err) => "".concat(MICRO_LC, ": Something went wrong while routing - ").concat(err)
};
var errors_default = errorMap;
