/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var handler_exports = {};
__export(handler_exports, {
  RoutingErrorMessage: () => RoutingErrorMessage,
  errorMap: () => errorMap,
  getPublicPath: () => getPublicPath,
  microlcFetch: () => microlcFetch,
  postProcessTemplate: () => postProcessTemplate
});
module.exports = __toCommonJS(handler_exports);
var RoutingErrorMessage = /* @__PURE__ */ ((RoutingErrorMessage2) => {
  RoutingErrorMessage2["INTERNAL_SERVER_ERROR"] = "INTERNAL_SERVER_ERROR";
  RoutingErrorMessage2["NOT_FOUND"] = "NOT_FOUND";
  RoutingErrorMessage2["UNAUTHORIZED"] = "UNAUTHORIZED";
  return RoutingErrorMessage2;
})(RoutingErrorMessage || {});
const errorMap = {
  401: "UNAUTHORIZED" /* UNAUTHORIZED */,
  404: "NOT_FOUND" /* NOT_FOUND */,
  500: "INTERNAL_SERVER_ERROR" /* INTERNAL_SERVER_ERROR */
};
const microlcFetch = async (input, init, error) => window.fetch(input, init).then((res) => {
  let reason = input;
  if (input instanceof URL) {
    reason = input.href;
  } else if (input instanceof Request) {
    reason = input.url;
  }
  return res.status > 299 ? [res, { ...error, message: errorMap[res.status], reason }] : [res, void 0];
});
function postProcessTemplate(tplResult, opts) {
  const { injectBase } = opts;
  if (injectBase) {
    const parser = new DOMParser();
    const document = parser.parseFromString(tplResult.template, "text/html");
    const head = document.querySelector("head");
    const bases = head == null ? void 0 : head.querySelectorAll("base");
    if ((bases == null ? void 0 : bases.length) === 0 || injectBase === "override") {
      const { pathname: route } = new URL(opts.url, opts.baseURI);
      bases == null ? void 0 : bases.forEach((base) => base.remove());
      head == null ? void 0 : head.appendChild(
        Object.assign(document.createElement("base"), {
          href: route,
          target: "_blank"
        })
      );
      tplResult.template = document.documentElement.outerHTML;
    }
  }
  return tplResult;
}
const getPublicPath = (entry) => {
  var _a;
  const path = typeof entry === "string" ? entry : (_a = entry.html) != null ? _a : "";
  const { origin, pathname } = new URL(path, window.document.baseURI);
  return "".concat(origin).concat(pathname).replace(/\/?([^/]+)$/, "/");
};
