/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var update_exports = {};
__export(update_exports, {
  COMPOSER_BODY_CLASS: () => COMPOSER_BODY_CLASS,
  fetchConfig: () => fetchConfig,
  getApplicationSchema: () => getApplicationSchema,
  handleInitImportMapError: () => handleInitImportMapError,
  handleUpdateError: () => handleUpdateError,
  initImportMapSupport: () => initImportMapSupport,
  updateApplications: () => updateApplications,
  updateGlobalImportMap: () => updateGlobalImportMap
});
module.exports = __toCommonJS(update_exports);
var import_rxjs = require("rxjs");
var import_config = require("../../config");
var import_logger = __toESM(require("../../logger"), 1);
var import_json = require("../../utils/json");
var import_mfe_loader = require("./mfe-loader");
const defaultInitOptions = {
  mapOverrides: true,
  shimMode: true
};
const COMPOSER_BODY_CLASS = "composer-body";
async function initImportMapSupport() {
  const { esmsInitOptions } = window;
  !esmsInitOptions && Object.defineProperty(window, "esmsInitOptions", {
    configurable: true,
    value: defaultInitOptions,
    writable: true
  });
  const done = Promise.resolve();
  if (!("importShim" in window)) {
    await import("es-module-shims").catch(
      import_logger.default.dynamicImportError("es-module-shims")
    );
  }
  return done;
}
const handleInitImportMapError = (err) => {
  import_logger.default.error("2", err.message);
};
const handleUpdateError = (currentApplication$, err) => {
  currentApplication$.pipe((0, import_rxjs.take)(1)).subscribe((app) => {
    import_logger.default.error("50", app != null ? app : "[unknown]", err.message);
  });
};
async function fetchConfig(url, init) {
  return (0, import_json.jsonFetcher)(url, init).then((json) => {
    if (true) {
      return Promise.all([
        Promise.resolve(json),
        import("../../utils/schemas.js").then((schemas) => ({
          id: schemas.configSchema.$id,
          parts: schemas
        }))
      ]);
    }
    return [json, void 0];
  }).then(
    ([json, schema]) => (0, import_json.jsonToObject)(json, schema).catch(
      (err) => (0, import_json.jsonToObjectCatcher)(
        err,
        import_config.defaultConfig,
        '"micro-lc config"'
      )
    )
  ).catch(
    (err) => (0, import_json.invalidJsonCatcher)(
      err,
      import_config.defaultConfig,
      '"micro-lc config"'
    )
  );
}
async function updateGlobalImportMap(importmap) {
  importShim.addImportMap(importmap);
  return Promise.resolve();
}
async function getApplicationSchema() {
  let schema;
  if (true) {
    schema = await import("../../utils/schemas.js").then((schemas) => ({
      id: schemas.pluginSchema.$id,
      parts: schemas
    }));
  }
  return schema;
}
function getContainer(selector) {
  const selected = selector ? this.querySelector(selector) : this._container;
  return selected != null ? selected : this._container;
}
async function updateApplications() {
  const {
    _config: {
      settings: {
        "4xx": pages4xx,
        "5xx": pages5xx,
        composerUri,
        mountPointSelector
      },
      applications,
      shared: {
        properties: sharedProperties
      }
    }
  } = this;
  const errorPages = [
    ...Object.entries(pages4xx),
    ...Object.entries(pages5xx)
  ];
  const pages = [
    ...errorPages,
    ...Object.entries(applications)
  ];
  pages.reduce((acc, [id, app], idx) => {
    const { name, makeConfig } = (0, import_mfe_loader.prepareApplicationConfig)(id, app, composerUri);
    const container = getContainer.call(this, mountPointSelector);
    let idScopedByInstance = id;
    if (idx < errorPages.length) {
      idScopedByInstance = "".concat(this._instance, "-").concat(id);
    } else if (app.route !== void 0) {
      acc.routes.set(name, app.route);
    }
    acc.mapping.set(name, idScopedByInstance);
    acc.apps.set(idScopedByInstance, [app.route, makeConfig(container, this.getApi(), sharedProperties)]);
    return acc;
  }, {
    apps: this.loadedApps,
    mapping: this.applicationMapping,
    routes: this.loadedRoutes
  });
  return Promise.resolve();
}
