/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var url_matcher_exports = {};
__export(url_matcher_exports, {
  computeAbsoluteRoute: () => computeAbsoluteRoute,
  effectiveRouteLength: () => effectiveRouteLength,
  urlMatch: () => urlMatch
});
module.exports = __toCommonJS(url_matcher_exports);
function urlMatch(pathname, against) {
  const regex = against.replace(/\/:([a-zA-Z]+)/g, "/([^/?#]+)");
  const queryParamRegex = "\\?.*";
  const anchorRegex = "#.*";
  const subPathRegex = "/.*";
  const suffixRegex = regex.endsWith("/") ? ".*" : "$|".concat(subPathRegex, "|").concat(queryParamRegex, "|").concat(anchorRegex);
  return pathname.match(new RegExp("^".concat(regex, "(?:").concat(suffixRegex, ")")));
}
function effectiveRouteLength(route) {
  return route.replace(/\/:([a-zA-Z]+)/g, "/").length;
}
const computeAbsoluteRoute = (document, route) => {
  const { baseURI, location: { href } } = document;
  return new URL(route, new URL(baseURI, href)).pathname;
};
