/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
var micro_lc_exports = {};
__export(micro_lc_exports, {
  Microlc: () => Microlc
});
module.exports = __toCommonJS(micro_lc_exports);
var import_composer = require("@micro-lc/composer");
var import_lodash_es = require("lodash-es");
var import_config = require("../config.js");
var import_lang = require("../utils/lang.js");
var import_lib = require("./lib/index.js");
class Microlc extends HTMLElement {
  constructor() {
    var _a, _b;
    super();
    __publicField(this, "_wasDisconnected", false);
    __publicField(this, "_updateComplete", true);
    __publicField(this, "_updateRequests", 0);
    __publicField(this, "_$$updatesCount", null);
    __publicField(this, "_instance", window.crypto.randomUUID());
    __publicField(this, "_config");
    __publicField(this, "_configSrc");
    __publicField(this, "_fallbackLanguage");
    __publicField(this, "_disableShadowDom");
    __publicField(this, "_reroute", import_lib.reroute.bind(this));
    __publicField(this, "_rerouteToError", import_lib.rerouteToError.bind(this));
    __publicField(this, "_microfrontendLoader", (0, import_lib.createQiankunInstance)());
    // queries
    __publicField(this, "_styleElements", []);
    // 🚥 router
    __publicField(this, "loadedApps", /* @__PURE__ */ new Map());
    __publicField(this, "loadedRoutes", /* @__PURE__ */ new Map());
    __publicField(this, "applicationMapping", /* @__PURE__ */ new Map());
    __publicField(this, "matchCache", new import_lib.MatchCache());
    // 🐝 api
    __publicField(this, "_extensions", import_lib.initBaseExtensions.call(this));
    __publicField(this, "getApi", import_lib.createMicrolcApiInstance.call(this));
    // DOM
    __publicField(this, "_style");
    __publicField(this, "_container");
    const shadow = this.getAttribute("disable-shadow-dom") === null;
    const microlcRootId = (_a = this.getAttribute("root-id")) != null ? _a : "__micro_lc";
    if (shadow) {
      this.attachShadow({ mode: "open" });
    }
    const appendStyle = this.getAttribute("disable-styling") === null;
    this._style = Object.assign(
      this.ownerDocument.createElement("style"),
      {
        textContent: "\n          div#__micro_lc {\n            width: 100%;\n            height: 100%;\n          }\n\n          div#__micro_lc > :first-child {\n            width: inherit;\n            height: inherit;\n            overflow: hidden\n          }\n\n          div#__micro_lc > :first-child > div.".concat(import_lib.COMPOSER_BODY_CLASS, " {\n            width: inherit;\n            height: inherit;\n            overflow: hidden\n          }\n        ")
      }
    );
    appendStyle && this.appendChild(this._style);
    this._container = this.ownerDocument.createElement("div");
    this._container.setAttribute("id", microlcRootId);
    this.appendChild(this._container);
    this._handlePropertyChange("config", (_b = this.config) != null ? _b : import_config.defaultConfig);
    this.configSrc !== void 0 && this._handlePropertyChange("configSrc", this.configSrc);
  }
  static get observedAttributes() {
    return ["config-src", "fallback-language"];
  }
  // properties/attributes update
  _prepareForUpdate() {
    this._updateRequests += 1;
    this._updateComplete = false;
  }
  _completeUpdate() {
    this._updateRequests = 0;
    this._updateComplete = true;
  }
  _handlePropertyChange(name, value) {
    switch (name) {
      case "config":
        this._configSrc = null;
        this.removeAttribute("config-src");
        this._prepareForUpdate();
        this._handlePropertyUpdate(
          "config",
          (0, import_config.mergeConfig)(this.ownerDocument, value)
        );
        break;
      case "configSrc":
        if (value !== this._configSrc) {
          this._prepareForUpdate();
          this._handlePropertyUpdate(
            "configSrc",
            value,
            (input) => typeof input === "string"
          );
        }
        break;
      case "fallbackLanguage":
        if (value !== this._fallbackLanguage) {
          this._prepareForUpdate();
          this._handlePropertyUpdate(
            "fallbackLanguage",
            value,
            (input) => typeof input === "string"
          );
        }
        break;
      default:
        break;
    }
  }
  _handlePropertyUpdate(name, newValue, checkType = (_) => true) {
    const nextValue = checkType(newValue) ? newValue : void 0;
    Object.assign(this, { ["_".concat(name)]: nextValue });
    const candidateAttribute = (0, import_lodash_es.kebabCase)(name);
    if (Microlc.observedAttributes.includes(candidateAttribute)) {
      if (typeof nextValue === "string") {
        this.setAttribute((0, import_lodash_es.kebabCase)(name), nextValue);
      } else if (nextValue === true) {
        this.setAttribute((0, import_lodash_es.kebabCase)(name), "");
      } else {
        this.removeAttribute((0, import_lodash_es.kebabCase)(name));
      }
    }
    setTimeout(() => {
      this.update().then((done) => {
        if (done) {
          this.matchCache.invalidateCache();
          return this._reroute().then(() => done).catch(import_lib.rerouteErrorHandler);
        }
      }).then((done) => {
        var _a;
        if (done) {
          (_a = this.onload) == null ? void 0 : _a.call(window, new Event("load"));
          this._completeUpdate();
        }
      }).catch((err) => (0, import_lib.handleUpdateError)(import_lib.currentApplication$, err));
    });
  }
  get config() {
    return this._config;
  }
  set config(src) {
    this._handlePropertyChange("config", src);
  }
  /**
   * @observedProperty --> mirrored by `config-src`
   */
  get configSrc() {
    return this._configSrc;
  }
  set configSrc(src) {
    this._handlePropertyChange("configSrc", src);
  }
  /**
   * @observedProperty --> mirrored by `fallback-language`
   */
  get fallbackLanguage() {
    return this._fallbackLanguage;
  }
  set fallbackLanguage(lang) {
    this._handlePropertyChange("fallbackLanguage", lang);
  }
  get updateComplete() {
    return this._updateComplete;
  }
  get $$updatesCount() {
    return this._$$updatesCount;
  }
  get microfrontendLoader() {
    return this._microfrontendLoader;
  }
  get instance() {
    return this._instance;
  }
  connectedCallback() {
    if (this._wasDisconnected && this._disableShadowDom) {
      this._styleElements.forEach((element) => {
        this.ownerDocument.head.appendChild(element);
      });
    }
    import_lib.createRouter.call(this);
    this._wasDisconnected = false;
  }
  attributeChangedCallback(name, oldValue, newValue) {
    let nextValue = newValue;
    if (newValue === "") {
      nextValue = null;
    }
    if (oldValue !== nextValue) {
      Object.assign(this, { [(0, import_lodash_es.camelCase)(name)]: nextValue });
    }
  }
  async update() {
    var _a, _b;
    if (this._updateRequests === 1) {
      if (false) {
        if (this._$$updatesCount === null) {
          this._$$updatesCount = 0;
        }
        this._$$updatesCount += 1;
      }
      if (typeof this._configSrc === "string") {
        const headers = (0, import_lang.craftLanguageHeader)(
          (_a = this.getApi().getExtensions().language) == null ? void 0 : _a.getLanguage(),
          (_b = this.getApi().getExtensions().language) == null ? void 0 : _b.getFallbackLanguage()
        );
        const config = await (0, import_lib.fetchConfig)(this._configSrc, { headers });
        this._config = (0, import_config.mergeConfig)(this.ownerDocument, config);
      }
      await (0, import_lib.initImportMapSupport)().catch(import_lib.handleInitImportMapError);
      await (0, import_lib.updateGlobalImportMap)(this._config.importmap);
      await this.render();
      await import_lib.updateApplications.call(this);
      return Promise.resolve(true);
    }
    this._updateRequests -= 1;
    return Promise.resolve(false);
  }
  async render() {
    const {
      _config: {
        layout,
        settings: {
          mountPoint,
          mountPointSelector
        },
        shared: {
          properties
        }
      }
    } = this;
    const unmount = (0, import_lib.getUnmount)();
    await (unmount == null ? void 0 : unmount().catch(import_lib.rerouteErrorHandler));
    if (this.shadowRoot) {
      Array.from(this.shadowRoot.children).forEach((child) => {
        child.remove();
      });
    }
    Array.from(this._container.children).forEach((child) => {
      child.remove();
    });
    const { content } = await (0, import_composer.premount)(layout);
    const composerByContent = async (conf) => (0, import_composer.createComposerContext)(conf, {
      context: { composerApi: { createComposerContext: import_composer.createComposerContext, premount: import_composer.premount }, microlcApi: this.getApi(), ...properties },
      extraProperties: /* @__PURE__ */ new Set(["microlcApi", "composerApi", ...Object.keys(properties)])
    });
    const layoutAppender = await composerByContent(content);
    if (this.shadowRoot) {
      layoutAppender(this.shadowRoot);
    }
    if (mountPoint) {
      let isDomMountable = false;
      if (true) {
        if (mountPointSelector !== void 0) {
          const mountPointAppender = await composerByContent(mountPoint);
          const temporaryMountPoint = this.ownerDocument.createElement("div");
          mountPointAppender(temporaryMountPoint);
          isDomMountable = temporaryMountPoint.querySelector(mountPointSelector) !== null;
        }
      } else {
        isDomMountable = true;
      }
      if (isDomMountable) {
        const mountPointAppender = await composerByContent(mountPoint);
        mountPointAppender(this._container);
      }
    }
  }
  disconnectedCallback() {
    this._styleElements.forEach((el) => {
      el.remove();
    });
    import_lib.removeRouter.call(this);
    this._wasDisconnected = true;
  }
}
