/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
function craftLanguageHeader(language = window.navigator.language, fallback) {
  let acceptLanguage = language;
  const [main, secondary] = language.split("-");
  if (secondary !== void 0) {
    acceptLanguage = "".concat(acceptLanguage, ", ").concat(main, ";q=0.5");
  }
  if (fallback) {
    const containsFallback = acceptLanguage.split(",").map((tag) => tag.split(";")[0]).map((tag) => tag.trim()).includes(fallback);
    if (!containsFallback) {
      acceptLanguage = "".concat(acceptLanguage, ", ").concat(fallback, ";q=0.1");
    }
  }
  return {
    "Accept-Language": acceptLanguage
  };
}
export {
  craftLanguageHeader
};
