import type { Config, Content, PluginConfiguration, Settings } from '@micro-lc/interfaces/v2';
export declare const MICRO_LC_MOUNT_POINT = "__MICRO_LC_MOUNT_POINT";
export type CompleteConfig = Required<Pick<Config, 'version' | 'importmap' | 'applications'>> & {
    layout: PluginConfiguration & {
        content: Content;
    };
    settings: Required<Omit<Settings, 'mountPointSelector' | 'mountPoint'>> & {
        mountPoint?: Settings['mountPoint'];
        mountPointSelector?: Settings['mountPointSelector'];
    };
    shared: Record<string, unknown> & {
        properties: Record<string, unknown>;
    };
};
export declare const defaultConfig: CompleteConfig;
export declare function mergeConfig(document: Document, input: Config): CompleteConfig;
