/**
  Copyright 2022 Mia srl

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/
import type { Entry, FrameworkConfiguration } from 'qiankun';
type TemplateResult = Parameters<Exclude<FrameworkConfiguration['postProcessTemplate'], undefined>>[0];
export declare enum RoutingErrorMessage {
    INTERNAL_SERVER_ERROR = "INTERNAL_SERVER_ERROR",
    NOT_FOUND = "NOT_FOUND",
    UNAUTHORIZED = "UNAUTHORIZED"
}
export declare const errorMap: Record<number, RoutingErrorMessage>;
export interface RoutingError {
    message?: RoutingErrorMessage;
    reason?: string;
    status?: number;
}
export declare const microlcFetch: (input: RequestInfo | URL, init?: RequestInit, error?: RoutingError | undefined) => Promise<[Response, RoutingError | undefined]>;
interface PostProcessTemplateOptions {
    baseURI?: string | undefined;
    injectBase?: boolean | 'override';
    name: string;
    url: string;
}
export declare function postProcessTemplate(tplResult: TemplateResult, opts: PostProcessTemplateOptions): TemplateResult;
export declare const getPublicPath: (entry: Entry) => string;
export {};
