import type { CompleteConfig } from '../../config';
import type { MicrolcApi, MicrolcEvent } from './api';
import type { BaseExtension } from './extensions';
import type { LoadableAppContext } from './mfe-loader';
import type { LoadedAppUpdate, LoaderApi, RoutelessMicroApp } from './qiankun';
type MatchingRoute<T extends BaseExtension, E extends MicrolcEvent> = LoadableAppContext<T, E>;
type MatchingRouteReturnType<T extends BaseExtension, E extends MicrolcEvent> = [
    MatchingRoute<T, E> | undefined,
    MatchingRoute<T, E> | undefined,
    MatchingRoute<T, E> | undefined
];
type LoadedAppsMap<T extends BaseExtension, E extends MicrolcEvent> = Map<string, [
    string | undefined,
    LoadableAppContext<T, E>
]>;
interface PushArgs {
    data?: unknown;
    method?: 'push' | 'replace';
    url?: string | undefined;
}
export interface RouterContainer<T extends BaseExtension = BaseExtension, E extends MicrolcEvent = MicrolcEvent> {
    applicationMapping: Map<string, string>;
    config: CompleteConfig;
    getApi: () => MicrolcApi<T, E>;
    readonly instance: string;
    loadedApps: LoadedAppsMap<T, E>;
    loadedRoutes: Map<string, string>;
    matchCache: MatchCache<T, E>;
    readonly microfrontendLoader: LoaderApi;
    ownerDocument: Document;
}
declare const currentApplication$: import("rxjs").Observable<string | undefined>;
declare function getUnmount(name?: string | undefined): (() => Promise<null>) | undefined;
declare function getCurrentApplicationAssets(): {
    handlers: RoutelessMicroApp | undefined;
    id: string;
} | undefined;
declare class MatchCache<T extends BaseExtension, E extends MicrolcEvent> extends Map<string, MatchingRouteReturnType<T, E>> {
    _default: MatchingRouteReturnType<T, E> | undefined;
    setDefault(match: MatchingRoute<T, E> | undefined): void;
    getDefault(): MatchingRouteReturnType<T, E> | undefined;
    invalidateCache(): void;
}
declare function rerouteErrorHandler(err: TypeError): null;
declare function rerouteToError<T extends BaseExtension, E extends MicrolcEvent>(this: RouterContainer<T, E>, statusCode?: number, reason?: string): Promise<LoadedAppUpdate>;
declare function reroute<T extends BaseExtension, E extends MicrolcEvent>(this: RouterContainer<T, E>, args?: PushArgs): Promise<LoadedAppUpdate | void>;
declare function createRouter<T extends BaseExtension, E extends MicrolcEvent>(this: RouterContainer<T, E>): void;
declare function removeRouter(): void;
export type { PushArgs };
export { currentApplication$, getUnmount, getCurrentApplicationAssets, MatchCache, reroute, rerouteToError, rerouteErrorHandler, createRouter, removeRouter, };
