/**
  Copyright 2022 Mia srl

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/
import type { ComposerApi } from '@micro-lc/composer';
import type { Config, GlobalImportMap, PluginConfiguration } from '@micro-lc/interfaces/v2';
import type { Observable } from 'rxjs';
import type { SchemaOptions } from '../../utils/json';
import type { Microlc } from '../micro-lc';
import type { MicrolcApi, MicrolcEvent } from './api';
import type { BaseExtension } from './extensions';
export declare const COMPOSER_BODY_CLASS = "composer-body";
export declare function initImportMapSupport(): Promise<void>;
export declare const handleInitImportMapError: (err: TypeError) => void;
export declare const handleUpdateError: (currentApplication$: Observable<string | undefined>, err: TypeError) => void;
export declare function fetchConfig(url: string, init?: RequestInit): Promise<Config>;
export declare function updateGlobalImportMap(importmap: GlobalImportMap): Promise<void>;
export interface ComposableApplicationProperties<T extends BaseExtension = BaseExtension, E extends MicrolcEvent = MicrolcEvent> extends Record<string, unknown> {
    composerApi: Partial<ComposerApi>;
    config: string | PluginConfiguration | undefined;
    injectBase: boolean | 'override' | undefined;
    microlcApi: Partial<MicrolcApi<T, E>>;
    schema: SchemaOptions | undefined;
}
export declare function getApplicationSchema(): Promise<SchemaOptions | undefined>;
export declare function updateApplications<T extends BaseExtension, E extends MicrolcEvent>(this: Microlc<T, E>): Promise<void>;
