/*! 
Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 */
if (!("randomUUID" in window.crypto)) {
  window.crypto.randomUUID = function randomUUID() {
    return (
      // eslint-disable-next-line @typescript-eslint/restrict-plus-operands
      ("10000000-1000-4000-8000" + -1e11).replace(
        /[018]/g,
        // eslint-disable-next-line no-mixed-operators
        (ch) => (ch ^ crypto.getRandomValues(new Uint8Array(1))[0] & 15 >> ch / 4).toString(16)
      )
    );
  };
}
var extendStatics = function(d2, b2) {
  extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d3, b3) {
    d3.__proto__ = b3;
  } || function(d3, b3) {
    for (var p2 in b3)
      if (Object.prototype.hasOwnProperty.call(b3, p2))
        d3[p2] = b3[p2];
  };
  return extendStatics(d2, b2);
};
function __extends(d2, b2) {
  if (typeof b2 !== "function" && b2 !== null)
    throw new TypeError("Class extends value " + String(b2) + " is not a constructor or null");
  extendStatics(d2, b2);
  function __() {
    this.constructor = d2;
  }
  d2.prototype = b2 === null ? Object.create(b2) : (__.prototype = b2.prototype, new __());
}
function __values(o2) {
  var s2 = typeof Symbol === "function" && Symbol.iterator, m2 = s2 && o2[s2], i2 = 0;
  if (m2)
    return m2.call(o2);
  if (o2 && typeof o2.length === "number")
    return {
      next: function() {
        if (o2 && i2 >= o2.length)
          o2 = void 0;
        return { value: o2 && o2[i2++], done: !o2 };
      }
    };
  throw new TypeError(s2 ? "Object is not iterable." : "Symbol.iterator is not defined.");
}
function __read(o2, n2) {
  var m2 = typeof Symbol === "function" && o2[Symbol.iterator];
  if (!m2)
    return o2;
  var i2 = m2.call(o2), r2, ar = [], e2;
  try {
    while ((n2 === void 0 || n2-- > 0) && !(r2 = i2.next()).done)
      ar.push(r2.value);
  } catch (error2) {
    e2 = { error: error2 };
  } finally {
    try {
      if (r2 && !r2.done && (m2 = i2["return"]))
        m2.call(i2);
    } finally {
      if (e2)
        throw e2.error;
    }
  }
  return ar;
}
function __spreadArray(to, from, pack) {
  if (pack || arguments.length === 2)
    for (var i2 = 0, l2 = from.length, ar; i2 < l2; i2++) {
      if (ar || !(i2 in from)) {
        if (!ar)
          ar = Array.prototype.slice.call(from, 0, i2);
        ar[i2] = from[i2];
      }
    }
  return to.concat(ar || Array.prototype.slice.call(from));
}
typeof SuppressedError === "function" ? SuppressedError : function(error2, suppressed, message) {
  var e2 = new Error(message);
  return e2.name = "SuppressedError", e2.error = error2, e2.suppressed = suppressed, e2;
};
function isFunction$4(value) {
  return typeof value === "function";
}
function createErrorClass(createImpl) {
  var _super = function(instance) {
    Error.call(instance);
    instance.stack = new Error().stack;
  };
  var ctorFunc = createImpl(_super);
  ctorFunc.prototype = Object.create(Error.prototype);
  ctorFunc.prototype.constructor = ctorFunc;
  return ctorFunc;
}
var UnsubscriptionError = createErrorClass(function(_super) {
  return function UnsubscriptionErrorImpl(errors2) {
    _super(this);
    this.message = errors2 ? errors2.length + " errors occurred during unsubscription:\n" + errors2.map(function(err, i2) {
      return i2 + 1 + ") " + err.toString();
    }).join("\n  ") : "";
    this.name = "UnsubscriptionError";
    this.errors = errors2;
  };
});
function arrRemove(arr, item) {
  if (arr) {
    var index = arr.indexOf(item);
    0 <= index && arr.splice(index, 1);
  }
}
var Subscription = function() {
  function Subscription2(initialTeardown) {
    this.initialTeardown = initialTeardown;
    this.closed = false;
    this._parentage = null;
    this._finalizers = null;
  }
  Subscription2.prototype.unsubscribe = function() {
    var e_1, _a, e_2, _b;
    var errors2;
    if (!this.closed) {
      this.closed = true;
      var _parentage = this._parentage;
      if (_parentage) {
        this._parentage = null;
        if (Array.isArray(_parentage)) {
          try {
            for (var _parentage_1 = __values(_parentage), _parentage_1_1 = _parentage_1.next(); !_parentage_1_1.done; _parentage_1_1 = _parentage_1.next()) {
              var parent_1 = _parentage_1_1.value;
              parent_1.remove(this);
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_parentage_1_1 && !_parentage_1_1.done && (_a = _parentage_1.return))
                _a.call(_parentage_1);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        } else {
          _parentage.remove(this);
        }
      }
      var initialFinalizer = this.initialTeardown;
      if (isFunction$4(initialFinalizer)) {
        try {
          initialFinalizer();
        } catch (e2) {
          errors2 = e2 instanceof UnsubscriptionError ? e2.errors : [e2];
        }
      }
      var _finalizers = this._finalizers;
      if (_finalizers) {
        this._finalizers = null;
        try {
          for (var _finalizers_1 = __values(_finalizers), _finalizers_1_1 = _finalizers_1.next(); !_finalizers_1_1.done; _finalizers_1_1 = _finalizers_1.next()) {
            var finalizer = _finalizers_1_1.value;
            try {
              execFinalizer(finalizer);
            } catch (err) {
              errors2 = errors2 !== null && errors2 !== void 0 ? errors2 : [];
              if (err instanceof UnsubscriptionError) {
                errors2 = __spreadArray(__spreadArray([], __read(errors2)), __read(err.errors));
              } else {
                errors2.push(err);
              }
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_finalizers_1_1 && !_finalizers_1_1.done && (_b = _finalizers_1.return))
              _b.call(_finalizers_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      if (errors2) {
        throw new UnsubscriptionError(errors2);
      }
    }
  };
  Subscription2.prototype.add = function(teardown) {
    var _a;
    if (teardown && teardown !== this) {
      if (this.closed) {
        execFinalizer(teardown);
      } else {
        if (teardown instanceof Subscription2) {
          if (teardown.closed || teardown._hasParent(this)) {
            return;
          }
          teardown._addParent(this);
        }
        (this._finalizers = (_a = this._finalizers) !== null && _a !== void 0 ? _a : []).push(teardown);
      }
    }
  };
  Subscription2.prototype._hasParent = function(parent) {
    var _parentage = this._parentage;
    return _parentage === parent || Array.isArray(_parentage) && _parentage.includes(parent);
  };
  Subscription2.prototype._addParent = function(parent) {
    var _parentage = this._parentage;
    this._parentage = Array.isArray(_parentage) ? (_parentage.push(parent), _parentage) : _parentage ? [_parentage, parent] : parent;
  };
  Subscription2.prototype._removeParent = function(parent) {
    var _parentage = this._parentage;
    if (_parentage === parent) {
      this._parentage = null;
    } else if (Array.isArray(_parentage)) {
      arrRemove(_parentage, parent);
    }
  };
  Subscription2.prototype.remove = function(teardown) {
    var _finalizers = this._finalizers;
    _finalizers && arrRemove(_finalizers, teardown);
    if (teardown instanceof Subscription2) {
      teardown._removeParent(this);
    }
  };
  Subscription2.EMPTY = function() {
    var empty = new Subscription2();
    empty.closed = true;
    return empty;
  }();
  return Subscription2;
}();
var EMPTY_SUBSCRIPTION = Subscription.EMPTY;
function isSubscription(value) {
  return value instanceof Subscription || value && "closed" in value && isFunction$4(value.remove) && isFunction$4(value.add) && isFunction$4(value.unsubscribe);
}
function execFinalizer(finalizer) {
  if (isFunction$4(finalizer)) {
    finalizer();
  } else {
    finalizer.unsubscribe();
  }
}
var config = {
  onUnhandledError: null,
  onStoppedNotification: null,
  Promise: void 0,
  useDeprecatedSynchronousErrorHandling: false,
  useDeprecatedNextContext: false
};
var timeoutProvider = {
  setTimeout: function(handler, timeout) {
    var args = [];
    for (var _i = 2; _i < arguments.length; _i++) {
      args[_i - 2] = arguments[_i];
    }
    return setTimeout.apply(void 0, __spreadArray([handler, timeout], __read(args)));
  },
  clearTimeout: function(handle) {
    var delegate = timeoutProvider.delegate;
    return ((delegate === null || delegate === void 0 ? void 0 : delegate.clearTimeout) || clearTimeout)(handle);
  },
  delegate: void 0
};
function reportUnhandledError(err) {
  timeoutProvider.setTimeout(function() {
    {
      throw err;
    }
  });
}
function noop$1() {
}
function errorContext(cb) {
  {
    cb();
  }
}
var Subscriber = function(_super) {
  __extends(Subscriber2, _super);
  function Subscriber2(destination) {
    var _this = _super.call(this) || this;
    _this.isStopped = false;
    if (destination) {
      _this.destination = destination;
      if (isSubscription(destination)) {
        destination.add(_this);
      }
    } else {
      _this.destination = EMPTY_OBSERVER;
    }
    return _this;
  }
  Subscriber2.create = function(next, error2, complete) {
    return new SafeSubscriber(next, error2, complete);
  };
  Subscriber2.prototype.next = function(value) {
    if (this.isStopped)
      ;
    else {
      this._next(value);
    }
  };
  Subscriber2.prototype.error = function(err) {
    if (this.isStopped)
      ;
    else {
      this.isStopped = true;
      this._error(err);
    }
  };
  Subscriber2.prototype.complete = function() {
    if (this.isStopped)
      ;
    else {
      this.isStopped = true;
      this._complete();
    }
  };
  Subscriber2.prototype.unsubscribe = function() {
    if (!this.closed) {
      this.isStopped = true;
      _super.prototype.unsubscribe.call(this);
      this.destination = null;
    }
  };
  Subscriber2.prototype._next = function(value) {
    this.destination.next(value);
  };
  Subscriber2.prototype._error = function(err) {
    try {
      this.destination.error(err);
    } finally {
      this.unsubscribe();
    }
  };
  Subscriber2.prototype._complete = function() {
    try {
      this.destination.complete();
    } finally {
      this.unsubscribe();
    }
  };
  return Subscriber2;
}(Subscription);
var _bind = Function.prototype.bind;
function bind(fn, thisArg) {
  return _bind.call(fn, thisArg);
}
var ConsumerObserver = function() {
  function ConsumerObserver2(partialObserver) {
    this.partialObserver = partialObserver;
  }
  ConsumerObserver2.prototype.next = function(value) {
    var partialObserver = this.partialObserver;
    if (partialObserver.next) {
      try {
        partialObserver.next(value);
      } catch (error2) {
        handleUnhandledError(error2);
      }
    }
  };
  ConsumerObserver2.prototype.error = function(err) {
    var partialObserver = this.partialObserver;
    if (partialObserver.error) {
      try {
        partialObserver.error(err);
      } catch (error2) {
        handleUnhandledError(error2);
      }
    } else {
      handleUnhandledError(err);
    }
  };
  ConsumerObserver2.prototype.complete = function() {
    var partialObserver = this.partialObserver;
    if (partialObserver.complete) {
      try {
        partialObserver.complete();
      } catch (error2) {
        handleUnhandledError(error2);
      }
    }
  };
  return ConsumerObserver2;
}();
var SafeSubscriber = function(_super) {
  __extends(SafeSubscriber2, _super);
  function SafeSubscriber2(observerOrNext, error2, complete) {
    var _this = _super.call(this) || this;
    var partialObserver;
    if (isFunction$4(observerOrNext) || !observerOrNext) {
      partialObserver = {
        next: observerOrNext !== null && observerOrNext !== void 0 ? observerOrNext : void 0,
        error: error2 !== null && error2 !== void 0 ? error2 : void 0,
        complete: complete !== null && complete !== void 0 ? complete : void 0
      };
    } else {
      var context_1;
      if (_this && config.useDeprecatedNextContext) {
        context_1 = Object.create(observerOrNext);
        context_1.unsubscribe = function() {
          return _this.unsubscribe();
        };
        partialObserver = {
          next: observerOrNext.next && bind(observerOrNext.next, context_1),
          error: observerOrNext.error && bind(observerOrNext.error, context_1),
          complete: observerOrNext.complete && bind(observerOrNext.complete, context_1)
        };
      } else {
        partialObserver = observerOrNext;
      }
    }
    _this.destination = new ConsumerObserver(partialObserver);
    return _this;
  }
  return SafeSubscriber2;
}(Subscriber);
function handleUnhandledError(error2) {
  {
    reportUnhandledError(error2);
  }
}
function defaultErrorHandler(err) {
  throw err;
}
var EMPTY_OBSERVER = {
  closed: true,
  next: noop$1,
  error: defaultErrorHandler,
  complete: noop$1
};
var observable = function() {
  return typeof Symbol === "function" && Symbol.observable || "@@observable";
}();
function identity$4(x2) {
  return x2;
}
function pipeFromArray(fns) {
  if (fns.length === 0) {
    return identity$4;
  }
  if (fns.length === 1) {
    return fns[0];
  }
  return function piped(input) {
    return fns.reduce(function(prev, fn) {
      return fn(prev);
    }, input);
  };
}
var Observable = function() {
  function Observable2(subscribe) {
    if (subscribe) {
      this._subscribe = subscribe;
    }
  }
  Observable2.prototype.lift = function(operator) {
    var observable2 = new Observable2();
    observable2.source = this;
    observable2.operator = operator;
    return observable2;
  };
  Observable2.prototype.subscribe = function(observerOrNext, error2, complete) {
    var _this = this;
    var subscriber = isSubscriber(observerOrNext) ? observerOrNext : new SafeSubscriber(observerOrNext, error2, complete);
    errorContext(function() {
      var _a = _this, operator = _a.operator, source = _a.source;
      subscriber.add(operator ? operator.call(subscriber, source) : source ? _this._subscribe(subscriber) : _this._trySubscribe(subscriber));
    });
    return subscriber;
  };
  Observable2.prototype._trySubscribe = function(sink) {
    try {
      return this._subscribe(sink);
    } catch (err) {
      sink.error(err);
    }
  };
  Observable2.prototype.forEach = function(next, promiseCtor) {
    var _this = this;
    promiseCtor = getPromiseCtor(promiseCtor);
    return new promiseCtor(function(resolve, reject) {
      var subscriber = new SafeSubscriber({
        next: function(value) {
          try {
            next(value);
          } catch (err) {
            reject(err);
            subscriber.unsubscribe();
          }
        },
        error: reject,
        complete: resolve
      });
      _this.subscribe(subscriber);
    });
  };
  Observable2.prototype._subscribe = function(subscriber) {
    var _a;
    return (_a = this.source) === null || _a === void 0 ? void 0 : _a.subscribe(subscriber);
  };
  Observable2.prototype[observable] = function() {
    return this;
  };
  Observable2.prototype.pipe = function() {
    var operations = [];
    for (var _i = 0; _i < arguments.length; _i++) {
      operations[_i] = arguments[_i];
    }
    return pipeFromArray(operations)(this);
  };
  Observable2.prototype.toPromise = function(promiseCtor) {
    var _this = this;
    promiseCtor = getPromiseCtor(promiseCtor);
    return new promiseCtor(function(resolve, reject) {
      var value;
      _this.subscribe(function(x2) {
        return value = x2;
      }, function(err) {
        return reject(err);
      }, function() {
        return resolve(value);
      });
    });
  };
  Observable2.create = function(subscribe) {
    return new Observable2(subscribe);
  };
  return Observable2;
}();
function getPromiseCtor(promiseCtor) {
  var _a;
  return (_a = promiseCtor !== null && promiseCtor !== void 0 ? promiseCtor : config.Promise) !== null && _a !== void 0 ? _a : Promise;
}
function isObserver(value) {
  return value && isFunction$4(value.next) && isFunction$4(value.error) && isFunction$4(value.complete);
}
function isSubscriber(value) {
  return value && value instanceof Subscriber || isObserver(value) && isSubscription(value);
}
function hasLift(source) {
  return isFunction$4(source === null || source === void 0 ? void 0 : source.lift);
}
function operate(init) {
  return function(source) {
    if (hasLift(source)) {
      return source.lift(function(liftedSource) {
        try {
          return init(liftedSource, this);
        } catch (err) {
          this.error(err);
        }
      });
    }
    throw new TypeError("Unable to lift unknown Observable type");
  };
}
function createOperatorSubscriber(destination, onNext, onComplete, onError, onFinalize) {
  return new OperatorSubscriber(destination, onNext, onComplete, onError, onFinalize);
}
var OperatorSubscriber = function(_super) {
  __extends(OperatorSubscriber2, _super);
  function OperatorSubscriber2(destination, onNext, onComplete, onError, onFinalize, shouldUnsubscribe) {
    var _this = _super.call(this, destination) || this;
    _this.onFinalize = onFinalize;
    _this.shouldUnsubscribe = shouldUnsubscribe;
    _this._next = onNext ? function(value) {
      try {
        onNext(value);
      } catch (err) {
        destination.error(err);
      }
    } : _super.prototype._next;
    _this._error = onError ? function(err) {
      try {
        onError(err);
      } catch (err2) {
        destination.error(err2);
      } finally {
        this.unsubscribe();
      }
    } : _super.prototype._error;
    _this._complete = onComplete ? function() {
      try {
        onComplete();
      } catch (err) {
        destination.error(err);
      } finally {
        this.unsubscribe();
      }
    } : _super.prototype._complete;
    return _this;
  }
  OperatorSubscriber2.prototype.unsubscribe = function() {
    var _a;
    if (!this.shouldUnsubscribe || this.shouldUnsubscribe()) {
      var closed_1 = this.closed;
      _super.prototype.unsubscribe.call(this);
      !closed_1 && ((_a = this.onFinalize) === null || _a === void 0 ? void 0 : _a.call(this));
    }
  };
  return OperatorSubscriber2;
}(Subscriber);
var ObjectUnsubscribedError = createErrorClass(function(_super) {
  return function ObjectUnsubscribedErrorImpl() {
    _super(this);
    this.name = "ObjectUnsubscribedError";
    this.message = "object unsubscribed";
  };
});
var Subject = function(_super) {
  __extends(Subject2, _super);
  function Subject2() {
    var _this = _super.call(this) || this;
    _this.closed = false;
    _this.currentObservers = null;
    _this.observers = [];
    _this.isStopped = false;
    _this.hasError = false;
    _this.thrownError = null;
    return _this;
  }
  Subject2.prototype.lift = function(operator) {
    var subject = new AnonymousSubject(this, this);
    subject.operator = operator;
    return subject;
  };
  Subject2.prototype._throwIfClosed = function() {
    if (this.closed) {
      throw new ObjectUnsubscribedError();
    }
  };
  Subject2.prototype.next = function(value) {
    var _this = this;
    errorContext(function() {
      var e_1, _a;
      _this._throwIfClosed();
      if (!_this.isStopped) {
        if (!_this.currentObservers) {
          _this.currentObservers = Array.from(_this.observers);
        }
        try {
          for (var _b = __values(_this.currentObservers), _c = _b.next(); !_c.done; _c = _b.next()) {
            var observer = _c.value;
            observer.next(value);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
    });
  };
  Subject2.prototype.error = function(err) {
    var _this = this;
    errorContext(function() {
      _this._throwIfClosed();
      if (!_this.isStopped) {
        _this.hasError = _this.isStopped = true;
        _this.thrownError = err;
        var observers = _this.observers;
        while (observers.length) {
          observers.shift().error(err);
        }
      }
    });
  };
  Subject2.prototype.complete = function() {
    var _this = this;
    errorContext(function() {
      _this._throwIfClosed();
      if (!_this.isStopped) {
        _this.isStopped = true;
        var observers = _this.observers;
        while (observers.length) {
          observers.shift().complete();
        }
      }
    });
  };
  Subject2.prototype.unsubscribe = function() {
    this.isStopped = this.closed = true;
    this.observers = this.currentObservers = null;
  };
  Object.defineProperty(Subject2.prototype, "observed", {
    get: function() {
      var _a;
      return ((_a = this.observers) === null || _a === void 0 ? void 0 : _a.length) > 0;
    },
    enumerable: false,
    configurable: true
  });
  Subject2.prototype._trySubscribe = function(subscriber) {
    this._throwIfClosed();
    return _super.prototype._trySubscribe.call(this, subscriber);
  };
  Subject2.prototype._subscribe = function(subscriber) {
    this._throwIfClosed();
    this._checkFinalizedStatuses(subscriber);
    return this._innerSubscribe(subscriber);
  };
  Subject2.prototype._innerSubscribe = function(subscriber) {
    var _this = this;
    var _a = this, hasError = _a.hasError, isStopped = _a.isStopped, observers = _a.observers;
    if (hasError || isStopped) {
      return EMPTY_SUBSCRIPTION;
    }
    this.currentObservers = null;
    observers.push(subscriber);
    return new Subscription(function() {
      _this.currentObservers = null;
      arrRemove(observers, subscriber);
    });
  };
  Subject2.prototype._checkFinalizedStatuses = function(subscriber) {
    var _a = this, hasError = _a.hasError, thrownError = _a.thrownError, isStopped = _a.isStopped;
    if (hasError) {
      subscriber.error(thrownError);
    } else if (isStopped) {
      subscriber.complete();
    }
  };
  Subject2.prototype.asObservable = function() {
    var observable2 = new Observable();
    observable2.source = this;
    return observable2;
  };
  Subject2.create = function(destination, source) {
    return new AnonymousSubject(destination, source);
  };
  return Subject2;
}(Observable);
var AnonymousSubject = function(_super) {
  __extends(AnonymousSubject2, _super);
  function AnonymousSubject2(destination, source) {
    var _this = _super.call(this) || this;
    _this.destination = destination;
    _this.source = source;
    return _this;
  }
  AnonymousSubject2.prototype.next = function(value) {
    var _a, _b;
    (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.next) === null || _b === void 0 ? void 0 : _b.call(_a, value);
  };
  AnonymousSubject2.prototype.error = function(err) {
    var _a, _b;
    (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.error) === null || _b === void 0 ? void 0 : _b.call(_a, err);
  };
  AnonymousSubject2.prototype.complete = function() {
    var _a, _b;
    (_b = (_a = this.destination) === null || _a === void 0 ? void 0 : _a.complete) === null || _b === void 0 ? void 0 : _b.call(_a);
  };
  AnonymousSubject2.prototype._subscribe = function(subscriber) {
    var _a, _b;
    return (_b = (_a = this.source) === null || _a === void 0 ? void 0 : _a.subscribe(subscriber)) !== null && _b !== void 0 ? _b : EMPTY_SUBSCRIPTION;
  };
  return AnonymousSubject2;
}(Subject);
var BehaviorSubject = function(_super) {
  __extends(BehaviorSubject2, _super);
  function BehaviorSubject2(_value) {
    var _this = _super.call(this) || this;
    _this._value = _value;
    return _this;
  }
  Object.defineProperty(BehaviorSubject2.prototype, "value", {
    get: function() {
      return this.getValue();
    },
    enumerable: false,
    configurable: true
  });
  BehaviorSubject2.prototype._subscribe = function(subscriber) {
    var subscription = _super.prototype._subscribe.call(this, subscriber);
    !subscription.closed && subscriber.next(this._value);
    return subscription;
  };
  BehaviorSubject2.prototype.getValue = function() {
    var _a = this, hasError = _a.hasError, thrownError = _a.thrownError, _value = _a._value;
    if (hasError) {
      throw thrownError;
    }
    this._throwIfClosed();
    return _value;
  };
  BehaviorSubject2.prototype.next = function(value) {
    _super.prototype.next.call(this, this._value = value);
  };
  return BehaviorSubject2;
}(Subject);
var EMPTY = new Observable(function(subscriber) {
  return subscriber.complete();
});
function take(count) {
  return count <= 0 ? function() {
    return EMPTY;
  } : operate(function(source, subscriber) {
    var seen2 = 0;
    source.subscribe(createOperatorSubscriber(subscriber, function(value) {
      if (++seen2 <= count) {
        subscriber.next(value);
        if (count <= seen2) {
          subscriber.complete();
        }
      }
    }));
  });
}
/**
 * @license
 * Copyright 2017 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
var t$1;
const i$1 = window, s$1 = i$1.trustedTypes, e$1 = s$1 ? s$1.createPolicy("lit-html", { createHTML: (t2) => t2 }) : void 0, o$1 = "$lit$", n$1 = `lit$${(Math.random() + "").slice(9)}$`, l$1 = "?" + n$1, h$1 = `<${l$1}>`, r$1 = document, u$1 = () => r$1.createComment(""), d$1 = (t2) => null === t2 || "object" != typeof t2 && "function" != typeof t2, c$1 = Array.isArray, v$1 = (t2) => c$1(t2) || "function" == typeof (null == t2 ? void 0 : t2[Symbol.iterator]), a$1 = "[ 	\n\f\r]", f$1 = /<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g, _$1 = /-->/g, m$1 = />/g, p$1 = RegExp(`>|${a$1}(?:([^\\s"'>=/]+)(${a$1}*=${a$1}*(?:[^ 	
\f\r"'\`<>=]|("|')|))|$)`, "g"), g$1 = /'/g, $$1 = /"/g, y$1 = /^(?:script|style|textarea|title)$/i, w$1 = (t2) => (i2, ...s2) => ({ _$litType$: t2, strings: i2, values: s2 }), x$1 = w$1(1), T$1 = Symbol.for("lit-noChange"), A$1 = Symbol.for("lit-nothing"), E$1 = /* @__PURE__ */ new WeakMap(), C$1 = r$1.createTreeWalker(r$1, 129, null, false);
function P$1(t2, i2) {
  if (!Array.isArray(t2) || !t2.hasOwnProperty("raw"))
    throw Error("invalid template strings array");
  return void 0 !== e$1 ? e$1.createHTML(i2) : i2;
}
const V$1 = (t2, i2) => {
  const s2 = t2.length - 1, e2 = [];
  let l2, r2 = 2 === i2 ? "<svg>" : "", u2 = f$1;
  for (let i3 = 0; i3 < s2; i3++) {
    const s3 = t2[i3];
    let d2, c2, v2 = -1, a2 = 0;
    for (; a2 < s3.length && (u2.lastIndex = a2, c2 = u2.exec(s3), null !== c2); )
      a2 = u2.lastIndex, u2 === f$1 ? "!--" === c2[1] ? u2 = _$1 : void 0 !== c2[1] ? u2 = m$1 : void 0 !== c2[2] ? (y$1.test(c2[2]) && (l2 = RegExp("</" + c2[2], "g")), u2 = p$1) : void 0 !== c2[3] && (u2 = p$1) : u2 === p$1 ? ">" === c2[0] ? (u2 = null != l2 ? l2 : f$1, v2 = -1) : void 0 === c2[1] ? v2 = -2 : (v2 = u2.lastIndex - c2[2].length, d2 = c2[1], u2 = void 0 === c2[3] ? p$1 : '"' === c2[3] ? $$1 : g$1) : u2 === $$1 || u2 === g$1 ? u2 = p$1 : u2 === _$1 || u2 === m$1 ? u2 = f$1 : (u2 = p$1, l2 = void 0);
    const w2 = u2 === p$1 && t2[i3 + 1].startsWith("/>") ? " " : "";
    r2 += u2 === f$1 ? s3 + h$1 : v2 >= 0 ? (e2.push(d2), s3.slice(0, v2) + o$1 + s3.slice(v2) + n$1 + w2) : s3 + n$1 + (-2 === v2 ? (e2.push(void 0), i3) : w2);
  }
  return [P$1(t2, r2 + (t2[s2] || "<?>") + (2 === i2 ? "</svg>" : "")), e2];
};
let N$1 = class N {
  constructor({ strings: t2, _$litType$: i2 }, e2) {
    let h2;
    this.parts = [];
    let r2 = 0, d2 = 0;
    const c2 = t2.length - 1, v2 = this.parts, [a2, f2] = V$1(t2, i2);
    if (this.el = N.createElement(a2, e2), C$1.currentNode = this.el.content, 2 === i2) {
      const t3 = this.el.content, i3 = t3.firstChild;
      i3.remove(), t3.append(...i3.childNodes);
    }
    for (; null !== (h2 = C$1.nextNode()) && v2.length < c2; ) {
      if (1 === h2.nodeType) {
        if (h2.hasAttributes()) {
          const t3 = [];
          for (const i3 of h2.getAttributeNames())
            if (i3.endsWith(o$1) || i3.startsWith(n$1)) {
              const s2 = f2[d2++];
              if (t3.push(i3), void 0 !== s2) {
                const t4 = h2.getAttribute(s2.toLowerCase() + o$1).split(n$1), i4 = /([.?@])?(.*)/.exec(s2);
                v2.push({ type: 1, index: r2, name: i4[2], strings: t4, ctor: "." === i4[1] ? H$1 : "?" === i4[1] ? L$1 : "@" === i4[1] ? z$1 : k$1 });
              } else
                v2.push({ type: 6, index: r2 });
            }
          for (const i3 of t3)
            h2.removeAttribute(i3);
        }
        if (y$1.test(h2.tagName)) {
          const t3 = h2.textContent.split(n$1), i3 = t3.length - 1;
          if (i3 > 0) {
            h2.textContent = s$1 ? s$1.emptyScript : "";
            for (let s2 = 0; s2 < i3; s2++)
              h2.append(t3[s2], u$1()), C$1.nextNode(), v2.push({ type: 2, index: ++r2 });
            h2.append(t3[i3], u$1());
          }
        }
      } else if (8 === h2.nodeType)
        if (h2.data === l$1)
          v2.push({ type: 2, index: r2 });
        else {
          let t3 = -1;
          for (; -1 !== (t3 = h2.data.indexOf(n$1, t3 + 1)); )
            v2.push({ type: 7, index: r2 }), t3 += n$1.length - 1;
        }
      r2++;
    }
  }
  static createElement(t2, i2) {
    const s2 = r$1.createElement("template");
    return s2.innerHTML = t2, s2;
  }
};
function S$1(t2, i2, s2 = t2, e2) {
  var o2, n2, l2, h2;
  if (i2 === T$1)
    return i2;
  let r2 = void 0 !== e2 ? null === (o2 = s2._$Co) || void 0 === o2 ? void 0 : o2[e2] : s2._$Cl;
  const u2 = d$1(i2) ? void 0 : i2._$litDirective$;
  return (null == r2 ? void 0 : r2.constructor) !== u2 && (null === (n2 = null == r2 ? void 0 : r2._$AO) || void 0 === n2 || n2.call(r2, false), void 0 === u2 ? r2 = void 0 : (r2 = new u2(t2), r2._$AT(t2, s2, e2)), void 0 !== e2 ? (null !== (l2 = (h2 = s2)._$Co) && void 0 !== l2 ? l2 : h2._$Co = [])[e2] = r2 : s2._$Cl = r2), void 0 !== r2 && (i2 = S$1(t2, r2._$AS(t2, i2.values), r2, e2)), i2;
}
let M$1 = class M {
  constructor(t2, i2) {
    this._$AV = [], this._$AN = void 0, this._$AD = t2, this._$AM = i2;
  }
  get parentNode() {
    return this._$AM.parentNode;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  u(t2) {
    var i2;
    const { el: { content: s2 }, parts: e2 } = this._$AD, o2 = (null !== (i2 = null == t2 ? void 0 : t2.creationScope) && void 0 !== i2 ? i2 : r$1).importNode(s2, true);
    C$1.currentNode = o2;
    let n2 = C$1.nextNode(), l2 = 0, h2 = 0, u2 = e2[0];
    for (; void 0 !== u2; ) {
      if (l2 === u2.index) {
        let i3;
        2 === u2.type ? i3 = new R$1(n2, n2.nextSibling, this, t2) : 1 === u2.type ? i3 = new u2.ctor(n2, u2.name, u2.strings, this, t2) : 6 === u2.type && (i3 = new Z$1(n2, this, t2)), this._$AV.push(i3), u2 = e2[++h2];
      }
      l2 !== (null == u2 ? void 0 : u2.index) && (n2 = C$1.nextNode(), l2++);
    }
    return C$1.currentNode = r$1, o2;
  }
  v(t2) {
    let i2 = 0;
    for (const s2 of this._$AV)
      void 0 !== s2 && (void 0 !== s2.strings ? (s2._$AI(t2, s2, i2), i2 += s2.strings.length - 2) : s2._$AI(t2[i2])), i2++;
  }
};
let R$1 = class R {
  constructor(t2, i2, s2, e2) {
    var o2;
    this.type = 2, this._$AH = A$1, this._$AN = void 0, this._$AA = t2, this._$AB = i2, this._$AM = s2, this.options = e2, this._$Cp = null === (o2 = null == e2 ? void 0 : e2.isConnected) || void 0 === o2 || o2;
  }
  get _$AU() {
    var t2, i2;
    return null !== (i2 = null === (t2 = this._$AM) || void 0 === t2 ? void 0 : t2._$AU) && void 0 !== i2 ? i2 : this._$Cp;
  }
  get parentNode() {
    let t2 = this._$AA.parentNode;
    const i2 = this._$AM;
    return void 0 !== i2 && 11 === (null == t2 ? void 0 : t2.nodeType) && (t2 = i2.parentNode), t2;
  }
  get startNode() {
    return this._$AA;
  }
  get endNode() {
    return this._$AB;
  }
  _$AI(t2, i2 = this) {
    t2 = S$1(this, t2, i2), d$1(t2) ? t2 === A$1 || null == t2 || "" === t2 ? (this._$AH !== A$1 && this._$AR(), this._$AH = A$1) : t2 !== this._$AH && t2 !== T$1 && this._(t2) : void 0 !== t2._$litType$ ? this.g(t2) : void 0 !== t2.nodeType ? this.$(t2) : v$1(t2) ? this.T(t2) : this._(t2);
  }
  k(t2) {
    return this._$AA.parentNode.insertBefore(t2, this._$AB);
  }
  $(t2) {
    this._$AH !== t2 && (this._$AR(), this._$AH = this.k(t2));
  }
  _(t2) {
    this._$AH !== A$1 && d$1(this._$AH) ? this._$AA.nextSibling.data = t2 : this.$(r$1.createTextNode(t2)), this._$AH = t2;
  }
  g(t2) {
    var i2;
    const { values: s2, _$litType$: e2 } = t2, o2 = "number" == typeof e2 ? this._$AC(t2) : (void 0 === e2.el && (e2.el = N$1.createElement(P$1(e2.h, e2.h[0]), this.options)), e2);
    if ((null === (i2 = this._$AH) || void 0 === i2 ? void 0 : i2._$AD) === o2)
      this._$AH.v(s2);
    else {
      const t3 = new M$1(o2, this), i3 = t3.u(this.options);
      t3.v(s2), this.$(i3), this._$AH = t3;
    }
  }
  _$AC(t2) {
    let i2 = E$1.get(t2.strings);
    return void 0 === i2 && E$1.set(t2.strings, i2 = new N$1(t2)), i2;
  }
  T(t2) {
    c$1(this._$AH) || (this._$AH = [], this._$AR());
    const i2 = this._$AH;
    let s2, e2 = 0;
    for (const o2 of t2)
      e2 === i2.length ? i2.push(s2 = new R(this.k(u$1()), this.k(u$1()), this, this.options)) : s2 = i2[e2], s2._$AI(o2), e2++;
    e2 < i2.length && (this._$AR(s2 && s2._$AB.nextSibling, e2), i2.length = e2);
  }
  _$AR(t2 = this._$AA.nextSibling, i2) {
    var s2;
    for (null === (s2 = this._$AP) || void 0 === s2 || s2.call(this, false, true, i2); t2 && t2 !== this._$AB; ) {
      const i3 = t2.nextSibling;
      t2.remove(), t2 = i3;
    }
  }
  setConnected(t2) {
    var i2;
    void 0 === this._$AM && (this._$Cp = t2, null === (i2 = this._$AP) || void 0 === i2 || i2.call(this, t2));
  }
};
let k$1 = class k {
  constructor(t2, i2, s2, e2, o2) {
    this.type = 1, this._$AH = A$1, this._$AN = void 0, this.element = t2, this.name = i2, this._$AM = e2, this.options = o2, s2.length > 2 || "" !== s2[0] || "" !== s2[1] ? (this._$AH = Array(s2.length - 1).fill(new String()), this.strings = s2) : this._$AH = A$1;
  }
  get tagName() {
    return this.element.tagName;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AI(t2, i2 = this, s2, e2) {
    const o2 = this.strings;
    let n2 = false;
    if (void 0 === o2)
      t2 = S$1(this, t2, i2, 0), n2 = !d$1(t2) || t2 !== this._$AH && t2 !== T$1, n2 && (this._$AH = t2);
    else {
      const e3 = t2;
      let l2, h2;
      for (t2 = o2[0], l2 = 0; l2 < o2.length - 1; l2++)
        h2 = S$1(this, e3[s2 + l2], i2, l2), h2 === T$1 && (h2 = this._$AH[l2]), n2 || (n2 = !d$1(h2) || h2 !== this._$AH[l2]), h2 === A$1 ? t2 = A$1 : t2 !== A$1 && (t2 += (null != h2 ? h2 : "") + o2[l2 + 1]), this._$AH[l2] = h2;
    }
    n2 && !e2 && this.j(t2);
  }
  j(t2) {
    t2 === A$1 ? this.element.removeAttribute(this.name) : this.element.setAttribute(this.name, null != t2 ? t2 : "");
  }
};
let H$1 = class H extends k$1 {
  constructor() {
    super(...arguments), this.type = 3;
  }
  j(t2) {
    this.element[this.name] = t2 === A$1 ? void 0 : t2;
  }
};
const I$1 = s$1 ? s$1.emptyScript : "";
let L$1 = class L extends k$1 {
  constructor() {
    super(...arguments), this.type = 4;
  }
  j(t2) {
    t2 && t2 !== A$1 ? this.element.setAttribute(this.name, I$1) : this.element.removeAttribute(this.name);
  }
};
let z$1 = class z extends k$1 {
  constructor(t2, i2, s2, e2, o2) {
    super(t2, i2, s2, e2, o2), this.type = 5;
  }
  _$AI(t2, i2 = this) {
    var s2;
    if ((t2 = null !== (s2 = S$1(this, t2, i2, 0)) && void 0 !== s2 ? s2 : A$1) === T$1)
      return;
    const e2 = this._$AH, o2 = t2 === A$1 && e2 !== A$1 || t2.capture !== e2.capture || t2.once !== e2.once || t2.passive !== e2.passive, n2 = t2 !== A$1 && (e2 === A$1 || o2);
    o2 && this.element.removeEventListener(this.name, this, e2), n2 && this.element.addEventListener(this.name, this, t2), this._$AH = t2;
  }
  handleEvent(t2) {
    var i2, s2;
    "function" == typeof this._$AH ? this._$AH.call(null !== (s2 = null === (i2 = this.options) || void 0 === i2 ? void 0 : i2.host) && void 0 !== s2 ? s2 : this.element, t2) : this._$AH.handleEvent(t2);
  }
};
let Z$1 = class Z {
  constructor(t2, i2, s2) {
    this.element = t2, this.type = 6, this._$AN = void 0, this._$AM = i2, this.options = s2;
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AI(t2) {
    S$1(this, t2);
  }
};
const B$1 = i$1.litHtmlPolyfillSupport;
null == B$1 || B$1(N$1, R$1), (null !== (t$1 = i$1.litHtmlVersions) && void 0 !== t$1 ? t$1 : i$1.litHtmlVersions = []).push("2.8.0");
const D$1 = (t2, i2, s2) => {
  var e2, o2;
  const n2 = null !== (e2 = null == s2 ? void 0 : s2.renderBefore) && void 0 !== e2 ? e2 : i2;
  let l2 = n2._$litPart$;
  if (void 0 === l2) {
    const t3 = null !== (o2 = null == s2 ? void 0 : s2.renderBefore) && void 0 !== o2 ? o2 : null;
    n2._$litPart$ = l2 = new R$1(i2.insertBefore(u$1(), t3), t3, void 0, null != s2 ? s2 : {});
  }
  return l2._$AI(t2), l2;
};
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
const isString = (value) => {
  const i2 = value.charAt(0);
  if (i2 !== value.charAt(value.length - 1) || i2 !== "'" && i2 !== '"') {
    return false;
  }
  return true;
};
function compile(input) {
  const res = input.match(/([^.]+)/g);
  return (context) => res.reduce((acc, value) => {
    let caller = value;
    if (value.startsWith("[") && value.endsWith("]")) {
      const v1 = value.slice(1, -1);
      const index = Number.parseInt(v1);
      if (!Number.isNaN(index) && index.toString() === v1) {
        caller = index;
      } else if (v1.startsWith('"') && v1.endsWith('"') || v1.startsWith("'") && v1.endsWith("'")) {
        caller = v1.slice(1, -1);
      }
    }
    if (caller === "") {
      throw new TypeError("42", { cause: input });
    }
    return typeof acc === "object" && acc !== null ? acc[caller] : void 0;
  }, context);
}
function interpolate(variables, extra = {}) {
  return variables.reduce((acc, variable, i2) => {
    const trimmed = variable.trim();
    const ni = Number.parseInt(trimmed);
    const nf = Number.parseFloat(trimmed);
    if (trimmed === "") {
      acc[i2] = trimmed;
    } else if (isString(trimmed)) {
      acc[i2] = trimmed.slice(1, -1);
    } else if (["true", "false"].includes(trimmed)) {
      acc[i2] = trimmed === "true";
    } else if (!Number.isNaN(ni) && ni.toString() === trimmed) {
      acc[i2] = ni;
    } else if (!Number.isNaN(nf) && nf.toString() === trimmed) {
      acc[i2] = nf;
    } else if (trimmed.startsWith("{") || trimmed.startsWith("[")) {
      try {
        acc[i2] = JSON.parse(trimmed);
      } catch (err) {
        if (err instanceof SyntaxError) {
          throw new TypeError("43", { cause: err.message });
        }
      }
    } else {
      acc[i2] = compile(trimmed)(extra);
    }
    return acc;
  }, []);
}
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
function toArray$2(input) {
  return Array.isArray(input) ? input : [input];
}
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
function parseSources(sources) {
  const arrayOrObject = typeof sources === "string" ? [sources] : sources;
  return Array.isArray(arrayOrObject) ? arrayOrObject : toArray$2(arrayOrObject.uris);
}
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
const voidTags = [
  "area",
  "base",
  "br",
  "col",
  "embed",
  "hr",
  "img",
  "input",
  "keygen",
  "link",
  "meta",
  "param",
  "source",
  "track",
  "wbr"
];
function isVoidTag(content) {
  return voidTags.includes(content.tag);
}
function contentToArrayOfNodes(rawContent) {
  return Array.isArray(rawContent) ? rawContent : [rawContent];
}
function parseContent(buffer, content, extraProperties) {
  if (typeof content !== "object") {
    buffer.push("".concat(content));
    return;
  }
  contentToArrayOfNodes(content).forEach((el) => {
    if (typeof el !== "object") {
      buffer.push("".concat(el));
      return;
    }
    const {
      tag,
      attributes = {},
      booleanAttributes = [],
      properties = {}
      // content: nextContent,
    } = el;
    const isVoid = isVoidTag(el);
    const initialTagOpen = "<".concat(tag);
    const initialTagClose = isVoid ? "/>" : ">";
    const finalTag = "</".concat(tag, ">");
    const initialTagAttributes = Object.entries(attributes).reduce((acc, [name2, value]) => {
      acc.push("".concat(name2, '="').concat(value, '"'));
      return acc;
    }, []);
    const initialTagBooleanAttributes = toArray$2(booleanAttributes);
    const { override, props } = Object.entries(properties).reduce((acc, [key, value]) => {
      extraProperties.has(key) ? typeof value === "string" && (acc.override[key] = value) : acc.props[key] = value;
      return acc;
    }, { override: {}, props: {} });
    const initialTagExtraProperties = Array.from(extraProperties.keys()).map((prop) => {
      var _a;
      return ".".concat(prop, "=${").concat((_a = override[prop]) != null ? _a : prop, "}");
    });
    const initialTagProperties = Object.entries(props).reduce((acc, [name2, value]) => {
      switch (typeof value) {
        case "object":
        case "number":
        case "boolean":
          acc.push(".".concat(name2, "=${").concat(JSON.stringify(value), "}"));
          break;
        case "string":
          acc.push(".".concat(name2, '=${"').concat(value, '"}'));
          break;
      }
      return acc;
    }, []);
    buffer.push([
      initialTagOpen,
      initialTagAttributes.join(" "),
      initialTagBooleanAttributes.join(" "),
      initialTagExtraProperties.join(" "),
      initialTagProperties.join(" "),
      initialTagClose
    ].join(" "));
    if (!isVoid) {
      const { content: nextContent } = el;
      nextContent !== void 0 && parseContent(buffer, nextContent, extraProperties);
      buffer.push(finalTag);
    }
  });
}
function jsonToHtml(content, extraProperties = /* @__PURE__ */ new Set()) {
  const buffer = [];
  parseContent(buffer, content, extraProperties);
  return buffer.join(" ");
}
const scriptRel = "modulepreload";
const assetsURL = function(dep, importerUrl) {
  return new URL(dep, importerUrl).href;
};
const seen = {};
const __vitePreload = function preload(baseModule, deps2, importerUrl) {
  let promise = Promise.resolve();
  if (deps2 && deps2.length > 0) {
    const links = document.getElementsByTagName("link");
    const cspNonceMeta = document.querySelector("meta[property=csp-nonce]");
    const cspNonce = (cspNonceMeta == null ? void 0 : cspNonceMeta.nonce) || (cspNonceMeta == null ? void 0 : cspNonceMeta.getAttribute("nonce"));
    promise = Promise.all(deps2.map((dep) => {
      dep = assetsURL(dep, importerUrl);
      if (dep in seen)
        return;
      seen[dep] = true;
      const isCss = dep.endsWith(".css");
      const cssSelector = isCss ? '[rel="stylesheet"]' : "";
      const isBaseRelative = !!importerUrl;
      if (isBaseRelative) {
        for (let i2 = links.length - 1; i2 >= 0; i2--) {
          const link2 = links[i2];
          if (link2.href === dep && (!isCss || link2.rel === "stylesheet")) {
            return;
          }
        }
      } else if (document.querySelector(`link[href="${dep}"]${cssSelector}`)) {
        return;
      }
      const link = document.createElement("link");
      link.rel = isCss ? "stylesheet" : scriptRel;
      if (!isCss) {
        link.as = "script";
        link.crossOrigin = "";
      }
      link.href = dep;
      if (cspNonce) {
        link.setAttribute("nonce", cspNonce);
      }
      document.head.appendChild(link);
      if (isCss) {
        return new Promise((res, rej) => {
          link.addEventListener("load", res);
          link.addEventListener("error", () => rej(new Error(`Unable to preload CSS for ${dep}`)));
        });
      }
    }));
  }
  return promise.then(() => baseModule()).catch((err) => {
    const e2 = new Event("vite:preloadError", { cancelable: true });
    e2.payload = err;
    window.dispatchEvent(e2);
    if (!e2.defaultPrevented) {
      throw err;
    }
  });
};
const error$1 = (message, ...args) => {
  __vitePreload(() => Promise.resolve().then(() => errors), true ? void 0 : void 0, import.meta.url).then(({ default: errorMap2 }) => {
    const handler = errorMap2[message];
    handler ? console.error(handler(...args)) : console.error(...args);
  }).catch((err) => {
    console.error(
      "[micro-lc][composer]: Dynamic import error while importing logger utils - ".concat(err.message)
    );
  });
};
const dynamicImportError$1 = (name2) => (err) => {
  error$1("0", name2, err.message);
};
const logger$1 = {
  dynamicImportError: dynamicImportError$1,
  error: error$1
};
const logger$2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  logger: logger$1
}, Symbol.toStringTag, { value: "Module" }));
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
var ErrorCodes = /* @__PURE__ */ ((ErrorCodes2) => {
  ErrorCodes2["DynamicImportError"] = "0";
  ErrorCodes2["InvalidJSONError"] = "20";
  ErrorCodes2["DigestError"] = "40";
  ErrorCodes2["LexerAnalysisEndedInNormalMode"] = "41";
  ErrorCodes2["InterpolationContextError"] = "42";
  ErrorCodes2["InterpolationJSONError"] = "43";
  return ErrorCodes2;
})(ErrorCodes || {});
const COMPOSER = "[micro-lc][composer]";
const errorMap$1 = {
  0: (name2, err) => "".concat(COMPOSER, ": Dynamic import error while importing ").concat(name2, " - ").concat(err),
  20: (file) => "".concat(COMPOSER, ": Provided JSON is invalid / Wrong 'Content-Type' was provided - ").concat(file),
  40: (content, err) => "".concat(COMPOSER, ": Something went wrong while hashing content ").concat(content, " - ").concat(err),
  41: (content, index) => "".concat(COMPOSER, ": Lexer could not parse content ").concat(content, ' due to unexpected char "}" at position ').concat(index),
  42: (input) => "".concat(COMPOSER, ": Invalid interpolation sequence of keys on input ").concat(input),
  43: (err) => "".concat(COMPOSER, ": Invalid interpolation sequence while parsing a JSON input - ").concat(err)
};
var errors_default = errorMap$1;
const errors = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  ErrorCodes,
  default: errors_default
}, Symbol.toStringTag, { value: "Module" }));
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
var logger_default$1 = logger$2;
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
const createBuffer = () => {
  const buffer = [];
  return Object.assign(
    buffer,
    {
      append: (char) => {
        buffer[buffer.length - 1] += char;
      },
      flush: () => {
        buffer.push("");
      }
    }
  );
};
const createLiteralBuffer = () => {
  const buffer = [""];
  return Object.assign(
    buffer,
    {
      append: (char) => {
        buffer[buffer.length - 1] += char;
      },
      flush: () => {
        buffer.push("");
      }
    }
  );
};
const createLiteralsTemplate = (li, variables) => {
  const value = [...li];
  return {
    literals: Object.defineProperty(value, "raw", { get: () => value }),
    variables: [...variables]
  };
};
const createContext = () => ({
  braceCnt: 0,
  literals: createLiteralBuffer(),
  mode: 0,
  variables: createBuffer()
});
const createLexer = (input) => {
  const parse = () => {
    const parsed = Array.from(input).reduce((acc, next) => {
      switch (acc.mode) {
        case 2: {
          if (next === "}" && acc.braceCnt === 0) {
            acc.mode = 0;
            break;
          }
          if (next === "{") {
            acc.braceCnt += 1;
          } else if (next === "}" && acc.braceCnt > 0) {
            acc.braceCnt -= 1;
          }
          acc.variables.append(next);
          break;
        }
        case 1: {
          acc.literals.append(next);
          if (next === "{") {
            acc.literals.flush();
            acc.variables.flush();
            acc.mode = 2;
          } else {
            acc.mode = 0;
          }
          break;
        }
        case 0:
        default: {
          if (next === "$") {
            acc.mode = 1;
          }
          acc.literals.append(next);
        }
      }
      return acc;
    }, createContext());
    if (parsed.mode === 2) {
      parsed.literals.pop();
      parsed.literals.append(parsed.variables.pop());
    }
    parsed.literals.forEach((value, index, literals) => {
      if (index < literals.length - 1) {
        literals[index] = value.slice(0, -2);
      }
    });
    return parsed;
  };
  let done = input.length === 0;
  return {
    run: () => {
      let context;
      if (!done) {
        context = parse();
        done = true;
      }
      const { literals, variables } = context != null ? context : createContext();
      return createLiteralsTemplate(literals, variables);
    }
  };
};
const digest = async (input, algorithm = "SHA-1") => window.crypto.subtle.digest(
  algorithm,
  new TextEncoder().encode(input)
);
const cache = /* @__PURE__ */ new Map();
const lexer = async (input) => {
  const hash = await digest(input).catch((err) => {
    logger_default$1.logger.error("40", input, err.message);
  });
  if (!hash || !cache.has(hash)) {
    const result = createLexer(input).run();
    hash && cache.set(hash, result);
    return result;
  }
  return cache.get(hash);
};
/*!

Copyright 2022 Mia srl

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
async function createComposerContext(content, { extraProperties, context = {} } = {}) {
  const extra = Array.isArray(extraProperties) ? new Set(extraProperties) : extraProperties;
  const htmlBuffer = jsonToHtml(content, extra);
  const template = await lexer(htmlBuffer);
  const variables = interpolate(template.variables, context);
  const htmlTemplate = x$1(template.literals, ...variables);
  return (container, options) => D$1(htmlTemplate, container, options);
}
async function premount(config2, proxyWindow = window, reporter = console.error) {
  var _a;
  let uris = [];
  let importmap;
  let modules = {};
  let done = Promise.resolve();
  if (config2.sources) {
    const { sources } = config2;
    importmap = !Array.isArray(sources) && typeof sources !== "string" ? (_a = sources.importmap) != null ? _a : {} : {};
    try {
      proxyWindow.importShim.addImportMap(importmap);
    } catch (err) {
      reporter(err);
    }
    uris = parseSources(sources);
    if (uris.length > 0) {
      done = Promise.all(uris.map(
        (uri) => proxyWindow.importShim(uri).then((module) => {
          modules = {
            ...modules,
            [uri]: module
          };
        }).catch(reporter)
      ));
    }
  }
  return done.then(() => ({
    ...config2,
    sources: { importmap, modules, uris }
  }));
}
function toArray$1(input) {
  return Array.isArray(input) ? input : [input];
}
var RoutingErrorMessage = /* @__PURE__ */ ((RoutingErrorMessage2) => {
  RoutingErrorMessage2["INTERNAL_SERVER_ERROR"] = "INTERNAL_SERVER_ERROR";
  RoutingErrorMessage2["NOT_FOUND"] = "NOT_FOUND";
  RoutingErrorMessage2["UNAUTHORIZED"] = "UNAUTHORIZED";
  return RoutingErrorMessage2;
})(RoutingErrorMessage || {});
const errorMap = {
  401: "UNAUTHORIZED",
  404: "NOT_FOUND",
  500: "INTERNAL_SERVER_ERROR"
  /* INTERNAL_SERVER_ERROR */
};
const microlcFetch = async (input, init, error2) => window.fetch(input, init).then((res) => {
  let reason = input;
  if (input instanceof URL) {
    reason = input.href;
  } else if (input instanceof Request) {
    reason = input.url;
  }
  return res.status > 299 ? [res, { ...error2, message: errorMap[res.status], reason }] : [res, void 0];
});
function postProcessTemplate(tplResult, opts) {
  const { injectBase } = opts;
  if (injectBase) {
    const parser = new DOMParser();
    const document2 = parser.parseFromString(tplResult.template, "text/html");
    const head = document2.querySelector("head");
    const bases = head == null ? void 0 : head.querySelectorAll("base");
    if ((bases == null ? void 0 : bases.length) === 0 || injectBase === "override") {
      const { pathname: route } = new URL(opts.url, opts.baseURI);
      bases == null ? void 0 : bases.forEach((base) => base.remove());
      head == null ? void 0 : head.appendChild(
        Object.assign(document2.createElement("base"), {
          href: route,
          target: "_blank"
        })
      );
      tplResult.template = document2.documentElement.outerHTML;
    }
  }
  return tplResult;
}
const getPublicPath = (entry) => {
  var _a;
  const path = typeof entry === "string" ? entry : (_a = entry.html) != null ? _a : "";
  const { origin, pathname } = new URL(path, window.document.baseURI);
  return "".concat(origin).concat(pathname).replace(/\/?([^/]+)$/, "/");
};
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error2) {
    reject(error2);
    return;
  }
  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}
function _asyncToGenerator(fn) {
  return function() {
    var self2 = this, args = arguments;
    return new Promise(function(resolve, reject) {
      var gen = fn.apply(self2, args);
      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }
      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }
      _next(void 0);
    });
  };
}
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function getDefaultExportFromCjs(x2) {
  return x2 && x2.__esModule && Object.prototype.hasOwnProperty.call(x2, "default") ? x2["default"] : x2;
}
function noop() {
}
var noop_1 = noop;
const _noop = /* @__PURE__ */ getDefaultExportFromCjs(noop_1);
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i2;
  for (i2 = 0; i2 < sourceKeys.length; i2++) {
    key = sourceKeys[i2];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function _objectWithoutProperties(source, excluded) {
  if (source == null)
    return {};
  var target = _objectWithoutPropertiesLoose(source, excluded);
  var key, i2;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i2 = 0; i2 < sourceSymbolKeys.length; i2++) {
      key = sourceSymbolKeys[i2];
      if (excluded.indexOf(key) >= 0)
        continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key))
        continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i2 = 0, arr2 = new Array(len); i2 < len; i2++)
    arr2[i2] = arr[i2];
  return arr2;
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr))
    return _arrayLikeToArray(arr);
}
function _iterableToArray(iter2) {
  if (typeof Symbol !== "undefined" && iter2[Symbol.iterator] != null || iter2["@@iterator"] != null)
    return Array.from(iter2);
}
function _unsupportedIterableToArray(o2, minLen) {
  if (!o2)
    return;
  if (typeof o2 === "string")
    return _arrayLikeToArray(o2, minLen);
  var n2 = Object.prototype.toString.call(o2).slice(8, -1);
  if (n2 === "Object" && o2.constructor)
    n2 = o2.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(o2);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray(o2, minLen);
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _typeof$1(o2) {
  "@babel/helpers - typeof";
  return _typeof$1 = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(o3) {
    return typeof o3;
  } : function(o3) {
    return o3 && "function" == typeof Symbol && o3.constructor === Symbol && o3 !== Symbol.prototype ? "symbol" : typeof o3;
  }, _typeof$1(o2);
}
function toPrimitive(t2, r2) {
  if ("object" != _typeof$1(t2) || !t2)
    return t2;
  var e2 = t2[Symbol.toPrimitive];
  if (void 0 !== e2) {
    var i2 = e2.call(t2, r2 || "default");
    if ("object" != _typeof$1(i2))
      return i2;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r2 ? String : Number)(t2);
}
function toPropertyKey(t2) {
  var i2 = toPrimitive(t2, "string");
  return "symbol" == _typeof$1(i2) ? i2 : String(i2);
}
function _defineProperty$1(obj, key, value) {
  key = toPropertyKey(key);
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function ownKeys$1(e2, r2) {
  var t2 = Object.keys(e2);
  if (Object.getOwnPropertySymbols) {
    var o2 = Object.getOwnPropertySymbols(e2);
    r2 && (o2 = o2.filter(function(r3) {
      return Object.getOwnPropertyDescriptor(e2, r3).enumerable;
    })), t2.push.apply(t2, o2);
  }
  return t2;
}
function _objectSpread2(e2) {
  for (var r2 = 1; r2 < arguments.length; r2++) {
    var t2 = null != arguments[r2] ? arguments[r2] : {};
    r2 % 2 ? ownKeys$1(Object(t2), true).forEach(function(r3) {
      _defineProperty$1(e2, r3, t2[r3]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e2, Object.getOwnPropertyDescriptors(t2)) : ownKeys$1(Object(t2)).forEach(function(r3) {
      Object.defineProperty(e2, r3, Object.getOwnPropertyDescriptor(t2, r3));
    });
  }
  return e2;
}
var regeneratorRuntime$1 = { exports: {} };
var _typeof = { exports: {} };
(function(module) {
  function _typeof2(o2) {
    "@babel/helpers - typeof";
    return module.exports = _typeof2 = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(o3) {
      return typeof o3;
    } : function(o3) {
      return o3 && "function" == typeof Symbol && o3.constructor === Symbol && o3 !== Symbol.prototype ? "symbol" : typeof o3;
    }, module.exports.__esModule = true, module.exports["default"] = module.exports, _typeof2(o2);
  }
  module.exports = _typeof2, module.exports.__esModule = true, module.exports["default"] = module.exports;
})(_typeof);
var _typeofExports = _typeof.exports;
(function(module) {
  var _typeof2 = _typeofExports["default"];
  function _regeneratorRuntime2() {
    module.exports = _regeneratorRuntime2 = function _regeneratorRuntime3() {
      return e2;
    }, module.exports.__esModule = true, module.exports["default"] = module.exports;
    var t2, e2 = {}, r2 = Object.prototype, n2 = r2.hasOwnProperty, o2 = Object.defineProperty || function(t3, e3, r3) {
      t3[e3] = r3.value;
    }, i2 = "function" == typeof Symbol ? Symbol : {}, a2 = i2.iterator || "@@iterator", c2 = i2.asyncIterator || "@@asyncIterator", u2 = i2.toStringTag || "@@toStringTag";
    function define(t3, e3, r3) {
      return Object.defineProperty(t3, e3, {
        value: r3,
        enumerable: true,
        configurable: true,
        writable: true
      }), t3[e3];
    }
    try {
      define({}, "");
    } catch (t3) {
      define = function define2(t4, e3, r3) {
        return t4[e3] = r3;
      };
    }
    function wrap(t3, e3, r3, n3) {
      var i3 = e3 && e3.prototype instanceof Generator ? e3 : Generator, a3 = Object.create(i3.prototype), c3 = new Context(n3 || []);
      return o2(a3, "_invoke", {
        value: makeInvokeMethod(t3, r3, c3)
      }), a3;
    }
    function tryCatch(t3, e3, r3) {
      try {
        return {
          type: "normal",
          arg: t3.call(e3, r3)
        };
      } catch (t4) {
        return {
          type: "throw",
          arg: t4
        };
      }
    }
    e2.wrap = wrap;
    var h2 = "suspendedStart", l2 = "suspendedYield", f2 = "executing", s2 = "completed", y2 = {};
    function Generator() {
    }
    function GeneratorFunction() {
    }
    function GeneratorFunctionPrototype() {
    }
    var p2 = {};
    define(p2, a2, function() {
      return this;
    });
    var d2 = Object.getPrototypeOf, v2 = d2 && d2(d2(values([])));
    v2 && v2 !== r2 && n2.call(v2, a2) && (p2 = v2);
    var g2 = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(p2);
    function defineIteratorMethods(t3) {
      ["next", "throw", "return"].forEach(function(e3) {
        define(t3, e3, function(t4) {
          return this._invoke(e3, t4);
        });
      });
    }
    function AsyncIterator(t3, e3) {
      function invoke(r4, o3, i3, a3) {
        var c3 = tryCatch(t3[r4], t3, o3);
        if ("throw" !== c3.type) {
          var u3 = c3.arg, h3 = u3.value;
          return h3 && "object" == _typeof2(h3) && n2.call(h3, "__await") ? e3.resolve(h3.__await).then(function(t4) {
            invoke("next", t4, i3, a3);
          }, function(t4) {
            invoke("throw", t4, i3, a3);
          }) : e3.resolve(h3).then(function(t4) {
            u3.value = t4, i3(u3);
          }, function(t4) {
            return invoke("throw", t4, i3, a3);
          });
        }
        a3(c3.arg);
      }
      var r3;
      o2(this, "_invoke", {
        value: function value(t4, n3) {
          function callInvokeWithMethodAndArg() {
            return new e3(function(e4, r4) {
              invoke(t4, n3, e4, r4);
            });
          }
          return r3 = r3 ? r3.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
        }
      });
    }
    function makeInvokeMethod(e3, r3, n3) {
      var o3 = h2;
      return function(i3, a3) {
        if (o3 === f2)
          throw new Error("Generator is already running");
        if (o3 === s2) {
          if ("throw" === i3)
            throw a3;
          return {
            value: t2,
            done: true
          };
        }
        for (n3.method = i3, n3.arg = a3; ; ) {
          var c3 = n3.delegate;
          if (c3) {
            var u3 = maybeInvokeDelegate(c3, n3);
            if (u3) {
              if (u3 === y2)
                continue;
              return u3;
            }
          }
          if ("next" === n3.method)
            n3.sent = n3._sent = n3.arg;
          else if ("throw" === n3.method) {
            if (o3 === h2)
              throw o3 = s2, n3.arg;
            n3.dispatchException(n3.arg);
          } else
            "return" === n3.method && n3.abrupt("return", n3.arg);
          o3 = f2;
          var p3 = tryCatch(e3, r3, n3);
          if ("normal" === p3.type) {
            if (o3 = n3.done ? s2 : l2, p3.arg === y2)
              continue;
            return {
              value: p3.arg,
              done: n3.done
            };
          }
          "throw" === p3.type && (o3 = s2, n3.method = "throw", n3.arg = p3.arg);
        }
      };
    }
    function maybeInvokeDelegate(e3, r3) {
      var n3 = r3.method, o3 = e3.iterator[n3];
      if (o3 === t2)
        return r3.delegate = null, "throw" === n3 && e3.iterator["return"] && (r3.method = "return", r3.arg = t2, maybeInvokeDelegate(e3, r3), "throw" === r3.method) || "return" !== n3 && (r3.method = "throw", r3.arg = new TypeError("The iterator does not provide a '" + n3 + "' method")), y2;
      var i3 = tryCatch(o3, e3.iterator, r3.arg);
      if ("throw" === i3.type)
        return r3.method = "throw", r3.arg = i3.arg, r3.delegate = null, y2;
      var a3 = i3.arg;
      return a3 ? a3.done ? (r3[e3.resultName] = a3.value, r3.next = e3.nextLoc, "return" !== r3.method && (r3.method = "next", r3.arg = t2), r3.delegate = null, y2) : a3 : (r3.method = "throw", r3.arg = new TypeError("iterator result is not an object"), r3.delegate = null, y2);
    }
    function pushTryEntry(t3) {
      var e3 = {
        tryLoc: t3[0]
      };
      1 in t3 && (e3.catchLoc = t3[1]), 2 in t3 && (e3.finallyLoc = t3[2], e3.afterLoc = t3[3]), this.tryEntries.push(e3);
    }
    function resetTryEntry(t3) {
      var e3 = t3.completion || {};
      e3.type = "normal", delete e3.arg, t3.completion = e3;
    }
    function Context(t3) {
      this.tryEntries = [{
        tryLoc: "root"
      }], t3.forEach(pushTryEntry, this), this.reset(true);
    }
    function values(e3) {
      if (e3 || "" === e3) {
        var r3 = e3[a2];
        if (r3)
          return r3.call(e3);
        if ("function" == typeof e3.next)
          return e3;
        if (!isNaN(e3.length)) {
          var o3 = -1, i3 = function next() {
            for (; ++o3 < e3.length; )
              if (n2.call(e3, o3))
                return next.value = e3[o3], next.done = false, next;
            return next.value = t2, next.done = true, next;
          };
          return i3.next = i3;
        }
      }
      throw new TypeError(_typeof2(e3) + " is not iterable");
    }
    return GeneratorFunction.prototype = GeneratorFunctionPrototype, o2(g2, "constructor", {
      value: GeneratorFunctionPrototype,
      configurable: true
    }), o2(GeneratorFunctionPrototype, "constructor", {
      value: GeneratorFunction,
      configurable: true
    }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, u2, "GeneratorFunction"), e2.isGeneratorFunction = function(t3) {
      var e3 = "function" == typeof t3 && t3.constructor;
      return !!e3 && (e3 === GeneratorFunction || "GeneratorFunction" === (e3.displayName || e3.name));
    }, e2.mark = function(t3) {
      return Object.setPrototypeOf ? Object.setPrototypeOf(t3, GeneratorFunctionPrototype) : (t3.__proto__ = GeneratorFunctionPrototype, define(t3, u2, "GeneratorFunction")), t3.prototype = Object.create(g2), t3;
    }, e2.awrap = function(t3) {
      return {
        __await: t3
      };
    }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, c2, function() {
      return this;
    }), e2.AsyncIterator = AsyncIterator, e2.async = function(t3, r3, n3, o3, i3) {
      void 0 === i3 && (i3 = Promise);
      var a3 = new AsyncIterator(wrap(t3, r3, n3, o3), i3);
      return e2.isGeneratorFunction(r3) ? a3 : a3.next().then(function(t4) {
        return t4.done ? t4.value : a3.next();
      });
    }, defineIteratorMethods(g2), define(g2, u2, "Generator"), define(g2, a2, function() {
      return this;
    }), define(g2, "toString", function() {
      return "[object Generator]";
    }), e2.keys = function(t3) {
      var e3 = Object(t3), r3 = [];
      for (var n3 in e3)
        r3.push(n3);
      return r3.reverse(), function next() {
        for (; r3.length; ) {
          var t4 = r3.pop();
          if (t4 in e3)
            return next.value = t4, next.done = false, next;
        }
        return next.done = true, next;
      };
    }, e2.values = values, Context.prototype = {
      constructor: Context,
      reset: function reset(e3) {
        if (this.prev = 0, this.next = 0, this.sent = this._sent = t2, this.done = false, this.delegate = null, this.method = "next", this.arg = t2, this.tryEntries.forEach(resetTryEntry), !e3)
          for (var r3 in this)
            "t" === r3.charAt(0) && n2.call(this, r3) && !isNaN(+r3.slice(1)) && (this[r3] = t2);
      },
      stop: function stop() {
        this.done = true;
        var t3 = this.tryEntries[0].completion;
        if ("throw" === t3.type)
          throw t3.arg;
        return this.rval;
      },
      dispatchException: function dispatchException(e3) {
        if (this.done)
          throw e3;
        var r3 = this;
        function handle(n3, o4) {
          return a3.type = "throw", a3.arg = e3, r3.next = n3, o4 && (r3.method = "next", r3.arg = t2), !!o4;
        }
        for (var o3 = this.tryEntries.length - 1; o3 >= 0; --o3) {
          var i3 = this.tryEntries[o3], a3 = i3.completion;
          if ("root" === i3.tryLoc)
            return handle("end");
          if (i3.tryLoc <= this.prev) {
            var c3 = n2.call(i3, "catchLoc"), u3 = n2.call(i3, "finallyLoc");
            if (c3 && u3) {
              if (this.prev < i3.catchLoc)
                return handle(i3.catchLoc, true);
              if (this.prev < i3.finallyLoc)
                return handle(i3.finallyLoc);
            } else if (c3) {
              if (this.prev < i3.catchLoc)
                return handle(i3.catchLoc, true);
            } else {
              if (!u3)
                throw new Error("try statement without catch or finally");
              if (this.prev < i3.finallyLoc)
                return handle(i3.finallyLoc);
            }
          }
        }
      },
      abrupt: function abrupt(t3, e3) {
        for (var r3 = this.tryEntries.length - 1; r3 >= 0; --r3) {
          var o3 = this.tryEntries[r3];
          if (o3.tryLoc <= this.prev && n2.call(o3, "finallyLoc") && this.prev < o3.finallyLoc) {
            var i3 = o3;
            break;
          }
        }
        i3 && ("break" === t3 || "continue" === t3) && i3.tryLoc <= e3 && e3 <= i3.finallyLoc && (i3 = null);
        var a3 = i3 ? i3.completion : {};
        return a3.type = t3, a3.arg = e3, i3 ? (this.method = "next", this.next = i3.finallyLoc, y2) : this.complete(a3);
      },
      complete: function complete(t3, e3) {
        if ("throw" === t3.type)
          throw t3.arg;
        return "break" === t3.type || "continue" === t3.type ? this.next = t3.arg : "return" === t3.type ? (this.rval = this.arg = t3.arg, this.method = "return", this.next = "end") : "normal" === t3.type && e3 && (this.next = e3), y2;
      },
      finish: function finish(t3) {
        for (var e3 = this.tryEntries.length - 1; e3 >= 0; --e3) {
          var r3 = this.tryEntries[e3];
          if (r3.finallyLoc === t3)
            return this.complete(r3.completion, r3.afterLoc), resetTryEntry(r3), y2;
        }
      },
      "catch": function _catch(t3) {
        for (var e3 = this.tryEntries.length - 1; e3 >= 0; --e3) {
          var r3 = this.tryEntries[e3];
          if (r3.tryLoc === t3) {
            var n3 = r3.completion;
            if ("throw" === n3.type) {
              var o3 = n3.arg;
              resetTryEntry(r3);
            }
            return o3;
          }
        }
        throw new Error("illegal catch attempt");
      },
      delegateYield: function delegateYield(e3, r3, n3) {
        return this.delegate = {
          iterator: values(e3),
          resultName: r3,
          nextLoc: n3
        }, "next" === this.method && (this.arg = t2), y2;
      }
    }, e2;
  }
  module.exports = _regeneratorRuntime2, module.exports.__esModule = true, module.exports["default"] = module.exports;
})(regeneratorRuntime$1);
var regeneratorRuntimeExports = regeneratorRuntime$1.exports;
var runtime = regeneratorRuntimeExports();
var regenerator = runtime;
try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}
const _regeneratorRuntime = /* @__PURE__ */ getDefaultExportFromCjs(regenerator);
var t = Object.freeze({ __proto__: null, get start() {
  return xt;
}, get ensureJQuerySupport() {
  return ft;
}, get setBootstrapMaxTime() {
  return F;
}, get setMountMaxTime() {
  return J;
}, get setUnmountMaxTime() {
  return H2;
}, get setUnloadMaxTime() {
  return Q;
}, get registerApplication() {
  return Ot;
}, get unregisterApplication() {
  return Tt;
}, get getMountedApps() {
  return Et;
}, get getAppStatus() {
  return Pt;
}, get unloadApplication() {
  return At;
}, get checkActivityFunctions() {
  return bt;
}, get getAppNames() {
  return yt;
}, get pathToActiveWhen() {
  return _t;
}, get navigateToUrl() {
  return nt;
}, get triggerAppChange() {
  return Mt;
}, get addErrorHandler() {
  return a;
}, get removeErrorHandler() {
  return c;
}, get mountRootParcel() {
  return C;
}, get NOT_LOADED() {
  return l;
}, get LOADING_SOURCE_CODE() {
  return p;
}, get NOT_BOOTSTRAPPED() {
  return h;
}, get BOOTSTRAPPING() {
  return m;
}, get NOT_MOUNTED() {
  return v;
}, get MOUNTING() {
  return d;
}, get UPDATING() {
  return g;
}, get LOAD_ERROR() {
  return y;
}, get MOUNTED() {
  return w;
}, get UNMOUNTING() {
  return E;
}, get SKIP_BECAUSE_BROKEN() {
  return P;
} });
function n(t2) {
  return (n = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(t3) {
    return typeof t3;
  } : function(t3) {
    return t3 && "function" == typeof Symbol && t3.constructor === Symbol && t3 !== Symbol.prototype ? "symbol" : typeof t3;
  })(t2);
}
function e(t2, n2, e2) {
  return n2 in t2 ? Object.defineProperty(t2, n2, { value: e2, enumerable: true, configurable: true, writable: true }) : t2[n2] = e2, t2;
}
var r = ("undefined" != typeof globalThis ? globalThis : "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}).CustomEvent, o = function() {
  try {
    var t2 = new r("cat", { detail: { foo: "bar" } });
    return "cat" === t2.type && "bar" === t2.detail.foo;
  } catch (t3) {
  }
  return false;
}() ? r : "undefined" != typeof document && "function" == typeof document.createEvent ? function(t2, n2) {
  var e2 = document.createEvent("CustomEvent");
  return n2 ? e2.initCustomEvent(t2, n2.bubbles, n2.cancelable, n2.detail) : e2.initCustomEvent(t2, false, false, void 0), e2;
} : function(t2, n2) {
  var e2 = document.createEventObject();
  return e2.type = t2, n2 ? (e2.bubbles = Boolean(n2.bubbles), e2.cancelable = Boolean(n2.cancelable), e2.detail = n2.detail) : (e2.bubbles = false, e2.cancelable = false, e2.detail = void 0), e2;
}, i = [];
function u(t2, n2, e2) {
  var r2 = f(t2, n2, e2);
  i.length ? i.forEach(function(t3) {
    return t3(r2);
  }) : setTimeout(function() {
    throw r2;
  });
}
function a(t2) {
  if ("function" != typeof t2)
    throw Error(s(28, false));
  i.push(t2);
}
function c(t2) {
  if ("function" != typeof t2)
    throw Error(s(29, false));
  var n2 = false;
  return i = i.filter(function(e2) {
    var r2 = e2 === t2;
    return n2 = n2 || r2, !r2;
  }), n2;
}
function s(t2, n2) {
  for (var e2 = arguments.length, r2 = new Array(e2 > 2 ? e2 - 2 : 0), o2 = 2; o2 < e2; o2++)
    r2[o2 - 2] = arguments[o2];
  return "single-spa minified message #".concat(t2, ": ").concat(n2 ? n2 + " " : "", "See https://single-spa.js.org/error/?code=").concat(t2).concat(r2.length ? "&arg=".concat(r2.join("&arg=")) : "");
}
function f(t2, n2, e2) {
  var r2, o2 = "".concat(N2(n2), " '").concat(T(n2), "' died in status ").concat(n2.status, ": ");
  if (t2 instanceof Error) {
    try {
      t2.message = o2 + t2.message;
    } catch (t3) {
    }
    r2 = t2;
  } else {
    console.warn(s(30, false, n2.status, T(n2)));
    try {
      r2 = Error(o2 + JSON.stringify(t2));
    } catch (n3) {
      r2 = t2;
    }
  }
  return r2.appOrParcelName = T(n2), n2.status = e2, r2;
}
var l = "NOT_LOADED", p = "LOADING_SOURCE_CODE", h = "NOT_BOOTSTRAPPED", m = "BOOTSTRAPPING", v = "NOT_MOUNTED", d = "MOUNTING", w = "MOUNTED", g = "UPDATING", E = "UNMOUNTING", y = "LOAD_ERROR", P = "SKIP_BECAUSE_BROKEN";
function O(t2) {
  return t2.status === w;
}
function b(t2) {
  try {
    return t2.activeWhen(window.location);
  } catch (n2) {
    return u(n2, t2, P), false;
  }
}
function T(t2) {
  return t2.name;
}
function A(t2) {
  return Boolean(t2.unmountThisParcel);
}
function N2(t2) {
  return A(t2) ? "parcel" : "application";
}
function S() {
  for (var t2 = arguments.length - 1; t2 > 0; t2--)
    for (var n2 in arguments[t2])
      "__proto__" !== n2 && (arguments[t2 - 1][n2] = arguments[t2][n2]);
  return arguments[0];
}
function _(t2, n2) {
  for (var e2 = 0; e2 < t2.length; e2++)
    if (n2(t2[e2]))
      return t2[e2];
  return null;
}
function D(t2) {
  return t2 && ("function" == typeof t2 || (n2 = t2, Array.isArray(n2) && !_(n2, function(t3) {
    return "function" != typeof t3;
  })));
  var n2;
}
function U(t2, n2) {
  var e2 = t2[n2] || [];
  0 === (e2 = Array.isArray(e2) ? e2 : [e2]).length && (e2 = [function() {
    return Promise.resolve();
  }]);
  var r2 = N2(t2), o2 = T(t2);
  return function(t3) {
    return e2.reduce(function(e3, i2, u2) {
      return e3.then(function() {
        var e4 = i2(t3);
        return j(e4) ? e4 : Promise.reject(s(15, false, r2, o2, n2, u2));
      });
    }, Promise.resolve());
  };
}
function j(t2) {
  return t2 && "function" == typeof t2.then && "function" == typeof t2.catch;
}
function M2(t2, n2) {
  return Promise.resolve().then(function() {
    return t2.status !== h ? t2 : (t2.status = m, t2.bootstrap ? V(t2, "bootstrap").then(e2).catch(function(e3) {
      if (n2)
        throw f(e3, t2, P);
      return u(e3, t2, P), t2;
    }) : Promise.resolve().then(e2));
  });
  function e2() {
    return t2.status = v, t2;
  }
}
function L2(t2, n2) {
  return Promise.resolve().then(function() {
    if (t2.status !== w)
      return t2;
    t2.status = E;
    var e2 = Object.keys(t2.parcels).map(function(n3) {
      return t2.parcels[n3].unmountThisParcel();
    });
    return Promise.all(e2).then(r2, function(e3) {
      return r2().then(function() {
        var r3 = Error(e3.message);
        if (n2)
          throw f(r3, t2, P);
        u(r3, t2, P);
      });
    }).then(function() {
      return t2;
    });
    function r2() {
      return V(t2, "unmount").then(function() {
        t2.status = v;
      }).catch(function(e3) {
        if (n2)
          throw f(e3, t2, P);
        u(e3, t2, P);
      });
    }
  });
}
var R2 = false, I = false;
function x(t2, n2) {
  return Promise.resolve().then(function() {
    return t2.status !== v ? t2 : (R2 || (window.dispatchEvent(new o("single-spa:before-first-mount")), R2 = true), V(t2, "mount").then(function() {
      return t2.status = w, I || (window.dispatchEvent(new o("single-spa:first-mount")), I = true), t2;
    }).catch(function(e2) {
      return t2.status = w, L2(t2, true).then(r2, r2);
      function r2() {
        if (n2)
          throw f(e2, t2, P);
        return u(e2, t2, P), t2;
      }
    }));
  });
}
var B = 0, G = { parcels: {} };
function C() {
  return W.apply(G, arguments);
}
function W(t2, e2) {
  var r2 = this;
  if (!t2 || "object" !== n(t2) && "function" != typeof t2)
    throw Error(s(2, false));
  if (t2.name && "string" != typeof t2.name)
    throw Error(s(3, false, n(t2.name)));
  if ("object" !== n(e2))
    throw Error(s(4, false, name, n(e2)));
  if (!e2.domElement)
    throw Error(s(5, false, name));
  var o2, i2 = B++, u2 = "function" == typeof t2, a2 = u2 ? t2 : function() {
    return Promise.resolve(t2);
  }, c2 = { id: i2, parcels: {}, status: u2 ? p : h, customProps: e2, parentName: T(r2), unmountThisParcel: function() {
    return y2.then(function() {
      if (c2.status !== w)
        throw Error(s(6, false, name, c2.status));
      return L2(c2, true);
    }).then(function(t3) {
      return c2.parentName && delete r2.parcels[c2.id], t3;
    }).then(function(t3) {
      return m2(t3), t3;
    }).catch(function(t3) {
      throw c2.status = P, d2(t3), t3;
    });
  } };
  r2.parcels[i2] = c2;
  var l2 = a2();
  if (!l2 || "function" != typeof l2.then)
    throw Error(s(7, false));
  var m2, d2, E2 = (l2 = l2.then(function(t3) {
    if (!t3)
      throw Error(s(8, false));
    var n2 = t3.name || "parcel-".concat(i2);
    if (Object.prototype.hasOwnProperty.call(t3, "bootstrap") && !D(t3.bootstrap))
      throw Error(s(9, false, n2));
    if (!D(t3.mount))
      throw Error(s(10, false, n2));
    if (!D(t3.unmount))
      throw Error(s(11, false, n2));
    if (t3.update && !D(t3.update))
      throw Error(s(12, false, n2));
    var e3 = U(t3, "bootstrap"), r3 = U(t3, "mount"), u3 = U(t3, "unmount");
    c2.status = h, c2.name = n2, c2.bootstrap = e3, c2.mount = r3, c2.unmount = u3, c2.timeouts = q(t3.timeouts), t3.update && (c2.update = U(t3, "update"), o2.update = function(t4) {
      return c2.customProps = t4, $(function(t5) {
        return Promise.resolve().then(function() {
          if (t5.status !== w)
            throw Error(s(32, false, T(t5)));
          return t5.status = g, V(t5, "update").then(function() {
            return t5.status = w, t5;
          }).catch(function(n3) {
            throw f(n3, t5, P);
          });
        });
      }(c2));
    });
  })).then(function() {
    return M2(c2, true);
  }), y2 = E2.then(function() {
    return x(c2, true);
  }), O2 = new Promise(function(t3, n2) {
    m2 = t3, d2 = n2;
  });
  return o2 = { mount: function() {
    return $(Promise.resolve().then(function() {
      if (c2.status !== v)
        throw Error(s(13, false, name, c2.status));
      return r2.parcels[i2] = c2, x(c2);
    }));
  }, unmount: function() {
    return $(c2.unmountThisParcel());
  }, getStatus: function() {
    return c2.status;
  }, loadPromise: $(l2), bootstrapPromise: $(E2), mountPromise: $(y2), unmountPromise: $(O2) };
}
function $(t2) {
  return t2.then(function() {
    return null;
  });
}
function k2(e2) {
  var r2 = T(e2), o2 = "function" == typeof e2.customProps ? e2.customProps(r2, window.location) : e2.customProps;
  ("object" !== n(o2) || null === o2 || Array.isArray(o2)) && (o2 = {}, console.warn(s(40, false), r2, o2));
  var i2 = S({}, o2, { name: r2, mountParcel: W.bind(e2), singleSpa: t });
  return A(e2) && (i2.unmountSelf = e2.unmountThisParcel), i2;
}
var K = { bootstrap: { millis: 4e3, dieOnTimeout: false, warningMillis: 1e3 }, mount: { millis: 3e3, dieOnTimeout: false, warningMillis: 1e3 }, unmount: { millis: 3e3, dieOnTimeout: false, warningMillis: 1e3 }, unload: { millis: 3e3, dieOnTimeout: false, warningMillis: 1e3 }, update: { millis: 3e3, dieOnTimeout: false, warningMillis: 1e3 } };
function F(t2, n2, e2) {
  if ("number" != typeof t2 || t2 <= 0)
    throw Error(s(16, false));
  K.bootstrap = { millis: t2, dieOnTimeout: n2, warningMillis: e2 || 1e3 };
}
function J(t2, n2, e2) {
  if ("number" != typeof t2 || t2 <= 0)
    throw Error(s(17, false));
  K.mount = { millis: t2, dieOnTimeout: n2, warningMillis: e2 || 1e3 };
}
function H2(t2, n2, e2) {
  if ("number" != typeof t2 || t2 <= 0)
    throw Error(s(18, false));
  K.unmount = { millis: t2, dieOnTimeout: n2, warningMillis: e2 || 1e3 };
}
function Q(t2, n2, e2) {
  if ("number" != typeof t2 || t2 <= 0)
    throw Error(s(19, false));
  K.unload = { millis: t2, dieOnTimeout: n2, warningMillis: e2 || 1e3 };
}
function V(t2, n2) {
  var e2 = t2.timeouts[n2], r2 = e2.warningMillis, o2 = N2(t2);
  return new Promise(function(i2, u2) {
    var a2 = false, c2 = false;
    t2[n2](k2(t2)).then(function(t3) {
      a2 = true, i2(t3);
    }).catch(function(t3) {
      a2 = true, u2(t3);
    }), setTimeout(function() {
      return l2(1);
    }, r2), setTimeout(function() {
      return l2(true);
    }, e2.millis);
    var f2 = s(31, false, n2, o2, T(t2), e2.millis);
    function l2(t3) {
      if (!a2) {
        if (true === t3)
          c2 = true, e2.dieOnTimeout ? u2(Error(f2)) : console.error(f2);
        else if (!c2) {
          var n3 = t3, o3 = n3 * r2;
          console.warn(f2), o3 + r2 < e2.millis && setTimeout(function() {
            return l2(n3 + 1);
          }, r2);
        }
      }
    }
  });
}
function q(t2) {
  var n2 = {};
  for (var e2 in K)
    n2[e2] = S({}, K[e2], t2 && t2[e2] || {});
  return n2;
}
function z2(t2) {
  return Promise.resolve().then(function() {
    return t2.loadPromise ? t2.loadPromise : t2.status !== l && t2.status !== y ? t2 : (t2.status = p, t2.loadPromise = Promise.resolve().then(function() {
      var o2 = t2.loadApp(k2(t2));
      if (!j(o2))
        throw r2 = true, Error(s(33, false, T(t2)));
      return o2.then(function(r3) {
        var o3;
        t2.loadErrorTime = null, "object" !== n(e2 = r3) && (o3 = 34), Object.prototype.hasOwnProperty.call(e2, "bootstrap") && !D(e2.bootstrap) && (o3 = 35), D(e2.mount) || (o3 = 36), D(e2.unmount) || (o3 = 37);
        var i2 = N2(e2);
        if (o3) {
          var a2;
          try {
            a2 = JSON.stringify(e2);
          } catch (t3) {
          }
          return console.error(s(o3, false, i2, T(t2), a2), e2), u(void 0, t2, P), t2;
        }
        return e2.devtools && e2.devtools.overlays && (t2.devtools.overlays = S({}, t2.devtools.overlays, e2.devtools.overlays)), t2.status = h, t2.bootstrap = U(e2, "bootstrap"), t2.mount = U(e2, "mount"), t2.unmount = U(e2, "unmount"), t2.unload = U(e2, "unload"), t2.timeouts = q(e2.timeouts), delete t2.loadPromise, t2;
      });
    }).catch(function(n2) {
      var e3;
      return delete t2.loadPromise, r2 ? e3 = P : (e3 = y, t2.loadErrorTime = (/* @__PURE__ */ new Date()).getTime()), u(n2, t2, e3), t2;
    }));
    var e2, r2;
  });
}
var X, Y = "undefined" != typeof window, Z2 = { hashchange: [], popstate: [] }, tt = ["hashchange", "popstate"];
function nt(t2) {
  var n2;
  if ("string" == typeof t2)
    n2 = t2;
  else if (this && this.href)
    n2 = this.href;
  else {
    if (!(t2 && t2.currentTarget && t2.currentTarget.href && t2.preventDefault))
      throw Error(s(14, false));
    n2 = t2.currentTarget.href, t2.preventDefault();
  }
  var e2 = ct(window.location.href), r2 = ct(n2);
  0 === n2.indexOf("#") ? window.location.hash = r2.hash : e2.host !== r2.host && r2.host ? window.location.href = n2 : r2.pathname === e2.pathname && r2.search === e2.search ? window.location.hash = r2.hash : window.history.pushState(null, null, n2);
}
function et(t2) {
  var n2 = this;
  if (t2) {
    var e2 = t2[0].type;
    tt.indexOf(e2) >= 0 && Z2[e2].forEach(function(e3) {
      try {
        e3.apply(n2, t2);
      } catch (t3) {
        setTimeout(function() {
          throw t3;
        });
      }
    });
  }
}
function rt() {
  Lt([], arguments);
}
function ot(t2, n2) {
  return function() {
    var e2 = window.location.href, r2 = t2.apply(this, arguments), o2 = window.location.href;
    return X && e2 === o2 || (Bt() ? window.dispatchEvent(it(window.history.state, n2)) : Lt([])), r2;
  };
}
function it(t2, n2) {
  var e2;
  try {
    e2 = new PopStateEvent("popstate", { state: t2 });
  } catch (n3) {
    (e2 = document.createEvent("PopStateEvent")).initPopStateEvent("popstate", false, false, t2);
  }
  return e2.singleSpa = true, e2.singleSpaTrigger = n2, e2;
}
if (Y) {
  window.addEventListener("hashchange", rt), window.addEventListener("popstate", rt);
  var ut = window.addEventListener, at = window.removeEventListener;
  window.addEventListener = function(t2, n2) {
    if (!("function" == typeof n2 && tt.indexOf(t2) >= 0) || _(Z2[t2], function(t3) {
      return t3 === n2;
    }))
      return ut.apply(this, arguments);
    Z2[t2].push(n2);
  }, window.removeEventListener = function(t2, n2) {
    if (!("function" == typeof n2 && tt.indexOf(t2) >= 0))
      return at.apply(this, arguments);
    Z2[t2] = Z2[t2].filter(function(t3) {
      return t3 !== n2;
    });
  }, window.history.pushState = ot(window.history.pushState, "pushState"), window.history.replaceState = ot(window.history.replaceState, "replaceState"), window.singleSpaNavigate ? console.warn(s(41, false)) : window.singleSpaNavigate = nt;
}
function ct(t2) {
  var n2 = document.createElement("a");
  return n2.href = t2, n2;
}
var st = false;
function ft() {
  var t2 = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : window.jQuery;
  if (t2 || window.$ && window.$.fn && window.$.fn.jquery && (t2 = window.$), t2 && !st) {
    var n2 = t2.fn.on, e2 = t2.fn.off;
    t2.fn.on = function(t3, e3) {
      return lt.call(this, n2, window.addEventListener, t3, e3, arguments);
    }, t2.fn.off = function(t3, n3) {
      return lt.call(this, e2, window.removeEventListener, t3, n3, arguments);
    }, st = true;
  }
}
function lt(t2, n2, e2, r2, o2) {
  return "string" != typeof e2 ? t2.apply(this, o2) : (e2.split(/\s+/).forEach(function(t3) {
    tt.indexOf(t3) >= 0 && (n2(t3, r2), e2 = e2.replace(t3, ""));
  }), "" === e2.trim() ? this : t2.apply(this, o2));
}
var pt = {};
function ht(t2) {
  return Promise.resolve().then(function() {
    var n2 = pt[T(t2)];
    if (!n2)
      return t2;
    if (t2.status === l)
      return mt(t2, n2), t2;
    if ("UNLOADING" === t2.status)
      return n2.promise.then(function() {
        return t2;
      });
    if (t2.status !== v && t2.status !== y)
      return t2;
    var e2 = t2.status === y ? Promise.resolve() : V(t2, "unload");
    return t2.status = "UNLOADING", e2.then(function() {
      return mt(t2, n2), t2;
    }).catch(function(e3) {
      return function(t3, n3, e4) {
        delete pt[T(t3)], delete t3.bootstrap, delete t3.mount, delete t3.unmount, delete t3.unload, u(e4, t3, P), n3.reject(e4);
      }(t2, n2, e3), t2;
    });
  });
}
function mt(t2, n2) {
  delete pt[T(t2)], delete t2.bootstrap, delete t2.mount, delete t2.unmount, delete t2.unload, t2.status = l, n2.resolve();
}
function vt(t2, n2, e2, r2) {
  pt[T(t2)] = { app: t2, resolve: e2, reject: r2 }, Object.defineProperty(pt[T(t2)], "promise", { get: n2 });
}
function dt(t2) {
  return pt[t2];
}
var wt = [];
function gt() {
  var t2 = [], n2 = [], e2 = [], r2 = [], o2 = (/* @__PURE__ */ new Date()).getTime();
  return wt.forEach(function(i2) {
    var u2 = i2.status !== P && b(i2);
    switch (i2.status) {
      case y:
        u2 && o2 - i2.loadErrorTime >= 200 && e2.push(i2);
        break;
      case l:
      case p:
        u2 && e2.push(i2);
        break;
      case h:
      case v:
        !u2 && dt(T(i2)) ? t2.push(i2) : u2 && r2.push(i2);
        break;
      case w:
        u2 || n2.push(i2);
    }
  }), { appsToUnload: t2, appsToUnmount: n2, appsToLoad: e2, appsToMount: r2 };
}
function Et() {
  return wt.filter(O).map(T);
}
function yt() {
  return wt.map(T);
}
function Pt(t2) {
  var n2 = _(wt, function(n3) {
    return T(n3) === t2;
  });
  return n2 ? n2.status : null;
}
function Ot(t2, e2, r2, o2) {
  var i2 = function(t3, e3, r3, o3) {
    var i3, u2 = { name: null, loadApp: null, activeWhen: null, customProps: null };
    return "object" === n(t3) ? (function(t4) {
      if (Array.isArray(t4) || null === t4)
        throw Error(s(39, false));
      var e4 = ["name", "app", "activeWhen", "customProps"], r4 = Object.keys(t4).reduce(function(t5, n2) {
        return e4.indexOf(n2) >= 0 ? t5 : t5.concat(n2);
      }, []);
      if (0 !== r4.length)
        throw Error(s(38, false, e4.join(", "), r4.join(", ")));
      if ("string" != typeof t4.name || 0 === t4.name.length)
        throw Error(s(20, false));
      if ("object" !== n(t4.app) && "function" != typeof t4.app)
        throw Error(s(20, false));
      var o4 = function(t5) {
        return "string" == typeof t5 || "function" == typeof t5;
      };
      if (!(o4(t4.activeWhen) || Array.isArray(t4.activeWhen) && t4.activeWhen.every(o4)))
        throw Error(s(24, false));
      if (!St(t4.customProps))
        throw Error(s(22, false));
    }(t3), u2.name = t3.name, u2.loadApp = t3.app, u2.activeWhen = t3.activeWhen, u2.customProps = t3.customProps) : (function(t4, n2, e4, r4) {
      if ("string" != typeof t4 || 0 === t4.length)
        throw Error(s(20, false));
      if (!n2)
        throw Error(s(23, false));
      if ("function" != typeof e4)
        throw Error(s(24, false));
      if (!St(r4))
        throw Error(s(22, false));
    }(t3, e3, r3, o3), u2.name = t3, u2.loadApp = e3, u2.activeWhen = r3, u2.customProps = o3), u2.loadApp = "function" != typeof (i3 = u2.loadApp) ? function() {
      return Promise.resolve(i3);
    } : i3, u2.customProps = /* @__PURE__ */ function(t4) {
      return t4 || {};
    }(u2.customProps), u2.activeWhen = function(t4) {
      var n2 = Array.isArray(t4) ? t4 : [t4];
      return n2 = n2.map(function(t5) {
        return "function" == typeof t5 ? t5 : _t(t5);
      }), function(t5) {
        return n2.some(function(n3) {
          return n3(t5);
        });
      };
    }(u2.activeWhen), u2;
  }(t2, e2, r2, o2);
  if (-1 !== yt().indexOf(i2.name))
    throw Error(s(21, false, i2.name));
  wt.push(S({ loadErrorTime: null, status: l, parcels: {}, devtools: { overlays: { options: {}, selectors: [] } } }, i2)), Y && (ft(), Lt());
}
function bt() {
  var t2 = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : window.location;
  return wt.filter(function(n2) {
    return n2.activeWhen(t2);
  }).map(T);
}
function Tt(t2) {
  if (0 === wt.filter(function(n2) {
    return T(n2) === t2;
  }).length)
    throw Error(s(25, false, t2));
  return At(t2).then(function() {
    var n2 = wt.map(T).indexOf(t2);
    wt.splice(n2, 1);
  });
}
function At(t2) {
  var n2 = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : { waitForUnmount: false };
  if ("string" != typeof t2)
    throw Error(s(26, false));
  var e2 = _(wt, function(n3) {
    return T(n3) === t2;
  });
  if (!e2)
    throw Error(s(27, false, t2));
  var r2, o2 = dt(T(e2));
  if (n2 && n2.waitForUnmount) {
    if (o2)
      return o2.promise;
    var i2 = new Promise(function(t3, n3) {
      vt(e2, function() {
        return i2;
      }, t3, n3);
    });
    return i2;
  }
  return o2 ? (r2 = o2.promise, Nt(e2, o2.resolve, o2.reject)) : r2 = new Promise(function(t3, n3) {
    vt(e2, function() {
      return r2;
    }, t3, n3), Nt(e2, t3, n3);
  }), r2;
}
function Nt(t2, n2, e2) {
  L2(t2).then(ht).then(function() {
    n2(), setTimeout(function() {
      Lt();
    });
  }).catch(e2);
}
function St(t2) {
  return !t2 || "function" == typeof t2 || "object" === n(t2) && null !== t2 && !Array.isArray(t2);
}
function _t(t2, n2) {
  var e2 = function(t3, n3) {
    var e3 = 0, r2 = false, o2 = "^";
    "/" !== t3[0] && (t3 = "/" + t3);
    for (var i2 = 0; i2 < t3.length; i2++) {
      var u2 = t3[i2];
      (!r2 && ":" === u2 || r2 && "/" === u2) && a2(i2);
    }
    return a2(t3.length), new RegExp(o2, "i");
    function a2(i3) {
      var u3 = t3.slice(e3, i3).replace(/[|\\{}()[\]^$+*?.]/g, "\\$&");
      if (o2 += r2 ? "[^/]+/?" : u3, i3 === t3.length)
        if (r2)
          n3 && (o2 += "$");
        else {
          var a3 = n3 ? "" : ".*";
          o2 = "/" === o2.charAt(o2.length - 1) ? "".concat(o2).concat(a3, "$") : "".concat(o2, "(/").concat(a3, ")?(#.*)?$");
        }
      r2 = !r2, e3 = i3;
    }
  }(t2, n2);
  return function(t3) {
    var n3 = t3.origin;
    n3 || (n3 = "".concat(t3.protocol, "//").concat(t3.host));
    var r2 = t3.href.replace(n3, "").replace(t3.search, "").split("?")[0];
    return e2.test(r2);
  };
}
var Dt = false, Ut = [], jt = Y && window.location.href;
function Mt() {
  return Lt();
}
function Lt() {
  var t2 = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : [], n2 = arguments.length > 1 ? arguments[1] : void 0;
  if (Dt)
    return new Promise(function(t3, e2) {
      Ut.push({ resolve: t3, reject: e2, eventArguments: n2 });
    });
  var r2, i2 = gt(), u2 = i2.appsToUnload, a2 = i2.appsToUnmount, c2 = i2.appsToLoad, s2 = i2.appsToMount, f2 = false, p2 = jt, h2 = jt = window.location.href;
  return Bt() ? (Dt = true, r2 = u2.concat(c2, a2, s2), g2()) : (r2 = c2, d2());
  function m2() {
    f2 = true;
  }
  function d2() {
    return Promise.resolve().then(function() {
      var t3 = c2.map(z2);
      return Promise.all(t3).then(y2).then(function() {
        return [];
      }).catch(function(t4) {
        throw y2(), t4;
      });
    });
  }
  function g2() {
    return Promise.resolve().then(function() {
      if (window.dispatchEvent(new o(0 === r2.length ? "single-spa:before-no-app-change" : "single-spa:before-app-change", O2(true))), window.dispatchEvent(new o("single-spa:before-routing-event", O2(true, { cancelNavigation: m2 }))), f2)
        return window.dispatchEvent(new o("single-spa:before-mount-routing-event", O2(true))), E2(), void nt(p2);
      var n3 = u2.map(ht), e2 = a2.map(L2).map(function(t3) {
        return t3.then(ht);
      }).concat(n3), i3 = Promise.all(e2);
      i3.then(function() {
        window.dispatchEvent(new o("single-spa:before-mount-routing-event", O2(true)));
      });
      var l2 = c2.map(function(t3) {
        return z2(t3).then(function(t4) {
          return Rt(t4, i3);
        });
      }), h3 = s2.filter(function(t3) {
        return c2.indexOf(t3) < 0;
      }).map(function(t3) {
        return Rt(t3, i3);
      });
      return i3.catch(function(t3) {
        throw y2(), t3;
      }).then(function() {
        return y2(), Promise.all(l2.concat(h3)).catch(function(n4) {
          throw t2.forEach(function(t3) {
            return t3.reject(n4);
          }), n4;
        }).then(E2);
      });
    });
  }
  function E2() {
    var n3 = Et();
    t2.forEach(function(t3) {
      return t3.resolve(n3);
    });
    try {
      var e2 = 0 === r2.length ? "single-spa:no-app-change" : "single-spa:app-change";
      window.dispatchEvent(new o(e2, O2())), window.dispatchEvent(new o("single-spa:routing-event", O2()));
    } catch (t3) {
      setTimeout(function() {
        throw t3;
      });
    }
    if (Dt = false, Ut.length > 0) {
      var i3 = Ut;
      Ut = [], Lt(i3);
    }
    return n3;
  }
  function y2() {
    t2.forEach(function(t3) {
      et(t3.eventArguments);
    }), et(n2);
  }
  function O2() {
    var t3, o2 = arguments.length > 0 && void 0 !== arguments[0] && arguments[0], i3 = arguments.length > 1 ? arguments[1] : void 0, m3 = {}, d3 = (e(t3 = {}, w, []), e(t3, v, []), e(t3, l, []), e(t3, P, []), t3);
    o2 ? (c2.concat(s2).forEach(function(t4, n3) {
      E3(t4, w);
    }), u2.forEach(function(t4) {
      E3(t4, l);
    }), a2.forEach(function(t4) {
      E3(t4, v);
    })) : r2.forEach(function(t4) {
      E3(t4);
    });
    var g3 = { detail: { newAppStatuses: m3, appsByNewStatus: d3, totalAppChanges: r2.length, originalEvent: null == n2 ? void 0 : n2[0], oldUrl: p2, newUrl: h2, navigationIsCanceled: f2 } };
    return i3 && S(g3.detail, i3), g3;
    function E3(t4, n3) {
      var e2 = T(t4);
      n3 = n3 || Pt(e2), m3[e2] = n3, (d3[n3] = d3[n3] || []).push(e2);
    }
  }
}
function Rt(t2, n2) {
  return b(t2) ? M2(t2).then(function(t3) {
    return n2.then(function() {
      return b(t3) ? x(t3) : t3;
    });
  }) : n2.then(function() {
    return t2;
  });
}
var It = false;
function xt(t2) {
  var n2;
  It = true, t2 && t2.urlRerouteOnly && (n2 = t2.urlRerouteOnly, X = n2), Y && Lt();
}
function Bt() {
  return It;
}
Y && setTimeout(function() {
  It || console.warn(s(1, false));
}, 5e3);
var Gt = { getRawAppData: function() {
  return [].concat(wt);
}, reroute: Lt, NOT_LOADED: l, toLoadPromise: z2, toBootstrapPromise: M2, unregisterApplication: Tt };
Y && window.__SINGLE_SPA_DEVTOOLS__ && (window.__SINGLE_SPA_DEVTOOLS__.exposedMethods = Gt);
function arrayPush$4(array, values) {
  var index = -1, length = values.length, offset = array.length;
  while (++index < length) {
    array[offset + index] = values[index];
  }
  return array;
}
var _arrayPush = arrayPush$4;
var freeGlobal$2 = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
var _freeGlobal = freeGlobal$2;
var freeGlobal$1 = _freeGlobal;
var freeSelf$1 = typeof self == "object" && self && self.Object === Object && self;
var root$9 = freeGlobal$1 || freeSelf$1 || Function("return this")();
var _root = root$9;
var root$8 = _root;
var Symbol$7 = root$8.Symbol;
var _Symbol = Symbol$7;
var Symbol$6 = _Symbol;
var objectProto$f = Object.prototype;
var hasOwnProperty$b = objectProto$f.hasOwnProperty;
var nativeObjectToString$3 = objectProto$f.toString;
var symToStringTag$3 = Symbol$6 ? Symbol$6.toStringTag : void 0;
function getRawTag$2(value) {
  var isOwn = hasOwnProperty$b.call(value, symToStringTag$3), tag = value[symToStringTag$3];
  try {
    value[symToStringTag$3] = void 0;
    var unmasked = true;
  } catch (e2) {
  }
  var result = nativeObjectToString$3.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$3] = tag;
    } else {
      delete value[symToStringTag$3];
    }
  }
  return result;
}
var _getRawTag = getRawTag$2;
var objectProto$e = Object.prototype;
var nativeObjectToString$2 = objectProto$e.toString;
function objectToString$2(value) {
  return nativeObjectToString$2.call(value);
}
var _objectToString = objectToString$2;
var Symbol$5 = _Symbol, getRawTag$1 = _getRawTag, objectToString$1 = _objectToString;
var nullTag$1 = "[object Null]", undefinedTag$1 = "[object Undefined]";
var symToStringTag$2 = Symbol$5 ? Symbol$5.toStringTag : void 0;
function baseGetTag$7(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag$1 : nullTag$1;
  }
  return symToStringTag$2 && symToStringTag$2 in Object(value) ? getRawTag$1(value) : objectToString$1(value);
}
var _baseGetTag = baseGetTag$7;
function isObjectLike$9(value) {
  return value != null && typeof value == "object";
}
var isObjectLike_1 = isObjectLike$9;
var baseGetTag$6 = _baseGetTag, isObjectLike$8 = isObjectLike_1;
var argsTag$2 = "[object Arguments]";
function baseIsArguments$1(value) {
  return isObjectLike$8(value) && baseGetTag$6(value) == argsTag$2;
}
var _baseIsArguments = baseIsArguments$1;
var baseIsArguments = _baseIsArguments, isObjectLike$7 = isObjectLike_1;
var objectProto$d = Object.prototype;
var hasOwnProperty$a = objectProto$d.hasOwnProperty;
var propertyIsEnumerable$1 = objectProto$d.propertyIsEnumerable;
var isArguments$3 = baseIsArguments(/* @__PURE__ */ function() {
  return arguments;
}()) ? baseIsArguments : function(value) {
  return isObjectLike$7(value) && hasOwnProperty$a.call(value, "callee") && !propertyIsEnumerable$1.call(value, "callee");
};
var isArguments_1 = isArguments$3;
var isArray$9 = Array.isArray;
var isArray_1 = isArray$9;
var Symbol$4 = _Symbol, isArguments$2 = isArguments_1, isArray$8 = isArray_1;
var spreadableSymbol = Symbol$4 ? Symbol$4.isConcatSpreadable : void 0;
function isFlattenable$1(value) {
  return isArray$8(value) || isArguments$2(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
}
var _isFlattenable = isFlattenable$1;
var arrayPush$3 = _arrayPush, isFlattenable = _isFlattenable;
function baseFlatten$1(array, depth, predicate, isStrict, result) {
  var index = -1, length = array.length;
  predicate || (predicate = isFlattenable);
  result || (result = []);
  while (++index < length) {
    var value = array[index];
    if (depth > 0 && predicate(value)) {
      if (depth > 1) {
        baseFlatten$1(value, depth - 1, predicate, isStrict, result);
      } else {
        arrayPush$3(result, value);
      }
    } else if (!isStrict) {
      result[result.length] = value;
    }
  }
  return result;
}
var _baseFlatten = baseFlatten$1;
function copyArray$3(source, array) {
  var index = -1, length = source.length;
  array || (array = Array(length));
  while (++index < length) {
    array[index] = source[index];
  }
  return array;
}
var _copyArray = copyArray$3;
var arrayPush$2 = _arrayPush, baseFlatten = _baseFlatten, copyArray$2 = _copyArray, isArray$7 = isArray_1;
function concat() {
  var length = arguments.length;
  if (!length) {
    return [];
  }
  var args = Array(length - 1), array = arguments[0], index = length;
  while (index--) {
    args[index - 1] = arguments[index];
  }
  return arrayPush$2(isArray$7(array) ? copyArray$2(array) : [array], baseFlatten(args, 1));
}
var concat_1 = concat;
const _concat = /* @__PURE__ */ getDefaultExportFromCjs(concat_1);
function listCacheClear$1() {
  this.__data__ = [];
  this.size = 0;
}
var _listCacheClear = listCacheClear$1;
function eq$4(value, other) {
  return value === other || value !== value && other !== other;
}
var eq_1 = eq$4;
var eq$3 = eq_1;
function assocIndexOf$4(array, key) {
  var length = array.length;
  while (length--) {
    if (eq$3(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var _assocIndexOf = assocIndexOf$4;
var assocIndexOf$3 = _assocIndexOf;
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete$1(key) {
  var data = this.__data__, index = assocIndexOf$3(data, key);
  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}
var _listCacheDelete = listCacheDelete$1;
var assocIndexOf$2 = _assocIndexOf;
function listCacheGet$1(key) {
  var data = this.__data__, index = assocIndexOf$2(data, key);
  return index < 0 ? void 0 : data[index][1];
}
var _listCacheGet = listCacheGet$1;
var assocIndexOf$1 = _assocIndexOf;
function listCacheHas$1(key) {
  return assocIndexOf$1(this.__data__, key) > -1;
}
var _listCacheHas = listCacheHas$1;
var assocIndexOf = _assocIndexOf;
function listCacheSet$1(key, value) {
  var data = this.__data__, index = assocIndexOf(data, key);
  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}
var _listCacheSet = listCacheSet$1;
var listCacheClear = _listCacheClear, listCacheDelete = _listCacheDelete, listCacheGet = _listCacheGet, listCacheHas = _listCacheHas, listCacheSet = _listCacheSet;
function ListCache$4(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
ListCache$4.prototype.clear = listCacheClear;
ListCache$4.prototype["delete"] = listCacheDelete;
ListCache$4.prototype.get = listCacheGet;
ListCache$4.prototype.has = listCacheHas;
ListCache$4.prototype.set = listCacheSet;
var _ListCache = ListCache$4;
var ListCache$3 = _ListCache;
function stackClear$1() {
  this.__data__ = new ListCache$3();
  this.size = 0;
}
var _stackClear = stackClear$1;
function stackDelete$1(key) {
  var data = this.__data__, result = data["delete"](key);
  this.size = data.size;
  return result;
}
var _stackDelete = stackDelete$1;
function stackGet$1(key) {
  return this.__data__.get(key);
}
var _stackGet = stackGet$1;
function stackHas$1(key) {
  return this.__data__.has(key);
}
var _stackHas = stackHas$1;
function isObject$9(value) {
  var type = typeof value;
  return value != null && (type == "object" || type == "function");
}
var isObject_1 = isObject$9;
var baseGetTag$5 = _baseGetTag, isObject$8 = isObject_1;
var asyncTag = "[object AsyncFunction]", funcTag$2 = "[object Function]", genTag$1 = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction$3(value) {
  if (!isObject$8(value)) {
    return false;
  }
  var tag = baseGetTag$5(value);
  return tag == funcTag$2 || tag == genTag$1 || tag == asyncTag || tag == proxyTag;
}
var isFunction_1 = isFunction$3;
const _isFunction = /* @__PURE__ */ getDefaultExportFromCjs(isFunction_1);
var root$7 = _root;
var coreJsData$1 = root$7["__core-js_shared__"];
var _coreJsData = coreJsData$1;
var coreJsData = _coreJsData;
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked$1(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var _isMasked = isMasked$1;
var funcProto$2 = Function.prototype;
var funcToString$2 = funcProto$2.toString;
function toSource$2(func) {
  if (func != null) {
    try {
      return funcToString$2.call(func);
    } catch (e2) {
    }
    try {
      return func + "";
    } catch (e2) {
    }
  }
  return "";
}
var _toSource = toSource$2;
var isFunction$2 = isFunction_1, isMasked = _isMasked, isObject$7 = isObject_1, toSource$1 = _toSource;
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto$1 = Function.prototype, objectProto$c = Object.prototype;
var funcToString$1 = funcProto$1.toString;
var hasOwnProperty$9 = objectProto$c.hasOwnProperty;
var reIsNative = RegExp(
  "^" + funcToString$1.call(hasOwnProperty$9).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
);
function baseIsNative$1(value) {
  if (!isObject$7(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction$2(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource$1(value));
}
var _baseIsNative = baseIsNative$1;
function getValue$1(object, key) {
  return object == null ? void 0 : object[key];
}
var _getValue = getValue$1;
var baseIsNative = _baseIsNative, getValue = _getValue;
function getNative$7(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : void 0;
}
var _getNative = getNative$7;
var getNative$6 = _getNative, root$6 = _root;
var Map$4 = getNative$6(root$6, "Map");
var _Map = Map$4;
var getNative$5 = _getNative;
var nativeCreate$4 = getNative$5(Object, "create");
var _nativeCreate = nativeCreate$4;
var nativeCreate$3 = _nativeCreate;
function hashClear$1() {
  this.__data__ = nativeCreate$3 ? nativeCreate$3(null) : {};
  this.size = 0;
}
var _hashClear = hashClear$1;
function hashDelete$1(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}
var _hashDelete = hashDelete$1;
var nativeCreate$2 = _nativeCreate;
var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
var objectProto$b = Object.prototype;
var hasOwnProperty$8 = objectProto$b.hasOwnProperty;
function hashGet$1(key) {
  var data = this.__data__;
  if (nativeCreate$2) {
    var result = data[key];
    return result === HASH_UNDEFINED$2 ? void 0 : result;
  }
  return hasOwnProperty$8.call(data, key) ? data[key] : void 0;
}
var _hashGet = hashGet$1;
var nativeCreate$1 = _nativeCreate;
var objectProto$a = Object.prototype;
var hasOwnProperty$7 = objectProto$a.hasOwnProperty;
function hashHas$1(key) {
  var data = this.__data__;
  return nativeCreate$1 ? data[key] !== void 0 : hasOwnProperty$7.call(data, key);
}
var _hashHas = hashHas$1;
var nativeCreate = _nativeCreate;
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
function hashSet$1(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED$1 : value;
  return this;
}
var _hashSet = hashSet$1;
var hashClear = _hashClear, hashDelete = _hashDelete, hashGet = _hashGet, hashHas = _hashHas, hashSet = _hashSet;
function Hash$1(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
Hash$1.prototype.clear = hashClear;
Hash$1.prototype["delete"] = hashDelete;
Hash$1.prototype.get = hashGet;
Hash$1.prototype.has = hashHas;
Hash$1.prototype.set = hashSet;
var _Hash = Hash$1;
var Hash = _Hash, ListCache$2 = _ListCache, Map$3 = _Map;
function mapCacheClear$1() {
  this.size = 0;
  this.__data__ = {
    "hash": new Hash(),
    "map": new (Map$3 || ListCache$2)(),
    "string": new Hash()
  };
}
var _mapCacheClear = mapCacheClear$1;
function isKeyable$1(value) {
  var type = typeof value;
  return type == "string" || type == "number" || type == "symbol" || type == "boolean" ? value !== "__proto__" : value === null;
}
var _isKeyable = isKeyable$1;
var isKeyable = _isKeyable;
function getMapData$4(map, key) {
  var data = map.__data__;
  return isKeyable(key) ? data[typeof key == "string" ? "string" : "hash"] : data.map;
}
var _getMapData = getMapData$4;
var getMapData$3 = _getMapData;
function mapCacheDelete$1(key) {
  var result = getMapData$3(this, key)["delete"](key);
  this.size -= result ? 1 : 0;
  return result;
}
var _mapCacheDelete = mapCacheDelete$1;
var getMapData$2 = _getMapData;
function mapCacheGet$1(key) {
  return getMapData$2(this, key).get(key);
}
var _mapCacheGet = mapCacheGet$1;
var getMapData$1 = _getMapData;
function mapCacheHas$1(key) {
  return getMapData$1(this, key).has(key);
}
var _mapCacheHas = mapCacheHas$1;
var getMapData = _getMapData;
function mapCacheSet$1(key, value) {
  var data = getMapData(this, key), size = data.size;
  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}
var _mapCacheSet = mapCacheSet$1;
var mapCacheClear = _mapCacheClear, mapCacheDelete = _mapCacheDelete, mapCacheGet = _mapCacheGet, mapCacheHas = _mapCacheHas, mapCacheSet = _mapCacheSet;
function MapCache$3(entries) {
  var index = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}
MapCache$3.prototype.clear = mapCacheClear;
MapCache$3.prototype["delete"] = mapCacheDelete;
MapCache$3.prototype.get = mapCacheGet;
MapCache$3.prototype.has = mapCacheHas;
MapCache$3.prototype.set = mapCacheSet;
var _MapCache = MapCache$3;
var ListCache$1 = _ListCache, Map$2 = _Map, MapCache$2 = _MapCache;
var LARGE_ARRAY_SIZE$1 = 200;
function stackSet$1(key, value) {
  var data = this.__data__;
  if (data instanceof ListCache$1) {
    var pairs = data.__data__;
    if (!Map$2 || pairs.length < LARGE_ARRAY_SIZE$1 - 1) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new MapCache$2(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}
var _stackSet = stackSet$1;
var ListCache = _ListCache, stackClear = _stackClear, stackDelete = _stackDelete, stackGet = _stackGet, stackHas = _stackHas, stackSet = _stackSet;
function Stack$2(entries) {
  var data = this.__data__ = new ListCache(entries);
  this.size = data.size;
}
Stack$2.prototype.clear = stackClear;
Stack$2.prototype["delete"] = stackDelete;
Stack$2.prototype.get = stackGet;
Stack$2.prototype.has = stackHas;
Stack$2.prototype.set = stackSet;
var _Stack = Stack$2;
var getNative$4 = _getNative;
var defineProperty$2 = function() {
  try {
    var func = getNative$4(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e2) {
  }
}();
var _defineProperty = defineProperty$2;
var defineProperty$1 = _defineProperty;
function baseAssignValue$3(object, key, value) {
  if (key == "__proto__" && defineProperty$1) {
    defineProperty$1(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
var _baseAssignValue = baseAssignValue$3;
var baseAssignValue$2 = _baseAssignValue, eq$2 = eq_1;
function assignMergeValue$2(object, key, value) {
  if (value !== void 0 && !eq$2(object[key], value) || value === void 0 && !(key in object)) {
    baseAssignValue$2(object, key, value);
  }
}
var _assignMergeValue = assignMergeValue$2;
function createBaseFor$1(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index = -1, iterable = Object(object), props = keysFunc(object), length = props.length;
    while (length--) {
      var key = props[fromRight ? length : ++index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}
var _createBaseFor = createBaseFor$1;
var createBaseFor = _createBaseFor;
var baseFor$2 = createBaseFor();
var _baseFor = baseFor$2;
var _cloneBuffer = { exports: {} };
_cloneBuffer.exports;
(function(module, exports) {
  var root2 = _root;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0, allocUnsafe = Buffer ? Buffer.allocUnsafe : void 0;
  function cloneBuffer2(buffer, isDeep) {
    if (isDeep) {
      return buffer.slice();
    }
    var length = buffer.length, result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
    buffer.copy(result);
    return result;
  }
  module.exports = cloneBuffer2;
})(_cloneBuffer, _cloneBuffer.exports);
var _cloneBufferExports = _cloneBuffer.exports;
var root$5 = _root;
var Uint8Array$2 = root$5.Uint8Array;
var _Uint8Array = Uint8Array$2;
var Uint8Array$1 = _Uint8Array;
function cloneArrayBuffer$3(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array$1(result).set(new Uint8Array$1(arrayBuffer));
  return result;
}
var _cloneArrayBuffer = cloneArrayBuffer$3;
var cloneArrayBuffer$2 = _cloneArrayBuffer;
function cloneTypedArray$2(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$2(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var _cloneTypedArray = cloneTypedArray$2;
var isObject$6 = isObject_1;
var objectCreate = Object.create;
var baseCreate$1 = /* @__PURE__ */ function() {
  function object() {
  }
  return function(proto) {
    if (!isObject$6(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object();
    object.prototype = void 0;
    return result;
  };
}();
var _baseCreate = baseCreate$1;
function overArg$2(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}
var _overArg = overArg$2;
var overArg$1 = _overArg;
var getPrototype$3 = overArg$1(Object.getPrototypeOf, Object);
var _getPrototype = getPrototype$3;
var objectProto$9 = Object.prototype;
function isPrototype$3(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$9;
  return value === proto;
}
var _isPrototype = isPrototype$3;
var baseCreate = _baseCreate, getPrototype$2 = _getPrototype, isPrototype$2 = _isPrototype;
function initCloneObject$2(object) {
  return typeof object.constructor == "function" && !isPrototype$2(object) ? baseCreate(getPrototype$2(object)) : {};
}
var _initCloneObject = initCloneObject$2;
var MAX_SAFE_INTEGER$1 = 9007199254740991;
function isLength$2(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER$1;
}
var isLength_1 = isLength$2;
var isFunction$1 = isFunction_1, isLength$1 = isLength_1;
function isArrayLike$5(value) {
  return value != null && isLength$1(value.length) && !isFunction$1(value);
}
var isArrayLike_1 = isArrayLike$5;
var isArrayLike$4 = isArrayLike_1, isObjectLike$6 = isObjectLike_1;
function isArrayLikeObject$2(value) {
  return isObjectLike$6(value) && isArrayLike$4(value);
}
var isArrayLikeObject_1 = isArrayLikeObject$2;
var isBuffer$3 = { exports: {} };
function stubFalse() {
  return false;
}
var stubFalse_1 = stubFalse;
isBuffer$3.exports;
(function(module, exports) {
  var root2 = _root, stubFalse2 = stubFalse_1;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0;
  var nativeIsBuffer = Buffer ? Buffer.isBuffer : void 0;
  var isBuffer2 = nativeIsBuffer || stubFalse2;
  module.exports = isBuffer2;
})(isBuffer$3, isBuffer$3.exports);
var isBufferExports = isBuffer$3.exports;
var baseGetTag$4 = _baseGetTag, getPrototype$1 = _getPrototype, isObjectLike$5 = isObjectLike_1;
var objectTag$3 = "[object Object]";
var funcProto = Function.prototype, objectProto$8 = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$6 = objectProto$8.hasOwnProperty;
var objectCtorString = funcToString.call(Object);
function isPlainObject$1(value) {
  if (!isObjectLike$5(value) || baseGetTag$4(value) != objectTag$3) {
    return false;
  }
  var proto = getPrototype$1(value);
  if (proto === null) {
    return true;
  }
  var Ctor = hasOwnProperty$6.call(proto, "constructor") && proto.constructor;
  return typeof Ctor == "function" && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
}
var isPlainObject_1 = isPlainObject$1;
var baseGetTag$3 = _baseGetTag, isLength = isLength_1, isObjectLike$4 = isObjectLike_1;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", boolTag$2 = "[object Boolean]", dateTag$2 = "[object Date]", errorTag$1 = "[object Error]", funcTag$1 = "[object Function]", mapTag$4 = "[object Map]", numberTag$2 = "[object Number]", objectTag$2 = "[object Object]", regexpTag$2 = "[object RegExp]", setTag$4 = "[object Set]", stringTag$2 = "[object String]", weakMapTag$2 = "[object WeakMap]";
var arrayBufferTag$2 = "[object ArrayBuffer]", dataViewTag$3 = "[object DataView]", float32Tag$2 = "[object Float32Array]", float64Tag$2 = "[object Float64Array]", int8Tag$2 = "[object Int8Array]", int16Tag$2 = "[object Int16Array]", int32Tag$2 = "[object Int32Array]", uint8Tag$2 = "[object Uint8Array]", uint8ClampedTag$2 = "[object Uint8ClampedArray]", uint16Tag$2 = "[object Uint16Array]", uint32Tag$2 = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag$2] = typedArrayTags[float64Tag$2] = typedArrayTags[int8Tag$2] = typedArrayTags[int16Tag$2] = typedArrayTags[int32Tag$2] = typedArrayTags[uint8Tag$2] = typedArrayTags[uint8ClampedTag$2] = typedArrayTags[uint16Tag$2] = typedArrayTags[uint32Tag$2] = true;
typedArrayTags[argsTag$1] = typedArrayTags[arrayTag$1] = typedArrayTags[arrayBufferTag$2] = typedArrayTags[boolTag$2] = typedArrayTags[dataViewTag$3] = typedArrayTags[dateTag$2] = typedArrayTags[errorTag$1] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$4] = typedArrayTags[numberTag$2] = typedArrayTags[objectTag$2] = typedArrayTags[regexpTag$2] = typedArrayTags[setTag$4] = typedArrayTags[stringTag$2] = typedArrayTags[weakMapTag$2] = false;
function baseIsTypedArray$1(value) {
  return isObjectLike$4(value) && isLength(value.length) && !!typedArrayTags[baseGetTag$3(value)];
}
var _baseIsTypedArray = baseIsTypedArray$1;
function baseUnary$4(func) {
  return function(value) {
    return func(value);
  };
}
var _baseUnary = baseUnary$4;
var _nodeUtil = { exports: {} };
_nodeUtil.exports;
(function(module, exports) {
  var freeGlobal2 = _freeGlobal;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module && !module.nodeType && module;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && freeGlobal2.process;
  var nodeUtil2 = function() {
    try {
      var types = freeModule && freeModule.require && freeModule.require("util").types;
      if (types) {
        return types;
      }
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e2) {
    }
  }();
  module.exports = nodeUtil2;
})(_nodeUtil, _nodeUtil.exports);
var _nodeUtilExports = _nodeUtil.exports;
var baseIsTypedArray = _baseIsTypedArray, baseUnary$3 = _baseUnary, nodeUtil$2 = _nodeUtilExports;
var nodeIsTypedArray = nodeUtil$2 && nodeUtil$2.isTypedArray;
var isTypedArray$2 = nodeIsTypedArray ? baseUnary$3(nodeIsTypedArray) : baseIsTypedArray;
var isTypedArray_1 = isTypedArray$2;
function safeGet$2(object, key) {
  if (key === "constructor" && typeof object[key] === "function") {
    return;
  }
  if (key == "__proto__") {
    return;
  }
  return object[key];
}
var _safeGet = safeGet$2;
var baseAssignValue$1 = _baseAssignValue, eq$1 = eq_1;
var objectProto$7 = Object.prototype;
var hasOwnProperty$5 = objectProto$7.hasOwnProperty;
function assignValue$2(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$5.call(object, key) && eq$1(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue$1(object, key, value);
  }
}
var _assignValue = assignValue$2;
var assignValue$1 = _assignValue, baseAssignValue = _baseAssignValue;
function copyObject$5(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});
  var index = -1, length = props.length;
  while (++index < length) {
    var key = props[index];
    var newValue = customizer ? customizer(object[key], source[key], key, object, source) : void 0;
    if (newValue === void 0) {
      newValue = source[key];
    }
    if (isNew) {
      baseAssignValue(object, key, newValue);
    } else {
      assignValue$1(object, key, newValue);
    }
  }
  return object;
}
var _copyObject = copyObject$5;
function baseTimes$1(n2, iteratee) {
  var index = -1, result = Array(n2);
  while (++index < n2) {
    result[index] = iteratee(index);
  }
  return result;
}
var _baseTimes = baseTimes$1;
var MAX_SAFE_INTEGER = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex$2(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER : length;
  return !!length && (type == "number" || type != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
var _isIndex = isIndex$2;
var baseTimes = _baseTimes, isArguments$1 = isArguments_1, isArray$6 = isArray_1, isBuffer$2 = isBufferExports, isIndex$1 = _isIndex, isTypedArray$1 = isTypedArray_1;
var objectProto$6 = Object.prototype;
var hasOwnProperty$4 = objectProto$6.hasOwnProperty;
function arrayLikeKeys$2(value, inherited) {
  var isArr = isArray$6(value), isArg = !isArr && isArguments$1(value), isBuff = !isArr && !isArg && isBuffer$2(value), isType = !isArr && !isArg && !isBuff && isTypedArray$1(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? baseTimes(value.length, String) : [], length = result.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$4.call(value, key)) && !(skipIndexes && // Safari 9 has enumerable `arguments.length` in strict mode.
    (key == "length" || // Node.js 0.10 has enumerable non-index properties on buffers.
    isBuff && (key == "offset" || key == "parent") || // PhantomJS 2 has enumerable non-index properties on typed arrays.
    isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || // Skip index properties.
    isIndex$1(key, length)))) {
      result.push(key);
    }
  }
  return result;
}
var _arrayLikeKeys = arrayLikeKeys$2;
function nativeKeysIn$1(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}
var _nativeKeysIn = nativeKeysIn$1;
var isObject$5 = isObject_1, isPrototype$1 = _isPrototype, nativeKeysIn = _nativeKeysIn;
var objectProto$5 = Object.prototype;
var hasOwnProperty$3 = objectProto$5.hasOwnProperty;
function baseKeysIn$1(object) {
  if (!isObject$5(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype$1(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty$3.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
var _baseKeysIn = baseKeysIn$1;
var arrayLikeKeys$1 = _arrayLikeKeys, baseKeysIn = _baseKeysIn, isArrayLike$3 = isArrayLike_1;
function keysIn$5(object) {
  return isArrayLike$3(object) ? arrayLikeKeys$1(object, true) : baseKeysIn(object);
}
var keysIn_1 = keysIn$5;
var copyObject$4 = _copyObject, keysIn$4 = keysIn_1;
function toPlainObject$1(value) {
  return copyObject$4(value, keysIn$4(value));
}
var toPlainObject_1 = toPlainObject$1;
var assignMergeValue$1 = _assignMergeValue, cloneBuffer$1 = _cloneBufferExports, cloneTypedArray$1 = _cloneTypedArray, copyArray$1 = _copyArray, initCloneObject$1 = _initCloneObject, isArguments = isArguments_1, isArray$5 = isArray_1, isArrayLikeObject$1 = isArrayLikeObject_1, isBuffer$1 = isBufferExports, isFunction = isFunction_1, isObject$4 = isObject_1, isPlainObject = isPlainObject_1, isTypedArray = isTypedArray_1, safeGet$1 = _safeGet, toPlainObject = toPlainObject_1;
function baseMergeDeep$1(object, source, key, srcIndex, mergeFunc, customizer, stack) {
  var objValue = safeGet$1(object, key), srcValue = safeGet$1(source, key), stacked = stack.get(srcValue);
  if (stacked) {
    assignMergeValue$1(object, key, stacked);
    return;
  }
  var newValue = customizer ? customizer(objValue, srcValue, key + "", object, source, stack) : void 0;
  var isCommon = newValue === void 0;
  if (isCommon) {
    var isArr = isArray$5(srcValue), isBuff = !isArr && isBuffer$1(srcValue), isTyped = !isArr && !isBuff && isTypedArray(srcValue);
    newValue = srcValue;
    if (isArr || isBuff || isTyped) {
      if (isArray$5(objValue)) {
        newValue = objValue;
      } else if (isArrayLikeObject$1(objValue)) {
        newValue = copyArray$1(objValue);
      } else if (isBuff) {
        isCommon = false;
        newValue = cloneBuffer$1(srcValue, true);
      } else if (isTyped) {
        isCommon = false;
        newValue = cloneTypedArray$1(srcValue, true);
      } else {
        newValue = [];
      }
    } else if (isPlainObject(srcValue) || isArguments(srcValue)) {
      newValue = objValue;
      if (isArguments(objValue)) {
        newValue = toPlainObject(objValue);
      } else if (!isObject$4(objValue) || isFunction(objValue)) {
        newValue = initCloneObject$1(srcValue);
      }
    } else {
      isCommon = false;
    }
  }
  if (isCommon) {
    stack.set(srcValue, newValue);
    mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
    stack["delete"](srcValue);
  }
  assignMergeValue$1(object, key, newValue);
}
var _baseMergeDeep = baseMergeDeep$1;
var Stack$1 = _Stack, assignMergeValue = _assignMergeValue, baseFor$1 = _baseFor, baseMergeDeep = _baseMergeDeep, isObject$3 = isObject_1, keysIn$3 = keysIn_1, safeGet = _safeGet;
function baseMerge$1(object, source, srcIndex, customizer, stack) {
  if (object === source) {
    return;
  }
  baseFor$1(source, function(srcValue, key) {
    stack || (stack = new Stack$1());
    if (isObject$3(srcValue)) {
      baseMergeDeep(object, source, key, srcIndex, baseMerge$1, customizer, stack);
    } else {
      var newValue = customizer ? customizer(safeGet(object, key), srcValue, key + "", object, source, stack) : void 0;
      if (newValue === void 0) {
        newValue = srcValue;
      }
      assignMergeValue(object, key, newValue);
    }
  }, keysIn$3);
}
var _baseMerge = baseMerge$1;
function identity$3(value) {
  return value;
}
var identity_1 = identity$3;
function apply$1(func, thisArg, args) {
  switch (args.length) {
    case 0:
      return func.call(thisArg);
    case 1:
      return func.call(thisArg, args[0]);
    case 2:
      return func.call(thisArg, args[0], args[1]);
    case 3:
      return func.call(thisArg, args[0], args[1], args[2]);
  }
  return func.apply(thisArg, args);
}
var _apply = apply$1;
var apply = _apply;
var nativeMax = Math.max;
function overRest$1(func, start, transform) {
  start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
  return function() {
    var args = arguments, index = -1, length = nativeMax(args.length - start, 0), array = Array(length);
    while (++index < length) {
      array[index] = args[start + index];
    }
    index = -1;
    var otherArgs = Array(start + 1);
    while (++index < start) {
      otherArgs[index] = args[index];
    }
    otherArgs[start] = transform(array);
    return apply(func, this, otherArgs);
  };
}
var _overRest = overRest$1;
function constant$1(value) {
  return function() {
    return value;
  };
}
var constant_1 = constant$1;
var constant = constant_1, defineProperty = _defineProperty, identity$2 = identity_1;
var baseSetToString$1 = !defineProperty ? identity$2 : function(func, string) {
  return defineProperty(func, "toString", {
    "configurable": true,
    "enumerable": false,
    "value": constant(string),
    "writable": true
  });
};
var _baseSetToString = baseSetToString$1;
var HOT_COUNT = 800, HOT_SPAN = 16;
var nativeNow = Date.now;
function shortOut$1(func) {
  var count = 0, lastCalled = 0;
  return function() {
    var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
    lastCalled = stamp;
    if (remaining > 0) {
      if (++count >= HOT_COUNT) {
        return arguments[0];
      }
    } else {
      count = 0;
    }
    return func.apply(void 0, arguments);
  };
}
var _shortOut = shortOut$1;
var baseSetToString = _baseSetToString, shortOut = _shortOut;
var setToString$1 = shortOut(baseSetToString);
var _setToString = setToString$1;
var identity$1 = identity_1, overRest = _overRest, setToString = _setToString;
function baseRest$2(func, start) {
  return setToString(overRest(func, start, identity$1), func + "");
}
var _baseRest = baseRest$2;
var eq = eq_1, isArrayLike$2 = isArrayLike_1, isIndex = _isIndex, isObject$2 = isObject_1;
function isIterateeCall$1(value, index, object) {
  if (!isObject$2(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike$2(object) && isIndex(index, object.length) : type == "string" && index in object) {
    return eq(object[index], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall$1;
var baseRest$1 = _baseRest, isIterateeCall = _isIterateeCall;
function createAssigner$1(assigner) {
  return baseRest$1(function(object, sources) {
    var index = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : void 0, guard = length > 2 ? sources[2] : void 0;
    customizer = assigner.length > 3 && typeof customizer == "function" ? (length--, customizer) : void 0;
    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
      customizer = length < 3 ? void 0 : customizer;
      length = 1;
    }
    object = Object(object);
    while (++index < length) {
      var source = sources[index];
      if (source) {
        assigner(object, source, index, customizer);
      }
    }
    return object;
  });
}
var _createAssigner = createAssigner$1;
var baseMerge = _baseMerge, createAssigner = _createAssigner;
var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
  baseMerge(object, source, srcIndex, customizer);
});
var mergeWith_1 = mergeWith;
const _mergeWith2 = /* @__PURE__ */ getDefaultExportFromCjs(mergeWith_1);
function arrayEach$2(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}
var _arrayEach = arrayEach$2;
var overArg = _overArg;
var nativeKeys$1 = overArg(Object.keys, Object);
var _nativeKeys = nativeKeys$1;
var isPrototype = _isPrototype, nativeKeys = _nativeKeys;
var objectProto$4 = Object.prototype;
var hasOwnProperty$2 = objectProto$4.hasOwnProperty;
function baseKeys$1(object) {
  if (!isPrototype(object)) {
    return nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$2.call(object, key) && key != "constructor") {
      result.push(key);
    }
  }
  return result;
}
var _baseKeys = baseKeys$1;
var arrayLikeKeys = _arrayLikeKeys, baseKeys = _baseKeys, isArrayLike$1 = isArrayLike_1;
function keys$4(object) {
  return isArrayLike$1(object) ? arrayLikeKeys(object) : baseKeys(object);
}
var keys_1 = keys$4;
var baseFor = _baseFor, keys$3 = keys_1;
function baseForOwn$1(object, iteratee) {
  return object && baseFor(object, iteratee, keys$3);
}
var _baseForOwn = baseForOwn$1;
var isArrayLike = isArrayLike_1;
function createBaseEach$1(eachFunc, fromRight) {
  return function(collection, iteratee) {
    if (collection == null) {
      return collection;
    }
    if (!isArrayLike(collection)) {
      return eachFunc(collection, iteratee);
    }
    var length = collection.length, index = fromRight ? length : -1, iterable = Object(collection);
    while (fromRight ? index-- : ++index < length) {
      if (iteratee(iterable[index], index, iterable) === false) {
        break;
      }
    }
    return collection;
  };
}
var _createBaseEach = createBaseEach$1;
var baseForOwn = _baseForOwn, createBaseEach = _createBaseEach;
var baseEach$1 = createBaseEach(baseForOwn);
var _baseEach = baseEach$1;
var identity = identity_1;
function castFunction$1(value) {
  return typeof value == "function" ? value : identity;
}
var _castFunction = castFunction$1;
var arrayEach$1 = _arrayEach, baseEach = _baseEach, castFunction = _castFunction, isArray$4 = isArray_1;
function forEach(collection, iteratee) {
  var func = isArray$4(collection) ? arrayEach$1 : baseEach;
  return func(collection, castFunction(iteratee));
}
var forEach_1 = forEach;
const _forEach = /* @__PURE__ */ getDefaultExportFromCjs(forEach_1);
function _arrayWithHoles(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _iterableToArrayLimit(r2, l2) {
  var t2 = null == r2 ? null : "undefined" != typeof Symbol && r2[Symbol.iterator] || r2["@@iterator"];
  if (null != t2) {
    var e2, n2, i2, u2, a2 = [], f2 = true, o2 = false;
    try {
      if (i2 = (t2 = t2.call(r2)).next, 0 === l2) {
        if (Object(t2) !== t2)
          return;
        f2 = false;
      } else
        for (; !(f2 = (e2 = i2.call(t2)).done) && (a2.push(e2.value), a2.length !== l2); f2 = true)
          ;
    } catch (r3) {
      o2 = true, n2 = r3;
    } finally {
      try {
        if (!f2 && null != t2["return"] && (u2 = t2["return"](), Object(u2) !== u2))
          return;
      } finally {
        if (o2)
          throw n2;
      }
    }
    return a2;
  }
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _slicedToArray(arr, i2) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i2) || _unsupportedIterableToArray(arr, i2) || _nonIterableRest();
}
var isIE11 = typeof navigator !== "undefined" && navigator.userAgent.indexOf("Trident") !== -1;
function shouldSkipProperty(global2, p2) {
  if (!global2.hasOwnProperty(p2) || !isNaN(p2) && p2 < global2.length)
    return true;
  if (isIE11) {
    try {
      return global2[p2] && typeof window !== "undefined" && global2[p2].parent === window;
    } catch (err) {
      return true;
    }
  } else {
    return false;
  }
}
var firstGlobalProp, secondGlobalProp, lastGlobalProp;
function getGlobalProp(global2) {
  var cnt = 0;
  var lastProp;
  var hasIframe = false;
  for (var p2 in global2) {
    if (shouldSkipProperty(global2, p2))
      continue;
    for (var i2 = 0; i2 < window.frames.length && !hasIframe; i2++) {
      var frame = window.frames[i2];
      if (frame === global2[p2]) {
        hasIframe = true;
        break;
      }
    }
    if (!hasIframe && (cnt === 0 && p2 !== firstGlobalProp || cnt === 1 && p2 !== secondGlobalProp))
      return p2;
    cnt++;
    lastProp = p2;
  }
  if (lastProp !== lastGlobalProp)
    return lastProp;
}
function noteGlobalProps(global2) {
  firstGlobalProp = secondGlobalProp = void 0;
  for (var p2 in global2) {
    if (shouldSkipProperty(global2, p2))
      continue;
    if (!firstGlobalProp)
      firstGlobalProp = p2;
    else if (!secondGlobalProp)
      secondGlobalProp = p2;
    lastGlobalProp = p2;
  }
  return lastGlobalProp;
}
function getInlineCode(match) {
  var start = match.indexOf(">") + 1;
  var end = match.lastIndexOf("<");
  return match.substring(start, end);
}
function defaultGetPublicPath(entry) {
  if (_typeof$1(entry) === "object") {
    return "/";
  }
  try {
    var _URL = new URL(entry, location.href), origin = _URL.origin, pathname = _URL.pathname;
    var paths = pathname.split("/");
    paths.pop();
    return "".concat(origin).concat(paths.join("/"), "/");
  } catch (e2) {
    console.warn(e2);
    return "";
  }
}
function isModuleScriptSupported() {
  var s2 = document.createElement("script");
  return "noModule" in s2;
}
var requestIdleCallback = window.requestIdleCallback || function requestIdleCallback2(cb) {
  var start = Date.now();
  return setTimeout(function() {
    cb({
      didTimeout: false,
      timeRemaining: function timeRemaining() {
        return Math.max(0, 50 - (Date.now() - start));
      }
    });
  }, 1);
};
function readResAsString(response, autoDetectCharset) {
  if (!autoDetectCharset) {
    return response.text();
  }
  if (!response.headers) {
    return response.text();
  }
  var contentType = response.headers.get("Content-Type");
  if (!contentType) {
    return response.text();
  }
  var charset = "utf-8";
  var parts = contentType.split(";");
  if (parts.length === 2) {
    var _parts$1$split = parts[1].split("="), _parts$1$split2 = _slicedToArray(_parts$1$split, 2), value = _parts$1$split2[1];
    var encoding = value && value.trim();
    if (encoding) {
      charset = encoding;
    }
  }
  if (charset.toUpperCase() === "UTF-8") {
    return response.text();
  }
  return response.blob().then(function(file) {
    return new Promise(function(resolve, reject) {
      var reader = new window.FileReader();
      reader.onload = function() {
        resolve(reader.result);
      };
      reader.onerror = reject;
      reader.readAsText(file, charset);
    });
  });
}
var evalCache = {};
function evalCode(scriptSrc, code) {
  var key = scriptSrc;
  if (!evalCache[key]) {
    var functionWrappedCode = "(function(){".concat(code, "})");
    evalCache[key] = (0, eval)(functionWrappedCode);
  }
  var evalFunc = evalCache[key];
  evalFunc.call(window);
}
function parseUrl(url) {
  var parser = new DOMParser();
  var html = '<script src="'.concat(url, '"><\/script>');
  var doc = parser.parseFromString(html, "text/html");
  return doc.scripts[0].src;
}
var ALL_SCRIPT_REGEX = /(<script[\s\S]*?>)[\s\S]*?<\/script>/gi;
var SCRIPT_TAG_REGEX = /<(script)\s+((?!type=('|")text\/ng\x2Dtemplate\3)[\s\S])*?>[\s\S]*?<\/\1>/i;
var SCRIPT_SRC_REGEX = /.*\ssrc=('|")?([^>'"\s]+)/;
var SCRIPT_TYPE_REGEX = /.*\stype=('|")?([^>'"\s]+)/;
var SCRIPT_ENTRY_REGEX = /.*\sentry\s*.*/;
var SCRIPT_ASYNC_REGEX = /.*\sasync\s*.*/;
var SCRIPT_CROSSORIGIN_REGEX = /.*\scrossorigin=('|")?use-credentials\1/;
var SCRIPT_NO_MODULE_REGEX = /.*\snomodule\s*.*/;
var SCRIPT_MODULE_REGEX = /.*\stype=('|")?module('|")?\s*.*/;
var LINK_TAG_REGEX = /<(link)\s+[\s\S]*?>/ig;
var LINK_PRELOAD_OR_PREFETCH_REGEX = /\srel=('|")?(preload|prefetch)\1/;
var LINK_HREF_REGEX = /.*\shref=('|")?([^>'"\s]+)/;
var LINK_AS_FONT = /.*\sas=('|")?font\1.*/;
var STYLE_TAG_REGEX = /<style[^>]*>[\s\S]*?<\/style>/gi;
var STYLE_TYPE_REGEX = /\s+rel=('|")?stylesheet\1.*/;
var STYLE_HREF_REGEX = /.*\shref=('|")?([^>'"\s]+)/;
var HTML_COMMENT_REGEX = /<!--([\s\S]*?)-->/g;
var LINK_IGNORE_REGEX = /<link(\s+|\s+[\s\S]+\s+)ignore(\s*|\s+[\s\S]*|=[\s\S]*)>/i;
var STYLE_IGNORE_REGEX = /<style(\s+|\s+[\s\S]+\s+)ignore(\s*|\s+[\s\S]*|=[\s\S]*)>/i;
var SCRIPT_IGNORE_REGEX = /<script(\s+|\s+[\s\S]+\s+)ignore(\s*|\s+[\s\S]*|=[\s\S]*)>/i;
function hasProtocol(url) {
  return url.startsWith("http://") || url.startsWith("https://");
}
function getEntirePath(path, baseURI) {
  return new URL(path, baseURI).toString();
}
function isValidJavaScriptType(type) {
  var handleTypes = ["text/javascript", "module", "application/javascript", "text/ecmascript", "application/ecmascript"];
  return !type || handleTypes.indexOf(type) !== -1;
}
var genLinkReplaceSymbol = function genLinkReplaceSymbol2(linkHref) {
  var preloadOrPrefetch = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
  return "<!-- ".concat(preloadOrPrefetch ? "prefetch/preload" : "", " link ").concat(linkHref, " replaced by import-html-entry -->");
};
var genScriptReplaceSymbol = function genScriptReplaceSymbol2(scriptSrc) {
  var async = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
  var crossOrigin = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : false;
  return "<!-- ".concat(crossOrigin ? "cors" : "", " ").concat(async ? "async" : "", " script ").concat(scriptSrc, " replaced by import-html-entry -->");
};
var inlineScriptReplaceSymbol = "<!-- inline scripts replaced by import-html-entry -->";
var genIgnoreAssetReplaceSymbol = function genIgnoreAssetReplaceSymbol2(url) {
  return "<!-- ignore asset ".concat(url || "file", " replaced by import-html-entry -->");
};
var genModuleScriptReplaceSymbol = function genModuleScriptReplaceSymbol2(scriptSrc, moduleSupport) {
  return "<!-- ".concat(moduleSupport ? "nomodule" : "module", " script ").concat(scriptSrc, " ignored by import-html-entry -->");
};
function processTpl(tpl, baseURI, postProcessTemplate2) {
  var scripts = [];
  var styles = [];
  var entry = null;
  var moduleSupport = isModuleScriptSupported();
  var template = tpl.replace(HTML_COMMENT_REGEX, "").replace(LINK_TAG_REGEX, function(match) {
    var styleType = !!match.match(STYLE_TYPE_REGEX);
    if (styleType) {
      var styleHref = match.match(STYLE_HREF_REGEX);
      var styleIgnore = match.match(LINK_IGNORE_REGEX);
      if (styleHref) {
        var href = styleHref && styleHref[2];
        var newHref = href;
        if (href && !hasProtocol(href)) {
          newHref = getEntirePath(href, baseURI);
        }
        if (styleIgnore) {
          return genIgnoreAssetReplaceSymbol(newHref);
        }
        newHref = parseUrl(newHref);
        styles.push(newHref);
        return genLinkReplaceSymbol(newHref);
      }
    }
    var preloadOrPrefetchType = match.match(LINK_PRELOAD_OR_PREFETCH_REGEX) && match.match(LINK_HREF_REGEX) && !match.match(LINK_AS_FONT);
    if (preloadOrPrefetchType) {
      var _match$match = match.match(LINK_HREF_REGEX), _match$match2 = _slicedToArray(_match$match, 3), linkHref = _match$match2[2];
      return genLinkReplaceSymbol(linkHref, true);
    }
    return match;
  }).replace(STYLE_TAG_REGEX, function(match) {
    if (STYLE_IGNORE_REGEX.test(match)) {
      return genIgnoreAssetReplaceSymbol("style file");
    }
    return match;
  }).replace(ALL_SCRIPT_REGEX, function(match, scriptTag) {
    var scriptIgnore = scriptTag.match(SCRIPT_IGNORE_REGEX);
    var moduleScriptIgnore = moduleSupport && !!scriptTag.match(SCRIPT_NO_MODULE_REGEX) || !moduleSupport && !!scriptTag.match(SCRIPT_MODULE_REGEX);
    var matchedScriptTypeMatch = scriptTag.match(SCRIPT_TYPE_REGEX);
    var matchedScriptType = matchedScriptTypeMatch && matchedScriptTypeMatch[2];
    if (!isValidJavaScriptType(matchedScriptType)) {
      return match;
    }
    if (SCRIPT_TAG_REGEX.test(match) && scriptTag.match(SCRIPT_SRC_REGEX)) {
      var matchedScriptEntry = scriptTag.match(SCRIPT_ENTRY_REGEX);
      var matchedScriptSrcMatch = scriptTag.match(SCRIPT_SRC_REGEX);
      var matchedScriptSrc = matchedScriptSrcMatch && matchedScriptSrcMatch[2];
      if (entry && matchedScriptEntry) {
        throw new SyntaxError("You should not set multiply entry script!");
      }
      if (matchedScriptSrc) {
        if (!hasProtocol(matchedScriptSrc)) {
          matchedScriptSrc = getEntirePath(matchedScriptSrc, baseURI);
        }
        matchedScriptSrc = parseUrl(matchedScriptSrc);
      }
      entry = entry || matchedScriptEntry && matchedScriptSrc;
      if (scriptIgnore) {
        return genIgnoreAssetReplaceSymbol(matchedScriptSrc || "js file");
      }
      if (moduleScriptIgnore) {
        return genModuleScriptReplaceSymbol(matchedScriptSrc || "js file", moduleSupport);
      }
      if (matchedScriptSrc) {
        var asyncScript = !!scriptTag.match(SCRIPT_ASYNC_REGEX);
        var crossOriginScript = !!scriptTag.match(SCRIPT_CROSSORIGIN_REGEX);
        scripts.push(asyncScript || crossOriginScript ? {
          async: asyncScript,
          src: matchedScriptSrc,
          crossOrigin: crossOriginScript
        } : matchedScriptSrc);
        return genScriptReplaceSymbol(matchedScriptSrc, asyncScript, crossOriginScript);
      }
      return match;
    } else {
      if (scriptIgnore) {
        return genIgnoreAssetReplaceSymbol("js file");
      }
      if (moduleScriptIgnore) {
        return genModuleScriptReplaceSymbol("js file", moduleSupport);
      }
      var code = getInlineCode(match);
      var isPureCommentBlock = code.split(/[\r\n]+/).every(function(line) {
        return !line.trim() || line.trim().startsWith("//");
      });
      if (!isPureCommentBlock) {
        scripts.push(match);
      }
      return inlineScriptReplaceSymbol;
    }
  });
  scripts = scripts.filter(function(script) {
    return !!script;
  });
  var tplResult = {
    template,
    scripts,
    styles,
    // set the last script as entry if have not set
    entry: entry || scripts[scripts.length - 1]
  };
  if (typeof postProcessTemplate2 === "function") {
    tplResult = postProcessTemplate2(tplResult);
  }
  return tplResult;
}
function ownKeys(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function(sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread(target) {
  for (var i2 = 1; i2 < arguments.length; i2++) {
    var source = null != arguments[i2] ? arguments[i2] : {};
    i2 % 2 ? ownKeys(Object(source), true).forEach(function(key) {
      _defineProperty$1(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function(key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }
  return target;
}
var styleCache = {};
var scriptCache = {};
var embedHTMLCache = {};
if (!window.fetch) {
  throw new Error('[import-html-entry] Here is no "fetch" on the window env, you need to polyfill it');
}
var defaultFetch = window.fetch.bind(window);
function defaultGetTemplate(tpl) {
  return tpl;
}
function getEmbedHTML(template, styles) {
  var opts = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
  var _opts$fetch = opts.fetch, fetch2 = _opts$fetch === void 0 ? defaultFetch : _opts$fetch;
  var embedHTML = template;
  return _getExternalStyleSheets(styles, fetch2).then(function(styleSheets) {
    embedHTML = styles.reduce(function(html, styleSrc, i2) {
      html = html.replace(genLinkReplaceSymbol(styleSrc), isInlineCode(styleSrc) ? "".concat(styleSrc) : "<style>/* ".concat(styleSrc, " */").concat(styleSheets[i2], "</style>"));
      return html;
    }, embedHTML);
    return embedHTML;
  });
}
var isInlineCode = function isInlineCode2(code) {
  return code.startsWith("<");
};
function getExecutableScript(scriptSrc, scriptText) {
  var opts = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
  var proxy = opts.proxy, strictGlobal = opts.strictGlobal, _opts$scopedGlobalVar = opts.scopedGlobalVariables, scopedGlobalVariables = _opts$scopedGlobalVar === void 0 ? [] : _opts$scopedGlobalVar;
  var sourceUrl = isInlineCode(scriptSrc) ? "" : "//# sourceURL=".concat(scriptSrc, "\n");
  var scopedGlobalVariableDefinition = scopedGlobalVariables.length ? "const {".concat(scopedGlobalVariables.join(","), "}=this;") : "";
  var globalWindow = (0, eval)("window");
  globalWindow.proxy = proxy;
  return strictGlobal ? scopedGlobalVariableDefinition ? ";(function(){with(this){".concat(scopedGlobalVariableDefinition).concat(scriptText, "\n").concat(sourceUrl, "}}).bind(window.proxy)();") : ";(function(window, self, globalThis){with(window){;".concat(scriptText, "\n").concat(sourceUrl, "}}).bind(window.proxy)(window.proxy, window.proxy, window.proxy);") : ";(function(window, self, globalThis){;".concat(scriptText, "\n").concat(sourceUrl, "}).bind(window.proxy)(window.proxy, window.proxy, window.proxy);");
}
function _getExternalStyleSheets(styles) {
  var fetch2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : defaultFetch;
  return Promise.all(styles.map(function(styleLink) {
    if (isInlineCode(styleLink)) {
      return getInlineCode(styleLink);
    } else {
      return styleCache[styleLink] || (styleCache[styleLink] = fetch2(styleLink).then(function(response) {
        return response.text();
      }));
    }
  }));
}
function _getExternalScripts(scripts) {
  var fetch2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : defaultFetch;
  var fetchScript = function fetchScript2(scriptUrl, opts) {
    return scriptCache[scriptUrl] || (scriptCache[scriptUrl] = fetch2(scriptUrl, opts).then(function(response) {
      if (response.status >= 400) {
        throw new Error("".concat(scriptUrl, " load failed with status ").concat(response.status));
      }
      return response.text();
    }));
  };
  return Promise.all(scripts.map(function(script) {
    if (typeof script === "string") {
      if (isInlineCode(script)) {
        return getInlineCode(script);
      } else {
        return fetchScript(script);
      }
    } else {
      var src = script.src, async = script.async, crossOrigin = script.crossOrigin;
      var fetchOpts = crossOrigin ? {
        credentials: "include"
      } : {};
      if (async) {
        return {
          src,
          async: true,
          content: new Promise(function(resolve, reject) {
            return requestIdleCallback(function() {
              return fetchScript(src, fetchOpts).then(resolve, reject);
            });
          })
        };
      }
      return fetchScript(src, fetchOpts);
    }
  }));
}
function throwNonBlockingError(error2, msg) {
  setTimeout(function() {
    console.error(msg);
    throw error2;
  });
}
function _execScripts(entry, scripts) {
  var proxy = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : window;
  var opts = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : {};
  var _opts$fetch2 = opts.fetch, fetch2 = _opts$fetch2 === void 0 ? defaultFetch : _opts$fetch2, _opts$strictGlobal = opts.strictGlobal, strictGlobal = _opts$strictGlobal === void 0 ? false : _opts$strictGlobal, success = opts.success, _opts$error = opts.error, error2 = _opts$error === void 0 ? function() {
  } : _opts$error, _opts$beforeExec = opts.beforeExec, beforeExec = _opts$beforeExec === void 0 ? function() {
  } : _opts$beforeExec, _opts$afterExec = opts.afterExec, afterExec = _opts$afterExec === void 0 ? function() {
  } : _opts$afterExec, _opts$scopedGlobalVar2 = opts.scopedGlobalVariables, scopedGlobalVariables = _opts$scopedGlobalVar2 === void 0 ? [] : _opts$scopedGlobalVar2;
  return _getExternalScripts(scripts, fetch2).then(function(scriptsText) {
    var geval = function geval2(scriptSrc, inlineScript) {
      var rawCode = beforeExec(inlineScript, scriptSrc) || inlineScript;
      var code = getExecutableScript(scriptSrc, rawCode, {
        proxy,
        strictGlobal,
        scopedGlobalVariables
      });
      evalCode(scriptSrc, code);
      afterExec(inlineScript, scriptSrc);
    };
    function exec(scriptSrc, inlineScript, resolve) {
      if (scriptSrc === entry) {
        noteGlobalProps(strictGlobal ? proxy : window);
        try {
          geval(scriptSrc, inlineScript);
          var exports = proxy[getGlobalProp(strictGlobal ? proxy : window)] || {};
          resolve(exports);
        } catch (e2) {
          console.error("[import-html-entry]: error occurs while executing entry script ".concat(scriptSrc));
          throw e2;
        }
      } else {
        if (typeof inlineScript === "string") {
          try {
            if (scriptSrc !== null && scriptSrc !== void 0 && scriptSrc.src) {
              geval(scriptSrc.src, inlineScript);
            } else {
              geval(scriptSrc, inlineScript);
            }
          } catch (e2) {
            throwNonBlockingError(e2, "[import-html-entry]: error occurs while executing normal script ".concat(scriptSrc));
          }
        } else {
          inlineScript.async && (inlineScript === null || inlineScript === void 0 ? void 0 : inlineScript.content.then(function(downloadedScriptText) {
            return geval(inlineScript.src, downloadedScriptText);
          })["catch"](function(e2) {
            throwNonBlockingError(e2, "[import-html-entry]: error occurs while executing async script ".concat(inlineScript.src));
          }));
        }
      }
    }
    function schedule(i2, resolvePromise) {
      if (i2 < scripts.length) {
        var scriptSrc = scripts[i2];
        var inlineScript = scriptsText[i2];
        exec(scriptSrc, inlineScript, resolvePromise);
        if (!entry && i2 === scripts.length - 1) {
          resolvePromise();
        } else {
          schedule(i2 + 1, resolvePromise);
        }
      }
    }
    return new Promise(function(resolve) {
      return schedule(0, success || resolve);
    });
  })["catch"](function(e2) {
    error2();
    throw e2;
  });
}
function importHTML(url) {
  var opts = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  var fetch2 = defaultFetch;
  var autoDecodeResponse = false;
  var getPublicPath2 = defaultGetPublicPath;
  var getTemplate = defaultGetTemplate;
  var postProcessTemplate2 = opts.postProcessTemplate;
  if (typeof opts === "function") {
    fetch2 = opts;
  } else {
    if (opts.fetch) {
      if (typeof opts.fetch === "function") {
        fetch2 = opts.fetch;
      } else {
        fetch2 = opts.fetch.fn || defaultFetch;
        autoDecodeResponse = !!opts.fetch.autoDecodeResponse;
      }
    }
    getPublicPath2 = opts.getPublicPath || opts.getDomain || defaultGetPublicPath;
    getTemplate = opts.getTemplate || defaultGetTemplate;
  }
  return embedHTMLCache[url] || (embedHTMLCache[url] = fetch2(url).then(function(response) {
    return readResAsString(response, autoDecodeResponse);
  }).then(function(html) {
    var assetPublicPath = getPublicPath2(url);
    var _processTpl = processTpl(getTemplate(html), assetPublicPath, postProcessTemplate2), template = _processTpl.template, scripts = _processTpl.scripts, entry = _processTpl.entry, styles = _processTpl.styles;
    return getEmbedHTML(template, styles, {
      fetch: fetch2
    }).then(function(embedHTML) {
      return {
        template: embedHTML,
        assetPublicPath,
        getExternalScripts: function getExternalScripts() {
          return _getExternalScripts(scripts, fetch2);
        },
        getExternalStyleSheets: function getExternalStyleSheets() {
          return _getExternalStyleSheets(styles, fetch2);
        },
        execScripts: function execScripts(proxy, strictGlobal) {
          var opts2 = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
          if (!scripts.length) {
            return Promise.resolve();
          }
          return _execScripts(entry, scripts, proxy, _objectSpread({
            fetch: fetch2,
            strictGlobal
          }, opts2));
        }
      };
    });
  }));
}
function importEntry(entry) {
  var opts = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  var _opts$fetch3 = opts.fetch, fetch2 = _opts$fetch3 === void 0 ? defaultFetch : _opts$fetch3, _opts$getTemplate = opts.getTemplate, getTemplate = _opts$getTemplate === void 0 ? defaultGetTemplate : _opts$getTemplate, postProcessTemplate2 = opts.postProcessTemplate;
  var getPublicPath2 = opts.getPublicPath || opts.getDomain || defaultGetPublicPath;
  if (!entry) {
    throw new SyntaxError("entry should not be empty!");
  }
  if (typeof entry === "string") {
    return importHTML(entry, {
      fetch: fetch2,
      getPublicPath: getPublicPath2,
      getTemplate,
      postProcessTemplate: postProcessTemplate2
    });
  }
  if (Array.isArray(entry.scripts) || Array.isArray(entry.styles)) {
    var _entry$scripts = entry.scripts, scripts = _entry$scripts === void 0 ? [] : _entry$scripts, _entry$styles = entry.styles, styles = _entry$styles === void 0 ? [] : _entry$styles, _entry$html = entry.html, html = _entry$html === void 0 ? "" : _entry$html;
    var getHTMLWithStylePlaceholder = function getHTMLWithStylePlaceholder2(tpl) {
      return styles.reduceRight(function(html2, styleSrc) {
        return "".concat(genLinkReplaceSymbol(styleSrc)).concat(html2);
      }, tpl);
    };
    var getHTMLWithScriptPlaceholder = function getHTMLWithScriptPlaceholder2(tpl) {
      return scripts.reduce(function(html2, scriptSrc) {
        return "".concat(html2).concat(genScriptReplaceSymbol(scriptSrc));
      }, tpl);
    };
    return getEmbedHTML(getTemplate(getHTMLWithScriptPlaceholder(getHTMLWithStylePlaceholder(html))), styles, {
      fetch: fetch2
    }).then(function(embedHTML) {
      return {
        template: embedHTML,
        assetPublicPath: getPublicPath2(entry),
        getExternalScripts: function getExternalScripts() {
          return _getExternalScripts(scripts, fetch2);
        },
        getExternalStyleSheets: function getExternalStyleSheets() {
          return _getExternalStyleSheets(styles, fetch2);
        },
        execScripts: function execScripts(proxy, strictGlobal) {
          var opts2 = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
          if (!scripts.length) {
            return Promise.resolve();
          }
          return _execScripts(scripts[scripts.length - 1], scripts, proxy, _objectSpread({
            fetch: fetch2,
            strictGlobal
          }, opts2));
        }
      };
    });
  } else {
    throw new SyntaxError("entry scripts or styles should be array!");
  }
}
function getAddOn$1(global2) {
  return {
    beforeLoad: function beforeLoad() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1)
            switch (_context.prev = _context.next) {
              case 0:
                global2.__POWERED_BY_QIANKUN__ = true;
              case 1:
              case "end":
                return _context.stop();
            }
        }, _callee);
      }))();
    },
    beforeMount: function beforeMount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee2() {
        return _regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1)
            switch (_context2.prev = _context2.next) {
              case 0:
                global2.__POWERED_BY_QIANKUN__ = true;
              case 1:
              case "end":
                return _context2.stop();
            }
        }, _callee2);
      }))();
    },
    beforeUnmount: function beforeUnmount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee3() {
        return _regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1)
            switch (_context3.prev = _context3.next) {
              case 0:
                delete global2.__POWERED_BY_QIANKUN__;
              case 1:
              case "end":
                return _context3.stop();
            }
        }, _callee3);
      }))();
    }
  };
}
var rawPublicPath = window.__INJECTED_PUBLIC_PATH_BY_QIANKUN__;
function getAddOn(global2) {
  var publicPath = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "/";
  var hasMountedOnce = false;
  return {
    beforeLoad: function beforeLoad() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee() {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1)
            switch (_context.prev = _context.next) {
              case 0:
                global2.__INJECTED_PUBLIC_PATH_BY_QIANKUN__ = publicPath;
              case 1:
              case "end":
                return _context.stop();
            }
        }, _callee);
      }))();
    },
    beforeMount: function beforeMount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee2() {
        return _regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1)
            switch (_context2.prev = _context2.next) {
              case 0:
                if (hasMountedOnce) {
                  global2.__INJECTED_PUBLIC_PATH_BY_QIANKUN__ = publicPath;
                }
              case 1:
              case "end":
                return _context2.stop();
            }
        }, _callee2);
      }))();
    },
    beforeUnmount: function beforeUnmount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee3() {
        return _regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1)
            switch (_context3.prev = _context3.next) {
              case 0:
                if (rawPublicPath === void 0) {
                  delete global2.__INJECTED_PUBLIC_PATH_BY_QIANKUN__;
                } else {
                  global2.__INJECTED_PUBLIC_PATH_BY_QIANKUN__ = rawPublicPath;
                }
                hasMountedOnce = true;
              case 2:
              case "end":
                return _context3.stop();
            }
        }, _callee3);
      }))();
    }
  };
}
function getAddOns(global2, publicPath) {
  return _mergeWith2({}, getAddOn$1(global2), getAddOn(global2, publicPath), function(v1, v2) {
    return _concat(v1 !== null && v1 !== void 0 ? v1 : [], v2 !== null && v2 !== void 0 ? v2 : []);
  });
}
function _defineProperties(target, props) {
  for (var i2 = 0; i2 < props.length; i2++) {
    var descriptor = props[i2];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, toPropertyKey(descriptor.key), descriptor);
  }
}
function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties(Constructor, staticProps);
  Object.defineProperty(Constructor, "prototype", {
    writable: false
  });
  return Constructor;
}
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _setPrototypeOf(o2, p2) {
  _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf2(o3, p3) {
    o3.__proto__ = p3;
    return o3;
  };
  return _setPrototypeOf(o2, p2);
}
function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  Object.defineProperty(subClass, "prototype", {
    writable: false
  });
  if (superClass)
    _setPrototypeOf(subClass, superClass);
}
function _getPrototypeOf(o2) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf2(o3) {
    return o3.__proto__ || Object.getPrototypeOf(o3);
  };
  return _getPrototypeOf(o2);
}
function _isNativeReflectConstruct() {
  try {
    var t2 = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {
    }));
  } catch (t3) {
  }
  return (_isNativeReflectConstruct = function _isNativeReflectConstruct2() {
    return !!t2;
  })();
}
function _assertThisInitialized(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _possibleConstructorReturn(self2, call) {
  if (call && (_typeof$1(call) === "object" || typeof call === "function")) {
    return call;
  } else if (call !== void 0) {
    throw new TypeError("Derived constructors may only return object or undefined");
  }
  return _assertThisInitialized(self2);
}
function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn(this, result);
  };
}
function _isNativeFunction(fn) {
  try {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
  } catch (e2) {
    return typeof fn === "function";
  }
}
function _construct(t2, e2, r2) {
  if (_isNativeReflectConstruct())
    return Reflect.construct.apply(null, arguments);
  var o2 = [null];
  o2.push.apply(o2, e2);
  var p2 = new (t2.bind.apply(t2, o2))();
  return r2 && _setPrototypeOf(p2, r2.prototype), p2;
}
function _wrapNativeSuper(Class) {
  var _cache = typeof Map === "function" ? /* @__PURE__ */ new Map() : void 0;
  _wrapNativeSuper = function _wrapNativeSuper2(Class2) {
    if (Class2 === null || !_isNativeFunction(Class2))
      return Class2;
    if (typeof Class2 !== "function") {
      throw new TypeError("Super expression must either be null or a function");
    }
    if (typeof _cache !== "undefined") {
      if (_cache.has(Class2))
        return _cache.get(Class2);
      _cache.set(Class2, Wrapper);
    }
    function Wrapper() {
      return _construct(Class2, arguments, _getPrototypeOf(this).constructor);
    }
    Wrapper.prototype = Object.create(Class2.prototype, {
      constructor: {
        value: Wrapper,
        enumerable: false,
        writable: true,
        configurable: true
      }
    });
    return _setPrototypeOf(Wrapper, Class2);
  };
  return _wrapNativeSuper(Class);
}
var QiankunError = /* @__PURE__ */ function(_Error) {
  _inherits(QiankunError2, _Error);
  var _super = _createSuper(QiankunError2);
  function QiankunError2(message) {
    _classCallCheck(this, QiankunError2);
    return _super.call(this, "[qiankun]: ".concat(message));
  }
  return _createClass(QiankunError2);
}(/* @__PURE__ */ _wrapNativeSuper(Error));
var copyObject$3 = _copyObject, keys$2 = keys_1;
function baseAssign$1(object, source) {
  return object && copyObject$3(source, keys$2(source), object);
}
var _baseAssign = baseAssign$1;
var copyObject$2 = _copyObject, keysIn$2 = keysIn_1;
function baseAssignIn$1(object, source) {
  return object && copyObject$2(source, keysIn$2(source), object);
}
var _baseAssignIn = baseAssignIn$1;
function arrayFilter$1(array, predicate) {
  var index = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
var _arrayFilter = arrayFilter$1;
function stubArray$2() {
  return [];
}
var stubArray_1 = stubArray$2;
var arrayFilter = _arrayFilter, stubArray$1 = stubArray_1;
var objectProto$3 = Object.prototype;
var propertyIsEnumerable = objectProto$3.propertyIsEnumerable;
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;
var getSymbols$3 = !nativeGetSymbols$1 ? stubArray$1 : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols$1(object), function(symbol) {
    return propertyIsEnumerable.call(object, symbol);
  });
};
var _getSymbols = getSymbols$3;
var copyObject$1 = _copyObject, getSymbols$2 = _getSymbols;
function copySymbols$1(source, object) {
  return copyObject$1(source, getSymbols$2(source), object);
}
var _copySymbols = copySymbols$1;
var arrayPush$1 = _arrayPush, getPrototype = _getPrototype, getSymbols$1 = _getSymbols, stubArray = stubArray_1;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbolsIn$2 = !nativeGetSymbols ? stubArray : function(object) {
  var result = [];
  while (object) {
    arrayPush$1(result, getSymbols$1(object));
    object = getPrototype(object);
  }
  return result;
};
var _getSymbolsIn = getSymbolsIn$2;
var copyObject = _copyObject, getSymbolsIn$1 = _getSymbolsIn;
function copySymbolsIn$1(source, object) {
  return copyObject(source, getSymbolsIn$1(source), object);
}
var _copySymbolsIn = copySymbolsIn$1;
var arrayPush = _arrayPush, isArray$3 = isArray_1;
function baseGetAllKeys$2(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray$3(object) ? result : arrayPush(result, symbolsFunc(object));
}
var _baseGetAllKeys = baseGetAllKeys$2;
var baseGetAllKeys$1 = _baseGetAllKeys, getSymbols = _getSymbols, keys$1 = keys_1;
function getAllKeys$1(object) {
  return baseGetAllKeys$1(object, keys$1, getSymbols);
}
var _getAllKeys = getAllKeys$1;
var baseGetAllKeys = _baseGetAllKeys, getSymbolsIn = _getSymbolsIn, keysIn$1 = keysIn_1;
function getAllKeysIn$1(object) {
  return baseGetAllKeys(object, keysIn$1, getSymbolsIn);
}
var _getAllKeysIn = getAllKeysIn$1;
var getNative$3 = _getNative, root$4 = _root;
var DataView$1 = getNative$3(root$4, "DataView");
var _DataView = DataView$1;
var getNative$2 = _getNative, root$3 = _root;
var Promise$2 = getNative$2(root$3, "Promise");
var _Promise = Promise$2;
var getNative$1 = _getNative, root$2 = _root;
var Set$2 = getNative$1(root$2, "Set");
var _Set = Set$2;
var getNative = _getNative, root$1 = _root;
var WeakMap$2 = getNative(root$1, "WeakMap");
var _WeakMap = WeakMap$2;
var DataView = _DataView, Map$1 = _Map, Promise$1 = _Promise, Set$1 = _Set, WeakMap$1 = _WeakMap, baseGetTag$2 = _baseGetTag, toSource = _toSource;
var mapTag$3 = "[object Map]", objectTag$1 = "[object Object]", promiseTag = "[object Promise]", setTag$3 = "[object Set]", weakMapTag$1 = "[object WeakMap]";
var dataViewTag$2 = "[object DataView]";
var dataViewCtorString = toSource(DataView), mapCtorString = toSource(Map$1), promiseCtorString = toSource(Promise$1), setCtorString = toSource(Set$1), weakMapCtorString = toSource(WeakMap$1);
var getTag$3 = baseGetTag$2;
if (DataView && getTag$3(new DataView(new ArrayBuffer(1))) != dataViewTag$2 || Map$1 && getTag$3(new Map$1()) != mapTag$3 || Promise$1 && getTag$3(Promise$1.resolve()) != promiseTag || Set$1 && getTag$3(new Set$1()) != setTag$3 || WeakMap$1 && getTag$3(new WeakMap$1()) != weakMapTag$1) {
  getTag$3 = function(value) {
    var result = baseGetTag$2(value), Ctor = result == objectTag$1 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag$2;
        case mapCtorString:
          return mapTag$3;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$3;
        case weakMapCtorString:
          return weakMapTag$1;
      }
    }
    return result;
  };
}
var _getTag = getTag$3;
var objectProto$2 = Object.prototype;
var hasOwnProperty$1 = objectProto$2.hasOwnProperty;
function initCloneArray$1(array) {
  var length = array.length, result = new array.constructor(length);
  if (length && typeof array[0] == "string" && hasOwnProperty$1.call(array, "index")) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}
var _initCloneArray = initCloneArray$1;
var cloneArrayBuffer$1 = _cloneArrayBuffer;
function cloneDataView$1(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$1(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
var _cloneDataView = cloneDataView$1;
var reFlags = /\w*$/;
function cloneRegExp$1(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}
var _cloneRegExp = cloneRegExp$1;
var Symbol$3 = _Symbol;
var symbolProto$2 = Symbol$3 ? Symbol$3.prototype : void 0, symbolValueOf = symbolProto$2 ? symbolProto$2.valueOf : void 0;
function cloneSymbol$1(symbol) {
  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
}
var _cloneSymbol = cloneSymbol$1;
var cloneArrayBuffer = _cloneArrayBuffer, cloneDataView = _cloneDataView, cloneRegExp = _cloneRegExp, cloneSymbol = _cloneSymbol, cloneTypedArray = _cloneTypedArray;
var boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", mapTag$2 = "[object Map]", numberTag$1 = "[object Number]", regexpTag$1 = "[object RegExp]", setTag$2 = "[object Set]", stringTag$1 = "[object String]", symbolTag$3 = "[object Symbol]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]", float32Tag$1 = "[object Float32Array]", float64Tag$1 = "[object Float64Array]", int8Tag$1 = "[object Int8Array]", int16Tag$1 = "[object Int16Array]", int32Tag$1 = "[object Int32Array]", uint8Tag$1 = "[object Uint8Array]", uint8ClampedTag$1 = "[object Uint8ClampedArray]", uint16Tag$1 = "[object Uint16Array]", uint32Tag$1 = "[object Uint32Array]";
function initCloneByTag$1(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$1:
      return cloneArrayBuffer(object);
    case boolTag$1:
    case dateTag$1:
      return new Ctor(+object);
    case dataViewTag$1:
      return cloneDataView(object, isDeep);
    case float32Tag$1:
    case float64Tag$1:
    case int8Tag$1:
    case int16Tag$1:
    case int32Tag$1:
    case uint8Tag$1:
    case uint8ClampedTag$1:
    case uint16Tag$1:
    case uint32Tag$1:
      return cloneTypedArray(object, isDeep);
    case mapTag$2:
      return new Ctor();
    case numberTag$1:
    case stringTag$1:
      return new Ctor(object);
    case regexpTag$1:
      return cloneRegExp(object);
    case setTag$2:
      return new Ctor();
    case symbolTag$3:
      return cloneSymbol(object);
  }
}
var _initCloneByTag = initCloneByTag$1;
var getTag$2 = _getTag, isObjectLike$3 = isObjectLike_1;
var mapTag$1 = "[object Map]";
function baseIsMap$1(value) {
  return isObjectLike$3(value) && getTag$2(value) == mapTag$1;
}
var _baseIsMap = baseIsMap$1;
var baseIsMap = _baseIsMap, baseUnary$2 = _baseUnary, nodeUtil$1 = _nodeUtilExports;
var nodeIsMap = nodeUtil$1 && nodeUtil$1.isMap;
var isMap$1 = nodeIsMap ? baseUnary$2(nodeIsMap) : baseIsMap;
var isMap_1 = isMap$1;
var getTag$1 = _getTag, isObjectLike$2 = isObjectLike_1;
var setTag$1 = "[object Set]";
function baseIsSet$1(value) {
  return isObjectLike$2(value) && getTag$1(value) == setTag$1;
}
var _baseIsSet = baseIsSet$1;
var baseIsSet = _baseIsSet, baseUnary$1 = _baseUnary, nodeUtil = _nodeUtilExports;
var nodeIsSet = nodeUtil && nodeUtil.isSet;
var isSet$1 = nodeIsSet ? baseUnary$1(nodeIsSet) : baseIsSet;
var isSet_1 = isSet$1;
var Stack = _Stack, arrayEach = _arrayEach, assignValue = _assignValue, baseAssign = _baseAssign, baseAssignIn = _baseAssignIn, cloneBuffer = _cloneBufferExports, copyArray = _copyArray, copySymbols = _copySymbols, copySymbolsIn = _copySymbolsIn, getAllKeys = _getAllKeys, getAllKeysIn = _getAllKeysIn, getTag = _getTag, initCloneArray = _initCloneArray, initCloneByTag = _initCloneByTag, initCloneObject = _initCloneObject, isArray$2 = isArray_1, isBuffer = isBufferExports, isMap = isMap_1, isObject$1 = isObject_1, isSet = isSet_1, keys = keys_1, keysIn = keysIn_1;
var CLONE_DEEP_FLAG$1 = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG$1 = 4;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag = "[object Map]", numberTag = "[object Number]", objectTag = "[object Object]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag$2 = "[object Symbol]", weakMapTag = "[object WeakMap]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var cloneableTags = {};
cloneableTags[argsTag] = cloneableTags[arrayTag] = cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] = cloneableTags[boolTag] = cloneableTags[dateTag] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag] = cloneableTags[numberTag] = cloneableTags[objectTag] = cloneableTags[regexpTag] = cloneableTags[setTag] = cloneableTags[stringTag] = cloneableTags[symbolTag$2] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
cloneableTags[errorTag] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
function baseClone$1(value, bitmask, customizer, key, object, stack) {
  var result, isDeep = bitmask & CLONE_DEEP_FLAG$1, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG$1;
  if (customizer) {
    result = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result !== void 0) {
    return result;
  }
  if (!isObject$1(value)) {
    return value;
  }
  var isArr = isArray$2(value);
  if (isArr) {
    result = initCloneArray(value);
    if (!isDeep) {
      return copyArray(value, result);
    }
  } else {
    var tag = getTag(value), isFunc = tag == funcTag || tag == genTag;
    if (isBuffer(value)) {
      return cloneBuffer(value, isDeep);
    }
    if (tag == objectTag || tag == argsTag || isFunc && !object) {
      result = isFlat || isFunc ? {} : initCloneObject(value);
      if (!isDeep) {
        return isFlat ? copySymbolsIn(value, baseAssignIn(result, value)) : copySymbols(value, baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = initCloneByTag(value, tag, isDeep);
    }
  }
  stack || (stack = new Stack());
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);
  if (isSet(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone$1(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap(value)) {
    value.forEach(function(subValue, key2) {
      result.set(key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
    });
  }
  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;
  var props = isArr ? void 0 : keysFunc(value);
  arrayEach(props || value, function(subValue, key2) {
    if (props) {
      key2 = subValue;
      subValue = value[key2];
    }
    assignValue(result, key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
  });
  return result;
}
var _baseClone = baseClone$1;
var baseClone = _baseClone;
var CLONE_DEEP_FLAG = 1, CLONE_SYMBOLS_FLAG = 4;
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
}
var cloneDeep_1 = cloneDeep;
const _cloneDeep = /* @__PURE__ */ getDefaultExportFromCjs(cloneDeep_1);
var globalState = {};
var deps = {};
function emitGlobal(state, prevState) {
  Object.keys(deps).forEach(function(id) {
    if (deps[id] instanceof Function) {
      deps[id](_cloneDeep(state), _cloneDeep(prevState));
    }
  });
}
function getMicroAppStateActions(id, isMaster) {
  return {
    /**
     * onGlobalStateChange 全局依赖监听
     *
     * 收集 setState 时所需要触发的依赖
     *
     * 限制条件：每个子应用只有一个激活状态的全局监听，新监听覆盖旧监听，若只是监听部分属性，请使用 onGlobalStateChange
     *
     * 这么设计是为了减少全局监听滥用导致的内存爆炸
     *
     * 依赖数据结构为：
     * {
     *   {id}: callback
     * }
     *
     * @param callback
     * @param fireImmediately
     */
    onGlobalStateChange: function onGlobalStateChange(callback, fireImmediately) {
      if (!(callback instanceof Function)) {
        console.error("[qiankun] callback must be function!");
        return;
      }
      if (deps[id]) {
        console.warn("[qiankun] '".concat(id, "' global listener already exists before this, new listener will overwrite it."));
      }
      deps[id] = callback;
      if (fireImmediately) {
        var cloneState = _cloneDeep(globalState);
        callback(cloneState, cloneState);
      }
    },
    /**
     * setGlobalState 更新 store 数据
     *
     * 1. 对输入 state 的第一层属性做校验，只有初始化时声明过的第一层（bucket）属性才会被更改
     * 2. 修改 store 并触发全局监听
     *
     * @param state
     */
    setGlobalState: function setGlobalState() {
      var state = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
      if (state === globalState) {
        console.warn("[qiankun] state has not changed！");
        return false;
      }
      var changeKeys = [];
      var prevGlobalState = _cloneDeep(globalState);
      globalState = _cloneDeep(Object.keys(state).reduce(function(_globalState, changeKey) {
        if (isMaster || _globalState.hasOwnProperty(changeKey)) {
          changeKeys.push(changeKey);
          return Object.assign(_globalState, _defineProperty$1({}, changeKey, state[changeKey]));
        }
        console.warn("[qiankun] '".concat(changeKey, "' not declared when init state！"));
        return _globalState;
      }, globalState));
      if (changeKeys.length === 0) {
        console.warn("[qiankun] state has not changed！");
        return false;
      }
      emitGlobal(globalState, prevGlobalState);
      return true;
    },
    // 注销该应用下的依赖
    offGlobalStateChange: function offGlobalStateChange() {
      delete deps[id];
      return true;
    }
  };
}
var SandBoxType;
(function(SandBoxType2) {
  SandBoxType2["Proxy"] = "Proxy";
  SandBoxType2["Snapshot"] = "Snapshot";
  SandBoxType2["LegacyProxy"] = "LegacyProxy";
})(SandBoxType || (SandBoxType = {}));
var reWhitespace = /\s/;
function trimmedEndIndex$1(string) {
  var index = string.length;
  while (index-- && reWhitespace.test(string.charAt(index))) {
  }
  return index;
}
var _trimmedEndIndex = trimmedEndIndex$1;
var trimmedEndIndex = _trimmedEndIndex;
var reTrimStart = /^\s+/;
function baseTrim$1(string) {
  return string ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
}
var _baseTrim = baseTrim$1;
var baseGetTag$1 = _baseGetTag, isObjectLike$1 = isObjectLike_1;
var symbolTag$1 = "[object Symbol]";
function isSymbol$3(value) {
  return typeof value == "symbol" || isObjectLike$1(value) && baseGetTag$1(value) == symbolTag$1;
}
var isSymbol_1 = isSymbol$3;
var baseTrim = _baseTrim, isObject = isObject_1, isSymbol$2 = isSymbol_1;
var NAN = 0 / 0;
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
var reIsBinary = /^0b[01]+$/i;
var reIsOctal = /^0o[0-7]+$/i;
var freeParseInt = parseInt;
function toNumber$1(value) {
  if (typeof value == "number") {
    return value;
  }
  if (isSymbol$2(value)) {
    return NAN;
  }
  if (isObject(value)) {
    var other = typeof value.valueOf == "function" ? value.valueOf() : value;
    value = isObject(other) ? other + "" : other;
  }
  if (typeof value != "string") {
    return value === 0 ? value : +value;
  }
  value = baseTrim(value);
  var isBinary = reIsBinary.test(value);
  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
}
var toNumber_1 = toNumber$1;
var toNumber = toNumber_1;
var INFINITY$2 = 1 / 0, MAX_INTEGER = 17976931348623157e292;
function toFinite$1(value) {
  if (!value) {
    return value === 0 ? value : 0;
  }
  value = toNumber(value);
  if (value === INFINITY$2 || value === -INFINITY$2) {
    var sign = value < 0 ? -1 : 1;
    return sign * MAX_INTEGER;
  }
  return value === value ? value : 0;
}
var toFinite_1 = toFinite$1;
var toFinite = toFinite_1;
function toInteger$1(value) {
  var result = toFinite(value), remainder = result % 1;
  return result === result ? remainder ? result - remainder : result : 0;
}
var toInteger_1 = toInteger$1;
var toInteger = toInteger_1;
var FUNC_ERROR_TEXT$1 = "Expected a function";
function before$1(n2, func) {
  var result;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT$1);
  }
  n2 = toInteger(n2);
  return function() {
    if (--n2 > 0) {
      result = func.apply(this, arguments);
    }
    if (n2 <= 1) {
      func = void 0;
    }
    return result;
  };
}
var before_1 = before$1;
var before = before_1;
function once(func) {
  return before(2, func);
}
var once_1 = once;
const _once = /* @__PURE__ */ getDefaultExportFromCjs(once_1);
function arrayReduce$2(array, iteratee, accumulator, initAccum) {
  var index = -1, length = array == null ? 0 : array.length;
  if (initAccum && length) {
    accumulator = array[++index];
  }
  while (++index < length) {
    accumulator = iteratee(accumulator, array[index], index, array);
  }
  return accumulator;
}
var _arrayReduce = arrayReduce$2;
function basePropertyOf$2(object) {
  return function(key) {
    return object == null ? void 0 : object[key];
  };
}
var _basePropertyOf = basePropertyOf$2;
var basePropertyOf$1 = _basePropertyOf;
var deburredLetters$1 = {
  // Latin-1 Supplement block.
  "À": "A",
  "Á": "A",
  "Â": "A",
  "Ã": "A",
  "Ä": "A",
  "Å": "A",
  "à": "a",
  "á": "a",
  "â": "a",
  "ã": "a",
  "ä": "a",
  "å": "a",
  "Ç": "C",
  "ç": "c",
  "Ð": "D",
  "ð": "d",
  "È": "E",
  "É": "E",
  "Ê": "E",
  "Ë": "E",
  "è": "e",
  "é": "e",
  "ê": "e",
  "ë": "e",
  "Ì": "I",
  "Í": "I",
  "Î": "I",
  "Ï": "I",
  "ì": "i",
  "í": "i",
  "î": "i",
  "ï": "i",
  "Ñ": "N",
  "ñ": "n",
  "Ò": "O",
  "Ó": "O",
  "Ô": "O",
  "Õ": "O",
  "Ö": "O",
  "Ø": "O",
  "ò": "o",
  "ó": "o",
  "ô": "o",
  "õ": "o",
  "ö": "o",
  "ø": "o",
  "Ù": "U",
  "Ú": "U",
  "Û": "U",
  "Ü": "U",
  "ù": "u",
  "ú": "u",
  "û": "u",
  "ü": "u",
  "Ý": "Y",
  "ý": "y",
  "ÿ": "y",
  "Æ": "Ae",
  "æ": "ae",
  "Þ": "Th",
  "þ": "th",
  "ß": "ss",
  // Latin Extended-A block.
  "Ā": "A",
  "Ă": "A",
  "Ą": "A",
  "ā": "a",
  "ă": "a",
  "ą": "a",
  "Ć": "C",
  "Ĉ": "C",
  "Ċ": "C",
  "Č": "C",
  "ć": "c",
  "ĉ": "c",
  "ċ": "c",
  "č": "c",
  "Ď": "D",
  "Đ": "D",
  "ď": "d",
  "đ": "d",
  "Ē": "E",
  "Ĕ": "E",
  "Ė": "E",
  "Ę": "E",
  "Ě": "E",
  "ē": "e",
  "ĕ": "e",
  "ė": "e",
  "ę": "e",
  "ě": "e",
  "Ĝ": "G",
  "Ğ": "G",
  "Ġ": "G",
  "Ģ": "G",
  "ĝ": "g",
  "ğ": "g",
  "ġ": "g",
  "ģ": "g",
  "Ĥ": "H",
  "Ħ": "H",
  "ĥ": "h",
  "ħ": "h",
  "Ĩ": "I",
  "Ī": "I",
  "Ĭ": "I",
  "Į": "I",
  "İ": "I",
  "ĩ": "i",
  "ī": "i",
  "ĭ": "i",
  "į": "i",
  "ı": "i",
  "Ĵ": "J",
  "ĵ": "j",
  "Ķ": "K",
  "ķ": "k",
  "ĸ": "k",
  "Ĺ": "L",
  "Ļ": "L",
  "Ľ": "L",
  "Ŀ": "L",
  "Ł": "L",
  "ĺ": "l",
  "ļ": "l",
  "ľ": "l",
  "ŀ": "l",
  "ł": "l",
  "Ń": "N",
  "Ņ": "N",
  "Ň": "N",
  "Ŋ": "N",
  "ń": "n",
  "ņ": "n",
  "ň": "n",
  "ŋ": "n",
  "Ō": "O",
  "Ŏ": "O",
  "Ő": "O",
  "ō": "o",
  "ŏ": "o",
  "ő": "o",
  "Ŕ": "R",
  "Ŗ": "R",
  "Ř": "R",
  "ŕ": "r",
  "ŗ": "r",
  "ř": "r",
  "Ś": "S",
  "Ŝ": "S",
  "Ş": "S",
  "Š": "S",
  "ś": "s",
  "ŝ": "s",
  "ş": "s",
  "š": "s",
  "Ţ": "T",
  "Ť": "T",
  "Ŧ": "T",
  "ţ": "t",
  "ť": "t",
  "ŧ": "t",
  "Ũ": "U",
  "Ū": "U",
  "Ŭ": "U",
  "Ů": "U",
  "Ű": "U",
  "Ų": "U",
  "ũ": "u",
  "ū": "u",
  "ŭ": "u",
  "ů": "u",
  "ű": "u",
  "ų": "u",
  "Ŵ": "W",
  "ŵ": "w",
  "Ŷ": "Y",
  "ŷ": "y",
  "Ÿ": "Y",
  "Ź": "Z",
  "Ż": "Z",
  "Ž": "Z",
  "ź": "z",
  "ż": "z",
  "ž": "z",
  "Ĳ": "IJ",
  "ĳ": "ij",
  "Œ": "Oe",
  "œ": "oe",
  "ŉ": "'n",
  "ſ": "s"
};
var deburrLetter$3 = basePropertyOf$1(deburredLetters$1);
var _deburrLetter = deburrLetter$3;
function arrayMap$3(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}
var _arrayMap = arrayMap$3;
var Symbol$2 = _Symbol, arrayMap$2 = _arrayMap, isArray$1 = isArray_1, isSymbol$1 = isSymbol_1;
var INFINITY$1 = 1 / 0;
var symbolProto$1 = Symbol$2 ? Symbol$2.prototype : void 0, symbolToString$1 = symbolProto$1 ? symbolProto$1.toString : void 0;
function baseToString$2(value) {
  if (typeof value == "string") {
    return value;
  }
  if (isArray$1(value)) {
    return arrayMap$2(value, baseToString$2) + "";
  }
  if (isSymbol$1(value)) {
    return symbolToString$1 ? symbolToString$1.call(value) : "";
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY$1 ? "-0" : result;
}
var _baseToString = baseToString$2;
var baseToString$1 = _baseToString;
function toString$3(value) {
  return value == null ? "" : baseToString$1(value);
}
var toString_1 = toString$3;
var deburrLetter$2 = _deburrLetter, toString$2 = toString_1;
var reLatin$1 = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
var rsComboMarksRange$5 = "\\u0300-\\u036f", reComboHalfMarksRange$5 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$5 = "\\u20d0-\\u20ff", rsComboRange$5 = rsComboMarksRange$5 + reComboHalfMarksRange$5 + rsComboSymbolsRange$5;
var rsCombo$4 = "[" + rsComboRange$5 + "]";
var reComboMark$1 = RegExp(rsCombo$4, "g");
function deburr$2(string) {
  string = toString$2(string);
  return string && string.replace(reLatin$1, deburrLetter$2).replace(reComboMark$1, "");
}
var deburr_1 = deburr$2;
var reAsciiWord$1 = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
function asciiWords$2(string) {
  return string.match(reAsciiWord$1) || [];
}
var _asciiWords = asciiWords$2;
var reHasUnicodeWord$1 = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
function hasUnicodeWord$2(string) {
  return reHasUnicodeWord$1.test(string);
}
var _hasUnicodeWord = hasUnicodeWord$2;
var rsAstralRange$3 = "\\ud800-\\udfff", rsComboMarksRange$4 = "\\u0300-\\u036f", reComboHalfMarksRange$4 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$4 = "\\u20d0-\\u20ff", rsComboRange$4 = rsComboMarksRange$4 + reComboHalfMarksRange$4 + rsComboSymbolsRange$4, rsDingbatRange$1 = "\\u2700-\\u27bf", rsLowerRange$1 = "a-z\\xdf-\\xf6\\xf8-\\xff", rsMathOpRange$1 = "\\xac\\xb1\\xd7\\xf7", rsNonCharRange$1 = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", rsPunctuationRange$1 = "\\u2000-\\u206f", rsSpaceRange$1 = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", rsUpperRange$1 = "A-Z\\xc0-\\xd6\\xd8-\\xde", rsVarRange$3 = "\\ufe0e\\ufe0f", rsBreakRange$1 = rsMathOpRange$1 + rsNonCharRange$1 + rsPunctuationRange$1 + rsSpaceRange$1;
var rsApos$3 = "['’]", rsBreak$1 = "[" + rsBreakRange$1 + "]", rsCombo$3 = "[" + rsComboRange$4 + "]", rsDigits$1 = "\\d+", rsDingbat$1 = "[" + rsDingbatRange$1 + "]", rsLower$1 = "[" + rsLowerRange$1 + "]", rsMisc$1 = "[^" + rsAstralRange$3 + rsBreakRange$1 + rsDigits$1 + rsDingbatRange$1 + rsLowerRange$1 + rsUpperRange$1 + "]", rsFitz$2 = "\\ud83c[\\udffb-\\udfff]", rsModifier$2 = "(?:" + rsCombo$3 + "|" + rsFitz$2 + ")", rsNonAstral$2 = "[^" + rsAstralRange$3 + "]", rsRegional$2 = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair$2 = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsUpper$1 = "[" + rsUpperRange$1 + "]", rsZWJ$3 = "\\u200d";
var rsMiscLower$1 = "(?:" + rsLower$1 + "|" + rsMisc$1 + ")", rsMiscUpper$1 = "(?:" + rsUpper$1 + "|" + rsMisc$1 + ")", rsOptContrLower$1 = "(?:" + rsApos$3 + "(?:d|ll|m|re|s|t|ve))?", rsOptContrUpper$1 = "(?:" + rsApos$3 + "(?:D|LL|M|RE|S|T|VE))?", reOptMod$2 = rsModifier$2 + "?", rsOptVar$2 = "[" + rsVarRange$3 + "]?", rsOptJoin$2 = "(?:" + rsZWJ$3 + "(?:" + [rsNonAstral$2, rsRegional$2, rsSurrPair$2].join("|") + ")" + rsOptVar$2 + reOptMod$2 + ")*", rsOrdLower$1 = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", rsOrdUpper$1 = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", rsSeq$2 = rsOptVar$2 + reOptMod$2 + rsOptJoin$2, rsEmoji$1 = "(?:" + [rsDingbat$1, rsRegional$2, rsSurrPair$2].join("|") + ")" + rsSeq$2;
var reUnicodeWord$1 = RegExp([
  rsUpper$1 + "?" + rsLower$1 + "+" + rsOptContrLower$1 + "(?=" + [rsBreak$1, rsUpper$1, "$"].join("|") + ")",
  rsMiscUpper$1 + "+" + rsOptContrUpper$1 + "(?=" + [rsBreak$1, rsUpper$1 + rsMiscLower$1, "$"].join("|") + ")",
  rsUpper$1 + "?" + rsMiscLower$1 + "+" + rsOptContrLower$1,
  rsUpper$1 + "+" + rsOptContrUpper$1,
  rsOrdUpper$1,
  rsOrdLower$1,
  rsDigits$1,
  rsEmoji$1
].join("|"), "g");
function unicodeWords$2(string) {
  return string.match(reUnicodeWord$1) || [];
}
var _unicodeWords = unicodeWords$2;
var asciiWords$1 = _asciiWords, hasUnicodeWord$1 = _hasUnicodeWord, toString$1 = toString_1, unicodeWords$1 = _unicodeWords;
function words$2(string, pattern, guard) {
  string = toString$1(string);
  pattern = guard ? void 0 : pattern;
  if (pattern === void 0) {
    return hasUnicodeWord$1(string) ? unicodeWords$1(string) : asciiWords$1(string);
  }
  return string.match(pattern) || [];
}
var words_1 = words$2;
var arrayReduce$1 = _arrayReduce, deburr$1 = deburr_1, words$1 = words_1;
var rsApos$2 = "['’]";
var reApos$1 = RegExp(rsApos$2, "g");
function createCompounder$2(callback) {
  return function(string) {
    return arrayReduce$1(words$1(deburr$1(string).replace(reApos$1, "")), callback, "");
  };
}
var _createCompounder = createCompounder$2;
var createCompounder$1 = _createCompounder;
var snakeCase = createCompounder$1(function(result, word, index) {
  return result + (index ? "_" : "") + word.toLowerCase();
});
var snakeCase_1 = snakeCase;
const _snakeCase = /* @__PURE__ */ getDefaultExportFromCjs(snakeCase_1);
var MapCache$1 = _MapCache;
var FUNC_ERROR_TEXT = "Expected a function";
function memoize(func, resolver) {
  if (typeof func != "function" || resolver != null && typeof resolver != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  var memoized = function() {
    var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache2 = memoized.cache;
    if (cache2.has(key)) {
      return cache2.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache2.set(key, result) || cache2;
    return result;
  };
  memoized.cache = new (memoize.Cache || MapCache$1)();
  return memoized;
}
memoize.Cache = MapCache$1;
var memoize_1 = memoize;
const _memoize = /* @__PURE__ */ getDefaultExportFromCjs(memoize_1);
var version = "2.10.16";
function toArray(array) {
  return Array.isArray(array) ? array : [array];
}
var nextTick = typeof window.__zone_symbol__setTimeout === "function" ? window.__zone_symbol__setTimeout : function(cb) {
  return Promise.resolve().then(cb);
};
var globalTaskPending = false;
function nextTask(cb) {
  if (!globalTaskPending) {
    globalTaskPending = true;
    nextTick(function() {
      cb();
      globalTaskPending = false;
    });
  }
}
var fnRegexCheckCacheMap = /* @__PURE__ */ new WeakMap();
function isConstructable(fn) {
  var hasPrototypeMethods = fn.prototype && fn.prototype.constructor === fn && Object.getOwnPropertyNames(fn.prototype).length > 1;
  if (hasPrototypeMethods)
    return true;
  if (fnRegexCheckCacheMap.has(fn)) {
    return fnRegexCheckCacheMap.get(fn);
  }
  var constructable = hasPrototypeMethods;
  if (!constructable) {
    var fnString = fn.toString();
    var constructableFunctionRegex = /^function\b\s[A-Z].*/;
    var classRegex = /^class\b/;
    constructable = constructableFunctionRegex.test(fnString) || classRegex.test(fnString);
  }
  fnRegexCheckCacheMap.set(fn, constructable);
  return constructable;
}
var callableFnCacheMap = /* @__PURE__ */ new WeakMap();
function isCallable(fn) {
  if (callableFnCacheMap.has(fn)) {
    return true;
  }
  var callable = typeof fn === "function" && fn instanceof Function;
  if (callable) {
    callableFnCacheMap.set(fn, callable);
  }
  return callable;
}
var frozenPropertyCacheMap = /* @__PURE__ */ new WeakMap();
function isPropertyFrozen(target, p2) {
  if (!target || !p2) {
    return false;
  }
  var targetPropertiesFromCache = frozenPropertyCacheMap.get(target) || {};
  if (targetPropertiesFromCache[p2]) {
    return targetPropertiesFromCache[p2];
  }
  var propertyDescriptor = Object.getOwnPropertyDescriptor(target, p2);
  var frozen = Boolean(propertyDescriptor && propertyDescriptor.configurable === false && (propertyDescriptor.writable === false || propertyDescriptor.get && !propertyDescriptor.set));
  targetPropertiesFromCache[p2] = frozen;
  frozenPropertyCacheMap.set(target, targetPropertiesFromCache);
  return frozen;
}
var boundedMap = /* @__PURE__ */ new WeakMap();
function isBoundedFunction(fn) {
  if (boundedMap.has(fn)) {
    return boundedMap.get(fn);
  }
  var bounded = fn.name.indexOf("bound ") === 0 && !fn.hasOwnProperty("prototype");
  boundedMap.set(fn, bounded);
  return bounded;
}
var isConstDestructAssignmentSupported = _memoize(function() {
  try {
    new Function("const { a } = { a: 1 }")();
    return true;
  } catch (e2) {
    return false;
  }
});
var qiankunHeadTagName = "qiankun-head";
function getDefaultTplWrapper(name2, sandboxOpts) {
  return function(tpl) {
    var tplWithSimulatedHead;
    if (tpl.indexOf("<head>") !== -1) {
      tplWithSimulatedHead = tpl.replace("<head>", "<".concat(qiankunHeadTagName, ">")).replace("</head>", "</".concat(qiankunHeadTagName, ">"));
    } else {
      tplWithSimulatedHead = "<".concat(qiankunHeadTagName, "></").concat(qiankunHeadTagName, ">").concat(tpl);
    }
    return '<div id="'.concat(getWrapperId(name2), '" data-name="').concat(name2, '" data-version="').concat(version, '" data-sandbox-cfg=').concat(JSON.stringify(sandboxOpts), ">").concat(tplWithSimulatedHead, "</div>");
  };
}
function getWrapperId(name2) {
  return "__qiankun_microapp_wrapper_for_".concat(_snakeCase(name2), "__");
}
var nativeGlobal = new Function("return this")();
var nativeDocument = new Function("return document")();
var getGlobalAppInstanceMap = _once(function() {
  if (!nativeGlobal.hasOwnProperty("__app_instance_name_map__")) {
    Object.defineProperty(nativeGlobal, "__app_instance_name_map__", {
      enumerable: false,
      configurable: true,
      writable: true,
      value: {}
    });
  }
  return nativeGlobal.__app_instance_name_map__;
});
var genAppInstanceIdByName = function genAppInstanceIdByName2(appName) {
  var globalAppInstanceMap = getGlobalAppInstanceMap();
  if (!(appName in globalAppInstanceMap)) {
    nativeGlobal.__app_instance_name_map__[appName] = 0;
    return appName;
  }
  globalAppInstanceMap[appName]++;
  return "".concat(appName, "_").concat(globalAppInstanceMap[appName]);
};
function validateExportLifecycle(exports) {
  var _ref = exports !== null && exports !== void 0 ? exports : {}, bootstrap = _ref.bootstrap, mount = _ref.mount, unmount = _ref.unmount;
  return _isFunction(bootstrap) && _isFunction(mount) && _isFunction(unmount);
}
var Deferred = /* @__PURE__ */ _createClass(function Deferred2() {
  var _this = this;
  _classCallCheck(this, Deferred2);
  this.promise = void 0;
  this.resolve = void 0;
  this.reject = void 0;
  this.promise = new Promise(function(resolve, reject) {
    _this.resolve = resolve;
    _this.reject = reject;
  });
});
function isEnableScopedCSS(sandbox) {
  if (_typeof$1(sandbox) !== "object") {
    return false;
  }
  if (sandbox.strictStyleIsolation) {
    return false;
  }
  return !!sandbox.experimentalStyleIsolation;
}
function getXPathForElement(el, document2) {
  if (!document2.body.contains(el)) {
    return void 0;
  }
  var xpath = "";
  var pos;
  var tmpEle;
  var element = el;
  while (element !== document2.documentElement) {
    pos = 0;
    tmpEle = element;
    while (tmpEle) {
      if (tmpEle.nodeType === 1 && tmpEle.nodeName === element.nodeName) {
        pos += 1;
      }
      tmpEle = tmpEle.previousSibling;
    }
    xpath = "*[name()='".concat(element.nodeName, "'][").concat(pos, "]/").concat(xpath);
    element = element.parentNode;
  }
  xpath = "/*[name()='".concat(document2.documentElement.nodeName, "']/").concat(xpath);
  xpath = xpath.replace(/\/$/, "");
  return xpath;
}
function getContainer$1(container) {
  return typeof container === "string" ? document.querySelector(container) : container;
}
function getContainerXPath(container) {
  if (container) {
    var containerElement = getContainer$1(container);
    if (containerElement) {
      return getXPathForElement(containerElement, document);
    }
  }
  return void 0;
}
var currentRunningApp = null;
function getCurrentRunningApp() {
  return currentRunningApp;
}
function setCurrentRunningApp(appInstance) {
  currentRunningApp = appInstance;
}
function clearCurrentRunningApp() {
  currentRunningApp = null;
}
var functionBoundedValueMap = /* @__PURE__ */ new WeakMap();
function rebindTarget2Fn(target, fn) {
  if (isCallable(fn) && !isBoundedFunction(fn) && !isConstructable(fn)) {
    var cachedBoundFunction = functionBoundedValueMap.get(fn);
    if (cachedBoundFunction) {
      return cachedBoundFunction;
    }
    var boundValue = Function.prototype.bind.call(fn, target);
    Object.getOwnPropertyNames(fn).forEach(function(key) {
      if (!boundValue.hasOwnProperty(key)) {
        Object.defineProperty(boundValue, key, Object.getOwnPropertyDescriptor(fn, key));
      }
    });
    if (fn.hasOwnProperty("prototype") && !boundValue.hasOwnProperty("prototype")) {
      Object.defineProperty(boundValue, "prototype", {
        value: fn.prototype,
        enumerable: false,
        writable: true
      });
    }
    if (typeof fn.toString === "function") {
      var valueHasInstanceToString = fn.hasOwnProperty("toString") && !boundValue.hasOwnProperty("toString");
      var boundValueHasPrototypeToString = boundValue.toString === Function.prototype.toString;
      if (valueHasInstanceToString || boundValueHasPrototypeToString) {
        var originToStringDescriptor = Object.getOwnPropertyDescriptor(valueHasInstanceToString ? fn : Function.prototype, "toString");
        Object.defineProperty(boundValue, "toString", Object.assign({}, originToStringDescriptor, (originToStringDescriptor === null || originToStringDescriptor === void 0 ? void 0 : originToStringDescriptor.get) ? null : {
          value: function value() {
            return fn.toString();
          }
        }));
      }
    }
    functionBoundedValueMap.set(fn, boundValue);
    return boundValue;
  }
  return fn;
}
function isPropConfigurable(target, prop) {
  var descriptor = Object.getOwnPropertyDescriptor(target, prop);
  return descriptor ? descriptor.configurable : true;
}
var LegacySandbox = /* @__PURE__ */ function() {
  function LegacySandbox2(name2) {
    var _this = this;
    var globalContext = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : window;
    _classCallCheck(this, LegacySandbox2);
    this.addedPropsMapInSandbox = /* @__PURE__ */ new Map();
    this.modifiedPropsOriginalValueMapInSandbox = /* @__PURE__ */ new Map();
    this.currentUpdatedPropsValueMap = /* @__PURE__ */ new Map();
    this.name = void 0;
    this.proxy = void 0;
    this.globalContext = void 0;
    this.type = void 0;
    this.sandboxRunning = true;
    this.latestSetProp = null;
    this.name = name2;
    this.globalContext = globalContext;
    this.type = SandBoxType.LegacyProxy;
    var addedPropsMapInSandbox = this.addedPropsMapInSandbox, modifiedPropsOriginalValueMapInSandbox = this.modifiedPropsOriginalValueMapInSandbox, currentUpdatedPropsValueMap = this.currentUpdatedPropsValueMap;
    var rawWindow = globalContext;
    var fakeWindow = /* @__PURE__ */ Object.create(null);
    var setTrap = function setTrap2(p2, value, originalValue) {
      var sync2Window = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : true;
      if (_this.sandboxRunning) {
        if (!rawWindow.hasOwnProperty(p2)) {
          addedPropsMapInSandbox.set(p2, value);
        } else if (!modifiedPropsOriginalValueMapInSandbox.has(p2)) {
          modifiedPropsOriginalValueMapInSandbox.set(p2, originalValue);
        }
        currentUpdatedPropsValueMap.set(p2, value);
        if (sync2Window) {
          rawWindow[p2] = value;
        }
        _this.latestSetProp = p2;
        return true;
      }
      return true;
    };
    var proxy = new Proxy(fakeWindow, {
      set: function set(_2, p2, value) {
        var originalValue = rawWindow[p2];
        return setTrap(p2, value, originalValue, true);
      },
      get: function get(_2, p2) {
        if (p2 === "top" || p2 === "parent" || p2 === "window" || p2 === "self") {
          return proxy;
        }
        var value = rawWindow[p2];
        return rebindTarget2Fn(rawWindow, value);
      },
      // trap in operator
      // see https://github.com/styled-components/styled-components/blob/master/packages/styled-components/src/constants.js#L12
      has: function has(_2, p2) {
        return p2 in rawWindow;
      },
      getOwnPropertyDescriptor: function getOwnPropertyDescriptor(_2, p2) {
        var descriptor = Object.getOwnPropertyDescriptor(rawWindow, p2);
        if (descriptor && !descriptor.configurable) {
          descriptor.configurable = true;
        }
        return descriptor;
      },
      defineProperty: function defineProperty2(_2, p2, attributes) {
        var originalValue = rawWindow[p2];
        var done = Reflect.defineProperty(rawWindow, p2, attributes);
        var value = rawWindow[p2];
        setTrap(p2, value, originalValue, false);
        return done;
      }
    });
    this.proxy = proxy;
  }
  _createClass(LegacySandbox2, [{
    key: "setWindowProp",
    value: function setWindowProp(prop, value, toDelete) {
      if (value === void 0 && toDelete) {
        delete this.globalContext[prop];
      } else if (isPropConfigurable(this.globalContext, prop) && _typeof$1(prop) !== "symbol") {
        Object.defineProperty(this.globalContext, prop, {
          writable: true,
          configurable: true
        });
        this.globalContext[prop] = value;
      }
    }
  }, {
    key: "active",
    value: function active() {
      var _this2 = this;
      if (!this.sandboxRunning) {
        this.currentUpdatedPropsValueMap.forEach(function(v2, p2) {
          return _this2.setWindowProp(p2, v2);
        });
      }
      this.sandboxRunning = true;
    }
  }, {
    key: "inactive",
    value: function inactive() {
      var _this3 = this;
      this.modifiedPropsOriginalValueMapInSandbox.forEach(function(v2, p2) {
        return _this3.setWindowProp(p2, v2);
      });
      this.addedPropsMapInSandbox.forEach(function(_2, p2) {
        return _this3.setWindowProp(p2, void 0, true);
      });
      this.sandboxRunning = false;
    }
  }, {
    key: "patchDocument",
    value: function patchDocument2() {
    }
  }]);
  return LegacySandbox2;
}();
var RuleType;
(function(RuleType2) {
  RuleType2[RuleType2["STYLE"] = 1] = "STYLE";
  RuleType2[RuleType2["MEDIA"] = 4] = "MEDIA";
  RuleType2[RuleType2["SUPPORTS"] = 12] = "SUPPORTS";
  RuleType2[RuleType2["IMPORT"] = 3] = "IMPORT";
  RuleType2[RuleType2["FONT_FACE"] = 5] = "FONT_FACE";
  RuleType2[RuleType2["PAGE"] = 6] = "PAGE";
  RuleType2[RuleType2["KEYFRAMES"] = 7] = "KEYFRAMES";
  RuleType2[RuleType2["KEYFRAME"] = 8] = "KEYFRAME";
})(RuleType || (RuleType = {}));
var arrayify = function arrayify2(list) {
  return [].slice.call(list, 0);
};
var rawDocumentBodyAppend = HTMLBodyElement.prototype.appendChild;
var ScopedCSS = /* @__PURE__ */ function() {
  function ScopedCSS2() {
    _classCallCheck(this, ScopedCSS2);
    this.sheet = void 0;
    this.swapNode = void 0;
    var styleNode = document.createElement("style");
    rawDocumentBodyAppend.call(document.body, styleNode);
    this.swapNode = styleNode;
    this.sheet = styleNode.sheet;
    this.sheet.disabled = true;
  }
  _createClass(ScopedCSS2, [{
    key: "process",
    value: function process3(styleNode) {
      var _this = this;
      var prefix = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "";
      if (ScopedCSS2.ModifiedTag in styleNode) {
        return;
      }
      if (styleNode.textContent !== "") {
        var _sheet$cssRules;
        var textNode = document.createTextNode(styleNode.textContent || "");
        this.swapNode.appendChild(textNode);
        var sheet = this.swapNode.sheet;
        var rules = arrayify((_sheet$cssRules = sheet === null || sheet === void 0 ? void 0 : sheet.cssRules) !== null && _sheet$cssRules !== void 0 ? _sheet$cssRules : []);
        var css = this.rewrite(rules, prefix);
        styleNode.textContent = css;
        this.swapNode.removeChild(textNode);
        styleNode[ScopedCSS2.ModifiedTag] = true;
        return;
      }
      var mutator = new MutationObserver(function(mutations) {
        for (var i2 = 0; i2 < mutations.length; i2 += 1) {
          var mutation = mutations[i2];
          if (ScopedCSS2.ModifiedTag in styleNode) {
            return;
          }
          if (mutation.type === "childList") {
            var _sheet$cssRules2;
            var _sheet = styleNode.sheet;
            var _rules = arrayify((_sheet$cssRules2 = _sheet === null || _sheet === void 0 ? void 0 : _sheet.cssRules) !== null && _sheet$cssRules2 !== void 0 ? _sheet$cssRules2 : []);
            var _css = _this.rewrite(_rules, prefix);
            styleNode.textContent = _css;
            styleNode[ScopedCSS2.ModifiedTag] = true;
          }
        }
      });
      mutator.observe(styleNode, {
        childList: true
      });
    }
  }, {
    key: "rewrite",
    value: function rewrite(rules) {
      var _this2 = this;
      var prefix = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "";
      var css = "";
      rules.forEach(function(rule) {
        switch (rule.type) {
          case RuleType.STYLE:
            css += _this2.ruleStyle(rule, prefix);
            break;
          case RuleType.MEDIA:
            css += _this2.ruleMedia(rule, prefix);
            break;
          case RuleType.SUPPORTS:
            css += _this2.ruleSupport(rule, prefix);
            break;
          default:
            if (typeof rule.cssText === "string") {
              css += "".concat(rule.cssText);
            }
            break;
        }
      });
      return css;
    }
    // handle case:
    // .app-main {}
    // html, body {}
    // eslint-disable-next-line class-methods-use-this
  }, {
    key: "ruleStyle",
    value: function ruleStyle(rule, prefix) {
      var rootSelectorRE = /((?:[^\w\-.#]|^)(body|html|:root))/gm;
      var rootCombinationRE = /(html[^\w{[]+)/gm;
      var selector = rule.selectorText.trim();
      var cssText = "";
      if (typeof rule.cssText === "string") {
        cssText = rule.cssText;
      }
      if (selector === "html" || selector === "body" || selector === ":root") {
        return cssText.replace(rootSelectorRE, prefix);
      }
      if (rootCombinationRE.test(rule.selectorText)) {
        var siblingSelectorRE = /(html[^\w{]+)(\+|~)/gm;
        if (!siblingSelectorRE.test(rule.selectorText)) {
          cssText = cssText.replace(rootCombinationRE, "");
        }
      }
      cssText = cssText.replace(/^[\s\S]+{/, function(selectors) {
        return selectors.replace(/(^|,\n?)([^,]+)/g, function(item, p2, s2) {
          if (rootSelectorRE.test(item)) {
            return item.replace(rootSelectorRE, function(m2) {
              var whitePrevChars = [",", "("];
              if (m2 && whitePrevChars.includes(m2[0])) {
                return "".concat(m2[0]).concat(prefix);
              }
              return prefix;
            });
          }
          return "".concat(p2).concat(prefix, " ").concat(s2.replace(/^ */, ""));
        });
      });
      return cssText;
    }
    // handle case:
    // @media screen and (max-width: 300px) {}
  }, {
    key: "ruleMedia",
    value: function ruleMedia(rule, prefix) {
      var css = this.rewrite(arrayify(rule.cssRules), prefix);
      return "@media ".concat(rule.conditionText || rule.media.mediaText, " {").concat(css, "}");
    }
    // handle case:
    // @supports (display: grid) {}
  }, {
    key: "ruleSupport",
    value: function ruleSupport(rule, prefix) {
      var css = this.rewrite(arrayify(rule.cssRules), prefix);
      return "@supports ".concat(rule.conditionText || rule.cssText.split("{")[0], " {").concat(css, "}");
    }
  }]);
  return ScopedCSS2;
}();
ScopedCSS.ModifiedTag = "Symbol(style-modified-qiankun)";
var processor;
var QiankunCSSRewriteAttr = "data-qiankun";
var process = function process2(appWrapper, stylesheetElement, appName) {
  if (!processor) {
    processor = new ScopedCSS();
  }
  if (stylesheetElement.tagName === "LINK") {
    console.warn("Feature: sandbox.experimentalStyleIsolation is not support for link element yet.");
  }
  var mountDOM = appWrapper;
  if (!mountDOM) {
    return;
  }
  var tag = (mountDOM.tagName || "").toLowerCase();
  if (tag && stylesheetElement.tagName === "STYLE") {
    var prefix = "".concat(tag, "[").concat(QiankunCSSRewriteAttr, '="').concat(appName, '"]');
    processor.process(stylesheetElement, prefix);
  }
};
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function setCacheAdd$1(value) {
  this.__data__.set(value, HASH_UNDEFINED);
  return this;
}
var _setCacheAdd = setCacheAdd$1;
function setCacheHas$1(value) {
  return this.__data__.has(value);
}
var _setCacheHas = setCacheHas$1;
var MapCache = _MapCache, setCacheAdd = _setCacheAdd, setCacheHas = _setCacheHas;
function SetCache$1(values) {
  var index = -1, length = values == null ? 0 : values.length;
  this.__data__ = new MapCache();
  while (++index < length) {
    this.add(values[index]);
  }
}
SetCache$1.prototype.add = SetCache$1.prototype.push = setCacheAdd;
SetCache$1.prototype.has = setCacheHas;
var _SetCache = SetCache$1;
function baseFindIndex$1(array, predicate, fromIndex, fromRight) {
  var length = array.length, index = fromIndex + (fromRight ? 1 : -1);
  while (fromRight ? index-- : ++index < length) {
    if (predicate(array[index], index, array)) {
      return index;
    }
  }
  return -1;
}
var _baseFindIndex = baseFindIndex$1;
function baseIsNaN$1(value) {
  return value !== value;
}
var _baseIsNaN = baseIsNaN$1;
function strictIndexOf$1(array, value, fromIndex) {
  var index = fromIndex - 1, length = array.length;
  while (++index < length) {
    if (array[index] === value) {
      return index;
    }
  }
  return -1;
}
var _strictIndexOf = strictIndexOf$1;
var baseFindIndex = _baseFindIndex, baseIsNaN = _baseIsNaN, strictIndexOf = _strictIndexOf;
function baseIndexOf$1(array, value, fromIndex) {
  return value === value ? strictIndexOf(array, value, fromIndex) : baseFindIndex(array, baseIsNaN, fromIndex);
}
var _baseIndexOf = baseIndexOf$1;
var baseIndexOf = _baseIndexOf;
function arrayIncludes$1(array, value) {
  var length = array == null ? 0 : array.length;
  return !!length && baseIndexOf(array, value, 0) > -1;
}
var _arrayIncludes = arrayIncludes$1;
function arrayIncludesWith$1(array, value, comparator) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    if (comparator(value, array[index])) {
      return true;
    }
  }
  return false;
}
var _arrayIncludesWith = arrayIncludesWith$1;
function cacheHas$1(cache2, key) {
  return cache2.has(key);
}
var _cacheHas = cacheHas$1;
var SetCache = _SetCache, arrayIncludes = _arrayIncludes, arrayIncludesWith = _arrayIncludesWith, arrayMap$1 = _arrayMap, baseUnary = _baseUnary, cacheHas = _cacheHas;
var LARGE_ARRAY_SIZE = 200;
function baseDifference$1(array, values, iteratee, comparator) {
  var index = -1, includes = arrayIncludes, isCommon = true, length = array.length, result = [], valuesLength = values.length;
  if (!length) {
    return result;
  }
  if (iteratee) {
    values = arrayMap$1(values, baseUnary(iteratee));
  }
  if (comparator) {
    includes = arrayIncludesWith;
    isCommon = false;
  } else if (values.length >= LARGE_ARRAY_SIZE) {
    includes = cacheHas;
    isCommon = false;
    values = new SetCache(values);
  }
  outer:
    while (++index < length) {
      var value = array[index], computed = iteratee == null ? value : iteratee(value);
      value = comparator || value !== 0 ? value : 0;
      if (isCommon && computed === computed) {
        var valuesIndex = valuesLength;
        while (valuesIndex--) {
          if (values[valuesIndex] === computed) {
            continue outer;
          }
        }
        result.push(value);
      } else if (!includes(values, computed, comparator)) {
        result.push(value);
      }
    }
  return result;
}
var _baseDifference = baseDifference$1;
var baseDifference = _baseDifference, baseRest = _baseRest, isArrayLikeObject = isArrayLikeObject_1;
var without = baseRest(function(array, values) {
  return isArrayLikeObject(array) ? baseDifference(array, values) : [];
});
var without_1 = without;
const _without = /* @__PURE__ */ getDefaultExportFromCjs(without_1);
var globalsInES2015 = window.Proxy ? ["Array", "ArrayBuffer", "Boolean", "constructor", "DataView", "Date", "decodeURI", "decodeURIComponent", "encodeURI", "encodeURIComponent", "Error", "escape", "eval", "EvalError", "Float32Array", "Float64Array", "Function", "hasOwnProperty", "Infinity", "Int16Array", "Int32Array", "Int8Array", "isFinite", "isNaN", "isPrototypeOf", "JSON", "Map", "Math", "NaN", "Number", "Object", "parseFloat", "parseInt", "Promise", "propertyIsEnumerable", "Proxy", "RangeError", "ReferenceError", "Reflect", "RegExp", "Set", "String", "Symbol", "SyntaxError", "toLocaleString", "toString", "TypeError", "Uint16Array", "Uint32Array", "Uint8Array", "Uint8ClampedArray", "undefined", "unescape", "URIError", "valueOf", "WeakMap", "WeakSet"].filter(function(p2) {
  return (
    /* just keep the available properties in current window context */
    p2 in window
  );
}) : [];
var globalsInBrowser = ["AbortController", "AbortSignal", "addEventListener", "alert", "AnalyserNode", "Animation", "AnimationEffectReadOnly", "AnimationEffectTiming", "AnimationEffectTimingReadOnly", "AnimationEvent", "AnimationPlaybackEvent", "AnimationTimeline", "applicationCache", "ApplicationCache", "ApplicationCacheErrorEvent", "atob", "Attr", "Audio", "AudioBuffer", "AudioBufferSourceNode", "AudioContext", "AudioDestinationNode", "AudioListener", "AudioNode", "AudioParam", "AudioProcessingEvent", "AudioScheduledSourceNode", "AudioWorkletGlobalScope", "AudioWorkletNode", "AudioWorkletProcessor", "BarProp", "BaseAudioContext", "BatteryManager", "BeforeUnloadEvent", "BiquadFilterNode", "Blob", "BlobEvent", "blur", "BroadcastChannel", "btoa", "BudgetService", "ByteLengthQueuingStrategy", "Cache", "caches", "CacheStorage", "cancelAnimationFrame", "cancelIdleCallback", "CanvasCaptureMediaStreamTrack", "CanvasGradient", "CanvasPattern", "CanvasRenderingContext2D", "ChannelMergerNode", "ChannelSplitterNode", "CharacterData", "clearInterval", "clearTimeout", "clientInformation", "ClipboardEvent", "ClipboardItem", "close", "closed", "CloseEvent", "Comment", "CompositionEvent", "CompressionStream", "confirm", "console", "ConstantSourceNode", "ConvolverNode", "CountQueuingStrategy", "createImageBitmap", "Credential", "CredentialsContainer", "crypto", "Crypto", "CryptoKey", "CSS", "CSSConditionRule", "CSSFontFaceRule", "CSSGroupingRule", "CSSImportRule", "CSSKeyframeRule", "CSSKeyframesRule", "CSSMatrixComponent", "CSSMediaRule", "CSSNamespaceRule", "CSSPageRule", "CSSPerspective", "CSSRotate", "CSSRule", "CSSRuleList", "CSSScale", "CSSSkew", "CSSSkewX", "CSSSkewY", "CSSStyleDeclaration", "CSSStyleRule", "CSSStyleSheet", "CSSSupportsRule", "CSSTransformValue", "CSSTranslate", "CustomElementRegistry", "customElements", "CustomEvent", "DataTransfer", "DataTransferItem", "DataTransferItemList", "DecompressionStream", "defaultstatus", "defaultStatus", "DelayNode", "DeviceMotionEvent", "DeviceOrientationEvent", "devicePixelRatio", "dispatchEvent", "document", "Document", "DocumentFragment", "DocumentType", "DOMError", "DOMException", "DOMImplementation", "DOMMatrix", "DOMMatrixReadOnly", "DOMParser", "DOMPoint", "DOMPointReadOnly", "DOMQuad", "DOMRect", "DOMRectList", "DOMRectReadOnly", "DOMStringList", "DOMStringMap", "DOMTokenList", "DragEvent", "DynamicsCompressorNode", "Element", "ErrorEvent", "event", "Event", "EventSource", "EventTarget", "external", "fetch", "File", "FileList", "FileReader", "find", "focus", "FocusEvent", "FontFace", "FontFaceSetLoadEvent", "FormData", "FormDataEvent", "frameElement", "frames", "GainNode", "Gamepad", "GamepadButton", "GamepadEvent", "getComputedStyle", "getSelection", "HashChangeEvent", "Headers", "history", "History", "HTMLAllCollection", "HTMLAnchorElement", "HTMLAreaElement", "HTMLAudioElement", "HTMLBaseElement", "HTMLBodyElement", "HTMLBRElement", "HTMLButtonElement", "HTMLCanvasElement", "HTMLCollection", "HTMLContentElement", "HTMLDataElement", "HTMLDataListElement", "HTMLDetailsElement", "HTMLDialogElement", "HTMLDirectoryElement", "HTMLDivElement", "HTMLDListElement", "HTMLDocument", "HTMLElement", "HTMLEmbedElement", "HTMLFieldSetElement", "HTMLFontElement", "HTMLFormControlsCollection", "HTMLFormElement", "HTMLFrameElement", "HTMLFrameSetElement", "HTMLHeadElement", "HTMLHeadingElement", "HTMLHRElement", "HTMLHtmlElement", "HTMLIFrameElement", "HTMLImageElement", "HTMLInputElement", "HTMLLabelElement", "HTMLLegendElement", "HTMLLIElement", "HTMLLinkElement", "HTMLMapElement", "HTMLMarqueeElement", "HTMLMediaElement", "HTMLMenuElement", "HTMLMetaElement", "HTMLMeterElement", "HTMLModElement", "HTMLObjectElement", "HTMLOListElement", "HTMLOptGroupElement", "HTMLOptionElement", "HTMLOptionsCollection", "HTMLOutputElement", "HTMLParagraphElement", "HTMLParamElement", "HTMLPictureElement", "HTMLPreElement", "HTMLProgressElement", "HTMLQuoteElement", "HTMLScriptElement", "HTMLSelectElement", "HTMLShadowElement", "HTMLSlotElement", "HTMLSourceElement", "HTMLSpanElement", "HTMLStyleElement", "HTMLTableCaptionElement", "HTMLTableCellElement", "HTMLTableColElement", "HTMLTableElement", "HTMLTableRowElement", "HTMLTableSectionElement", "HTMLTemplateElement", "HTMLTextAreaElement", "HTMLTimeElement", "HTMLTitleElement", "HTMLTrackElement", "HTMLUListElement", "HTMLUnknownElement", "HTMLVideoElement", "IDBCursor", "IDBCursorWithValue", "IDBDatabase", "IDBFactory", "IDBIndex", "IDBKeyRange", "IDBObjectStore", "IDBOpenDBRequest", "IDBRequest", "IDBTransaction", "IDBVersionChangeEvent", "IdleDeadline", "IIRFilterNode", "Image", "ImageBitmap", "ImageBitmapRenderingContext", "ImageCapture", "ImageData", "indexedDB", "innerHeight", "innerWidth", "InputEvent", "IntersectionObserver", "IntersectionObserverEntry", "Intl", "isSecureContext", "KeyboardEvent", "KeyframeEffect", "KeyframeEffectReadOnly", "length", "localStorage", "location", "Location", "locationbar", "matchMedia", "MediaDeviceInfo", "MediaDevices", "MediaElementAudioSourceNode", "MediaEncryptedEvent", "MediaError", "MediaKeyMessageEvent", "MediaKeySession", "MediaKeyStatusMap", "MediaKeySystemAccess", "MediaList", "MediaMetadata", "MediaQueryList", "MediaQueryListEvent", "MediaRecorder", "MediaSettingsRange", "MediaSource", "MediaStream", "MediaStreamAudioDestinationNode", "MediaStreamAudioSourceNode", "MediaStreamConstraints", "MediaStreamEvent", "MediaStreamTrack", "MediaStreamTrackEvent", "menubar", "MessageChannel", "MessageEvent", "MessagePort", "MIDIAccess", "MIDIConnectionEvent", "MIDIInput", "MIDIInputMap", "MIDIMessageEvent", "MIDIOutput", "MIDIOutputMap", "MIDIPort", "MimeType", "MimeTypeArray", "MouseEvent", "moveBy", "moveTo", "MutationEvent", "MutationObserver", "MutationRecord", "name", "NamedNodeMap", "NavigationPreloadManager", "navigator", "Navigator", "NavigatorUAData", "NetworkInformation", "Node", "NodeFilter", "NodeIterator", "NodeList", "Notification", "OfflineAudioCompletionEvent", "OfflineAudioContext", "offscreenBuffering", "OffscreenCanvas", "OffscreenCanvasRenderingContext2D", "onabort", "onafterprint", "onanimationend", "onanimationiteration", "onanimationstart", "onappinstalled", "onauxclick", "onbeforeinstallprompt", "onbeforeprint", "onbeforeunload", "onblur", "oncancel", "oncanplay", "oncanplaythrough", "onchange", "onclick", "onclose", "oncontextmenu", "oncuechange", "ondblclick", "ondevicemotion", "ondeviceorientation", "ondeviceorientationabsolute", "ondrag", "ondragend", "ondragenter", "ondragleave", "ondragover", "ondragstart", "ondrop", "ondurationchange", "onemptied", "onended", "onerror", "onfocus", "ongotpointercapture", "onhashchange", "oninput", "oninvalid", "onkeydown", "onkeypress", "onkeyup", "onlanguagechange", "onload", "onloadeddata", "onloadedmetadata", "onloadstart", "onlostpointercapture", "onmessage", "onmessageerror", "onmousedown", "onmouseenter", "onmouseleave", "onmousemove", "onmouseout", "onmouseover", "onmouseup", "onmousewheel", "onoffline", "ononline", "onpagehide", "onpageshow", "onpause", "onplay", "onplaying", "onpointercancel", "onpointerdown", "onpointerenter", "onpointerleave", "onpointermove", "onpointerout", "onpointerover", "onpointerup", "onpopstate", "onprogress", "onratechange", "onrejectionhandled", "onreset", "onresize", "onscroll", "onsearch", "onseeked", "onseeking", "onselect", "onstalled", "onstorage", "onsubmit", "onsuspend", "ontimeupdate", "ontoggle", "ontransitionend", "onunhandledrejection", "onunload", "onvolumechange", "onwaiting", "onwheel", "open", "openDatabase", "opener", "Option", "origin", "OscillatorNode", "outerHeight", "outerWidth", "OverconstrainedError", "PageTransitionEvent", "pageXOffset", "pageYOffset", "PannerNode", "parent", "Path2D", "PaymentAddress", "PaymentRequest", "PaymentRequestUpdateEvent", "PaymentResponse", "performance", "Performance", "PerformanceEntry", "PerformanceLongTaskTiming", "PerformanceMark", "PerformanceMeasure", "PerformanceNavigation", "PerformanceNavigationTiming", "PerformanceObserver", "PerformanceObserverEntryList", "PerformancePaintTiming", "PerformanceResourceTiming", "PerformanceTiming", "PeriodicWave", "Permissions", "PermissionStatus", "personalbar", "PhotoCapabilities", "Plugin", "PluginArray", "PointerEvent", "PopStateEvent", "postMessage", "Presentation", "PresentationAvailability", "PresentationConnection", "PresentationConnectionAvailableEvent", "PresentationConnectionCloseEvent", "PresentationConnectionList", "PresentationReceiver", "PresentationRequest", "print", "ProcessingInstruction", "ProgressEvent", "PromiseRejectionEvent", "prompt", "PushManager", "PushSubscription", "PushSubscriptionOptions", "queueMicrotask", "RadioNodeList", "Range", "ReadableByteStreamController", "ReadableStream", "ReadableStreamBYOBReader", "ReadableStreamBYOBRequest", "ReadableStreamDefaultController", "ReadableStreamDefaultReader", "registerProcessor", "RemotePlayback", "removeEventListener", "reportError", "Request", "requestAnimationFrame", "requestIdleCallback", "resizeBy", "ResizeObserver", "ResizeObserverEntry", "resizeTo", "Response", "RTCCertificate", "RTCDataChannel", "RTCDataChannelEvent", "RTCDtlsTransport", "RTCIceCandidate", "RTCIceGatherer", "RTCIceTransport", "RTCPeerConnection", "RTCPeerConnectionIceEvent", "RTCRtpContributingSource", "RTCRtpReceiver", "RTCRtpSender", "RTCSctpTransport", "RTCSessionDescription", "RTCStatsReport", "RTCTrackEvent", "screen", "Screen", "screenLeft", "ScreenOrientation", "screenTop", "screenX", "screenY", "ScriptProcessorNode", "scroll", "scrollbars", "scrollBy", "scrollTo", "scrollX", "scrollY", "SecurityPolicyViolationEvent", "Selection", "self", "ServiceWorker", "ServiceWorkerContainer", "ServiceWorkerRegistration", "sessionStorage", "setInterval", "setTimeout", "ShadowRoot", "SharedWorker", "SourceBuffer", "SourceBufferList", "speechSynthesis", "SpeechSynthesisEvent", "SpeechSynthesisUtterance", "StaticRange", "status", "statusbar", "StereoPannerNode", "stop", "Storage", "StorageEvent", "StorageManager", "structuredClone", "styleMedia", "StyleSheet", "StyleSheetList", "SubmitEvent", "SubtleCrypto", "SVGAElement", "SVGAngle", "SVGAnimatedAngle", "SVGAnimatedBoolean", "SVGAnimatedEnumeration", "SVGAnimatedInteger", "SVGAnimatedLength", "SVGAnimatedLengthList", "SVGAnimatedNumber", "SVGAnimatedNumberList", "SVGAnimatedPreserveAspectRatio", "SVGAnimatedRect", "SVGAnimatedString", "SVGAnimatedTransformList", "SVGAnimateElement", "SVGAnimateMotionElement", "SVGAnimateTransformElement", "SVGAnimationElement", "SVGCircleElement", "SVGClipPathElement", "SVGComponentTransferFunctionElement", "SVGDefsElement", "SVGDescElement", "SVGDiscardElement", "SVGElement", "SVGEllipseElement", "SVGFEBlendElement", "SVGFEColorMatrixElement", "SVGFEComponentTransferElement", "SVGFECompositeElement", "SVGFEConvolveMatrixElement", "SVGFEDiffuseLightingElement", "SVGFEDisplacementMapElement", "SVGFEDistantLightElement", "SVGFEDropShadowElement", "SVGFEFloodElement", "SVGFEFuncAElement", "SVGFEFuncBElement", "SVGFEFuncGElement", "SVGFEFuncRElement", "SVGFEGaussianBlurElement", "SVGFEImageElement", "SVGFEMergeElement", "SVGFEMergeNodeElement", "SVGFEMorphologyElement", "SVGFEOffsetElement", "SVGFEPointLightElement", "SVGFESpecularLightingElement", "SVGFESpotLightElement", "SVGFETileElement", "SVGFETurbulenceElement", "SVGFilterElement", "SVGForeignObjectElement", "SVGGElement", "SVGGeometryElement", "SVGGradientElement", "SVGGraphicsElement", "SVGImageElement", "SVGLength", "SVGLengthList", "SVGLinearGradientElement", "SVGLineElement", "SVGMarkerElement", "SVGMaskElement", "SVGMatrix", "SVGMetadataElement", "SVGMPathElement", "SVGNumber", "SVGNumberList", "SVGPathElement", "SVGPatternElement", "SVGPoint", "SVGPointList", "SVGPolygonElement", "SVGPolylineElement", "SVGPreserveAspectRatio", "SVGRadialGradientElement", "SVGRect", "SVGRectElement", "SVGScriptElement", "SVGSetElement", "SVGStopElement", "SVGStringList", "SVGStyleElement", "SVGSVGElement", "SVGSwitchElement", "SVGSymbolElement", "SVGTextContentElement", "SVGTextElement", "SVGTextPathElement", "SVGTextPositioningElement", "SVGTitleElement", "SVGTransform", "SVGTransformList", "SVGTSpanElement", "SVGUnitTypes", "SVGUseElement", "SVGViewElement", "TaskAttributionTiming", "Text", "TextDecoder", "TextDecoderStream", "TextEncoder", "TextEncoderStream", "TextEvent", "TextMetrics", "TextTrack", "TextTrackCue", "TextTrackCueList", "TextTrackList", "TimeRanges", "ToggleEvent", "toolbar", "top", "Touch", "TouchEvent", "TouchList", "TrackEvent", "TransformStream", "TransformStreamDefaultController", "TransitionEvent", "TreeWalker", "UIEvent", "URL", "URLSearchParams", "ValidityState", "visualViewport", "VisualViewport", "VTTCue", "WaveShaperNode", "WebAssembly", "WebGL2RenderingContext", "WebGLActiveInfo", "WebGLBuffer", "WebGLContextEvent", "WebGLFramebuffer", "WebGLProgram", "WebGLQuery", "WebGLRenderbuffer", "WebGLRenderingContext", "WebGLSampler", "WebGLShader", "WebGLShaderPrecisionFormat", "WebGLSync", "WebGLTexture", "WebGLTransformFeedback", "WebGLUniformLocation", "WebGLVertexArrayObject", "WebSocket", "WheelEvent", "window", "Window", "Worker", "WritableStream", "WritableStreamDefaultController", "WritableStreamDefaultWriter", "XMLDocument", "XMLHttpRequest", "XMLHttpRequestEventTarget", "XMLHttpRequestUpload", "XMLSerializer", "XPathEvaluator", "XPathExpression", "XPathResult", "XSLTProcessor"];
function uniq(array) {
  return array.filter(function filter(element) {
    return element in this ? false : this[element] = true;
  }, /* @__PURE__ */ Object.create(null));
}
function array2TruthyObject(array) {
  return array.reduce(
    function(acc, key) {
      acc[key] = true;
      return acc;
    },
    // Notes that babel will transpile spread operator to Object.assign({}, ...args), which will keep the prototype of Object in merged object,
    // while this result used as Symbol.unscopables, it will make properties in Object.prototype always be escaped from proxy sandbox as unscopables check will look up prototype chain as well,
    // such as hasOwnProperty, toString, valueOf, etc.
    // so we should use Object.create(null) to create a pure object without prototype chain here.
    /* @__PURE__ */ Object.create(null)
  );
}
var cachedGlobalsInBrowser = array2TruthyObject(globalsInBrowser.concat([]));
function isNativeGlobalProp(prop) {
  return prop in cachedGlobalsInBrowser;
}
var rawObjectDefineProperty = Object.defineProperty;
var variableWhiteListInDev = window.__QIANKUN_DEVELOPMENT__ ? [
  // for react hot reload
  // see https://github.com/facebook/create-react-app/blob/66bf7dfc43350249e2f09d138a20840dae8a0a4a/packages/react-error-overlay/src/index.js#L180
  "__REACT_ERROR_OVERLAY_GLOBAL_HOOK__",
  // for react development event issue, see https://github.com/umijs/qiankun/issues/2375
  "event"
] : [];
var globalVariableWhiteList = [
  // FIXME System.js used a indirect call with eval, which would make it scope escape to global
  // To make System.js works well, we write it back to global window temporary
  // see https://github.com/systemjs/systemjs/blob/457f5b7e8af6bd120a279540477552a07d5de086/src/evaluate.js#L106
  "System",
  // see https://github.com/systemjs/systemjs/blob/457f5b7e8af6bd120a279540477552a07d5de086/src/instantiate.js#L357
  "__cjsWrapper"
].concat(variableWhiteListInDev);
var inTest = false;
var accessingSpiedGlobals = ["document", "top", "parent", "eval"];
var overwrittenGlobals = ["window", "self", "globalThis", "hasOwnProperty"].concat([]);
var cachedGlobals = Array.from(new Set(_without.apply(void 0, [globalsInES2015.concat(overwrittenGlobals).concat("requestAnimationFrame")].concat(accessingSpiedGlobals))));
var cachedGlobalObjects = array2TruthyObject(cachedGlobals);
var unscopables = array2TruthyObject(_without.apply(void 0, [cachedGlobals].concat(_toConsumableArray(accessingSpiedGlobals.concat(overwrittenGlobals)))));
var useNativeWindowForBindingsProps = /* @__PURE__ */ new Map([["fetch", true], ["mockDomAPIInBlackList", false]]);
function createFakeWindow(globalContext, speedy) {
  var propertiesWithGetter = /* @__PURE__ */ new Map();
  var fakeWindow = {};
  Object.getOwnPropertyNames(globalContext).filter(function(p2) {
    var descriptor = Object.getOwnPropertyDescriptor(globalContext, p2);
    return !(descriptor === null || descriptor === void 0 ? void 0 : descriptor.configurable);
  }).forEach(function(p2) {
    var descriptor = Object.getOwnPropertyDescriptor(globalContext, p2);
    if (descriptor) {
      var hasGetter = Object.prototype.hasOwnProperty.call(descriptor, "get");
      if (p2 === "top" || p2 === "parent" || p2 === "self" || p2 === "window" || // window.document is overwriting in speedy mode
      p2 === "document" && speedy || inTest) {
        descriptor.configurable = true;
        if (!hasGetter) {
          descriptor.writable = true;
        }
      }
      if (hasGetter)
        propertiesWithGetter.set(p2, true);
      rawObjectDefineProperty(fakeWindow, p2, Object.freeze(descriptor));
    }
  });
  return {
    fakeWindow,
    propertiesWithGetter
  };
}
var activeSandboxCount = 0;
var ProxySandbox = /* @__PURE__ */ function() {
  function ProxySandbox2(name2) {
    var _this = this;
    var globalContext = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : window;
    var opts = arguments.length > 2 ? arguments[2] : void 0;
    _classCallCheck(this, ProxySandbox2);
    this.updatedValueSet = /* @__PURE__ */ new Set();
    this.document = document;
    this.name = void 0;
    this.type = void 0;
    this.proxy = void 0;
    this.sandboxRunning = true;
    this.latestSetProp = null;
    this.globalWhitelistPrevDescriptor = {};
    this.globalContext = void 0;
    this.name = name2;
    this.globalContext = globalContext;
    this.type = SandBoxType.Proxy;
    var updatedValueSet = this.updatedValueSet;
    var _ref = opts || {}, speedy = _ref.speedy;
    var _createFakeWindow = createFakeWindow(globalContext, !!speedy), fakeWindow = _createFakeWindow.fakeWindow, propertiesWithGetter = _createFakeWindow.propertiesWithGetter;
    var descriptorTargetMap = /* @__PURE__ */ new Map();
    var proxy = new Proxy(fakeWindow, {
      set: function set(target, p2, value) {
        if (_this.sandboxRunning) {
          _this.registerRunningApp(name2, proxy);
          if (typeof p2 === "string" && globalVariableWhiteList.indexOf(p2) !== -1) {
            _this.globalWhitelistPrevDescriptor[p2] = Object.getOwnPropertyDescriptor(globalContext, p2);
            globalContext[p2] = value;
          } else {
            if (!target.hasOwnProperty(p2) && globalContext.hasOwnProperty(p2)) {
              var descriptor = Object.getOwnPropertyDescriptor(globalContext, p2);
              var writable = descriptor.writable, configurable = descriptor.configurable, enumerable = descriptor.enumerable, set2 = descriptor.set;
              if (writable || set2) {
                Object.defineProperty(target, p2, {
                  configurable,
                  enumerable,
                  writable: true,
                  value
                });
              }
            } else {
              target[p2] = value;
            }
          }
          updatedValueSet.add(p2);
          _this.latestSetProp = p2;
          return true;
        }
        return true;
      },
      get: function get(target, p2) {
        _this.registerRunningApp(name2, proxy);
        if (p2 === Symbol.unscopables)
          return unscopables;
        if (p2 === "window" || p2 === "self") {
          return proxy;
        }
        if (p2 === "globalThis" || inTest) {
          return proxy;
        }
        if (p2 === "top" || p2 === "parent" || inTest) {
          if (globalContext === globalContext.parent) {
            return proxy;
          }
          return globalContext[p2];
        }
        if (p2 === "hasOwnProperty") {
          return hasOwnProperty2;
        }
        if (p2 === "document") {
          return _this.document;
        }
        if (p2 === "eval") {
          return eval;
        }
        if (p2 === "string" && globalVariableWhiteList.indexOf(p2) !== -1) {
          return globalContext[p2];
        }
        var actualTarget = propertiesWithGetter.has(p2) ? globalContext : p2 in target ? target : globalContext;
        var value = actualTarget[p2];
        if (isPropertyFrozen(actualTarget, p2)) {
          return value;
        }
        if (!isNativeGlobalProp(p2) && !useNativeWindowForBindingsProps.has(p2)) {
          return value;
        }
        var boundTarget = useNativeWindowForBindingsProps.get(p2) ? nativeGlobal : globalContext;
        return rebindTarget2Fn(boundTarget, value);
      },
      // trap in operator
      // see https://github.com/styled-components/styled-components/blob/master/packages/styled-components/src/constants.js#L12
      has: function has(target, p2) {
        return p2 in cachedGlobalObjects || p2 in target || p2 in globalContext;
      },
      getOwnPropertyDescriptor: function getOwnPropertyDescriptor(target, p2) {
        if (target.hasOwnProperty(p2)) {
          var descriptor = Object.getOwnPropertyDescriptor(target, p2);
          descriptorTargetMap.set(p2, "target");
          return descriptor;
        }
        if (globalContext.hasOwnProperty(p2)) {
          var _descriptor = Object.getOwnPropertyDescriptor(globalContext, p2);
          descriptorTargetMap.set(p2, "globalContext");
          if (_descriptor && !_descriptor.configurable) {
            _descriptor.configurable = true;
          }
          return _descriptor;
        }
        return void 0;
      },
      // trap to support iterator with sandbox
      ownKeys: function ownKeys2(target) {
        return uniq(Reflect.ownKeys(globalContext).concat(Reflect.ownKeys(target)));
      },
      defineProperty: function defineProperty2(target, p2, attributes) {
        var from = descriptorTargetMap.get(p2);
        switch (from) {
          case "globalContext":
            return Reflect.defineProperty(globalContext, p2, attributes);
          default:
            return Reflect.defineProperty(target, p2, attributes);
        }
      },
      deleteProperty: function deleteProperty(target, p2) {
        _this.registerRunningApp(name2, proxy);
        if (target.hasOwnProperty(p2)) {
          delete target[p2];
          updatedValueSet.delete(p2);
          return true;
        }
        return true;
      },
      // makes sure `window instanceof Window` returns truthy in micro app
      getPrototypeOf: function getPrototypeOf() {
        return Reflect.getPrototypeOf(globalContext);
      }
    });
    this.proxy = proxy;
    activeSandboxCount++;
    function hasOwnProperty2(key) {
      if (this !== proxy && this !== null && _typeof$1(this) === "object") {
        return Object.prototype.hasOwnProperty.call(this, key);
      }
      return fakeWindow.hasOwnProperty(key) || globalContext.hasOwnProperty(key);
    }
  }
  _createClass(ProxySandbox2, [{
    key: "active",
    value: function active() {
      if (!this.sandboxRunning)
        activeSandboxCount++;
      this.sandboxRunning = true;
    }
  }, {
    key: "inactive",
    value: function inactive() {
      var _this2 = this;
      if (--activeSandboxCount === 0) {
        Object.keys(this.globalWhitelistPrevDescriptor).forEach(function(p2) {
          var descriptor = _this2.globalWhitelistPrevDescriptor[p2];
          if (descriptor) {
            Object.defineProperty(_this2.globalContext, p2, descriptor);
          } else {
            delete _this2.globalContext[p2];
          }
        });
      }
      this.sandboxRunning = false;
    }
  }, {
    key: "patchDocument",
    value: function patchDocument2(doc) {
      this.document = doc;
    }
  }, {
    key: "registerRunningApp",
    value: function registerRunningApp(name2, proxy) {
      if (this.sandboxRunning) {
        var currentRunningApp2 = getCurrentRunningApp();
        if (!currentRunningApp2 || currentRunningApp2.name !== name2) {
          setCurrentRunningApp({
            name: name2,
            window: proxy
          });
        }
        nextTask(clearCurrentRunningApp);
      }
    }
  }]);
  return ProxySandbox2;
}();
var SCRIPT_TAG_NAME = "SCRIPT";
var LINK_TAG_NAME = "LINK";
var STYLE_TAG_NAME = "STYLE";
var styleElementTargetSymbol = Symbol("target");
var styleElementRefNodeNo = Symbol("refNodeNo");
var overwrittenSymbol = Symbol("qiankun-overwritten");
var getAppWrapperHeadElement = function getAppWrapperHeadElement2(appWrapper) {
  return appWrapper.querySelector(qiankunHeadTagName);
};
function isExecutableScriptType(script) {
  return !script.type || ["text/javascript", "module", "application/javascript", "text/ecmascript", "application/ecmascript"].indexOf(script.type) !== -1;
}
function isHijackingTag(tagName) {
  return (tagName === null || tagName === void 0 ? void 0 : tagName.toUpperCase()) === LINK_TAG_NAME || (tagName === null || tagName === void 0 ? void 0 : tagName.toUpperCase()) === STYLE_TAG_NAME || (tagName === null || tagName === void 0 ? void 0 : tagName.toUpperCase()) === SCRIPT_TAG_NAME;
}
function isStyledComponentsLike(element) {
  var _element$sheet, _getStyledElementCSSR;
  return !element.textContent && (((_element$sheet = element.sheet) === null || _element$sheet === void 0 ? void 0 : _element$sheet.cssRules.length) || ((_getStyledElementCSSR = getStyledElementCSSRules(element)) === null || _getStyledElementCSSR === void 0 ? void 0 : _getStyledElementCSSR.length));
}
var appsCounterMap = /* @__PURE__ */ new Map();
function calcAppCount(appName, calcType, status) {
  var appCount = appsCounterMap.get(appName) || {
    bootstrappingPatchCount: 0,
    mountingPatchCount: 0
  };
  switch (calcType) {
    case "increase":
      appCount["".concat(status, "PatchCount")] += 1;
      break;
    case "decrease":
      if (appCount["".concat(status, "PatchCount")] > 0) {
        appCount["".concat(status, "PatchCount")] -= 1;
      }
      break;
  }
  appsCounterMap.set(appName, appCount);
}
function isAllAppsUnmounted() {
  return Array.from(appsCounterMap.entries()).every(function(_ref) {
    var _ref2 = _slicedToArray(_ref, 2), _ref2$ = _ref2[1], bpc = _ref2$.bootstrappingPatchCount, mpc = _ref2$.mountingPatchCount;
    return bpc === 0 && mpc === 0;
  });
}
function patchCustomEvent(e2, elementGetter) {
  Object.defineProperties(e2, {
    srcElement: {
      get: elementGetter
    },
    target: {
      get: elementGetter
    }
  });
  return e2;
}
function manualInvokeElementOnLoad(element) {
  var loadEvent = new CustomEvent("load");
  var patchedEvent = patchCustomEvent(loadEvent, function() {
    return element;
  });
  if (_isFunction(element.onload)) {
    element.onload(patchedEvent);
  } else {
    element.dispatchEvent(patchedEvent);
  }
}
function manualInvokeElementOnError(element) {
  var errorEvent = new CustomEvent("error");
  var patchedEvent = patchCustomEvent(errorEvent, function() {
    return element;
  });
  if (_isFunction(element.onerror)) {
    element.onerror(patchedEvent);
  } else {
    element.dispatchEvent(patchedEvent);
  }
}
function convertLinkAsStyle(element, postProcess) {
  var fetchFn = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : fetch;
  var styleElement = document.createElement("style");
  var href = element.href;
  styleElement.dataset.qiankunHref = href;
  fetchFn(href).then(function(res) {
    return res.text();
  }).then(function(styleContext) {
    styleElement.appendChild(document.createTextNode(styleContext));
    postProcess(styleElement);
    manualInvokeElementOnLoad(element);
  }).catch(function() {
    return manualInvokeElementOnError(element);
  });
  return styleElement;
}
var defineNonEnumerableProperty = function defineNonEnumerableProperty2(target, key, value) {
  Object.defineProperty(target, key, {
    configurable: true,
    enumerable: false,
    writable: true,
    value
  });
};
var styledComponentCSSRulesMap = /* @__PURE__ */ new WeakMap();
var dynamicScriptAttachedCommentMap = /* @__PURE__ */ new WeakMap();
var dynamicLinkAttachedInlineStyleMap = /* @__PURE__ */ new WeakMap();
function recordStyledComponentsCSSRules(styleElements) {
  styleElements.forEach(function(styleElement) {
    if (styleElement instanceof HTMLStyleElement && isStyledComponentsLike(styleElement)) {
      if (styleElement.sheet) {
        styledComponentCSSRulesMap.set(styleElement, styleElement.sheet.cssRules);
      }
    }
  });
}
function getStyledElementCSSRules(styledElement) {
  return styledComponentCSSRulesMap.get(styledElement);
}
function getOverwrittenAppendChildOrInsertBefore(opts) {
  function appendChildOrInsertBefore(newChild) {
    var refChild = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
    var element = newChild;
    var rawDOMAppendOrInsertBefore = opts.rawDOMAppendOrInsertBefore, isInvokedByMicroApp = opts.isInvokedByMicroApp, containerConfigGetter = opts.containerConfigGetter, _opts$target = opts.target, target = _opts$target === void 0 ? "body" : _opts$target;
    if (!isHijackingTag(element.tagName) || !isInvokedByMicroApp(element)) {
      return rawDOMAppendOrInsertBefore.call(this, element, refChild);
    }
    if (element.tagName) {
      var containerConfig = containerConfigGetter(element);
      var appName = containerConfig.appName, appWrapperGetter = containerConfig.appWrapperGetter, proxy = containerConfig.proxy, strictGlobal = containerConfig.strictGlobal, speedySandbox = containerConfig.speedySandbox, dynamicStyleSheetElements = containerConfig.dynamicStyleSheetElements, scopedCSS = containerConfig.scopedCSS, excludeAssetFilter = containerConfig.excludeAssetFilter;
      switch (element.tagName) {
        case LINK_TAG_NAME:
        case STYLE_TAG_NAME: {
          var stylesheetElement = newChild;
          var _stylesheetElement = stylesheetElement, href = _stylesheetElement.href;
          if (excludeAssetFilter && href && excludeAssetFilter(href)) {
            return rawDOMAppendOrInsertBefore.call(this, element, refChild);
          }
          defineNonEnumerableProperty(stylesheetElement, styleElementTargetSymbol, target);
          var appWrapper = appWrapperGetter();
          if (scopedCSS) {
            var _element$tagName;
            var linkElementUsingStylesheet = ((_element$tagName = element.tagName) === null || _element$tagName === void 0 ? void 0 : _element$tagName.toUpperCase()) === LINK_TAG_NAME && element.rel === "stylesheet" && element.href;
            if (linkElementUsingStylesheet) {
              var _frameworkConfigurati;
              var _fetch = typeof frameworkConfiguration.fetch === "function" ? frameworkConfiguration.fetch : (_frameworkConfigurati = frameworkConfiguration.fetch) === null || _frameworkConfigurati === void 0 ? void 0 : _frameworkConfigurati.fn;
              stylesheetElement = convertLinkAsStyle(element, function(styleElement) {
                return process(appWrapper, styleElement, appName);
              }, _fetch);
              dynamicLinkAttachedInlineStyleMap.set(element, stylesheetElement);
            } else {
              process(appWrapper, stylesheetElement, appName);
            }
          }
          var mountDOM = target === "head" ? getAppWrapperHeadElement(appWrapper) : appWrapper;
          var referenceNode = mountDOM.contains(refChild) ? refChild : null;
          var refNo;
          if (referenceNode) {
            refNo = Array.from(mountDOM.childNodes).indexOf(referenceNode);
          }
          var result = rawDOMAppendOrInsertBefore.call(mountDOM, stylesheetElement, referenceNode);
          if (typeof refNo === "number" && refNo !== -1) {
            defineNonEnumerableProperty(stylesheetElement, styleElementRefNodeNo, refNo);
          }
          dynamicStyleSheetElements.push(stylesheetElement);
          return result;
        }
        case SCRIPT_TAG_NAME: {
          var _element = element, src = _element.src, text = _element.text;
          if (excludeAssetFilter && src && excludeAssetFilter(src) || !isExecutableScriptType(element)) {
            return rawDOMAppendOrInsertBefore.call(this, element, refChild);
          }
          var _appWrapper = appWrapperGetter();
          var _mountDOM = target === "head" ? getAppWrapperHeadElement(_appWrapper) : _appWrapper;
          var _fetch2 = frameworkConfiguration.fetch;
          var _referenceNode = _mountDOM.contains(refChild) ? refChild : null;
          var scopedGlobalVariables = speedySandbox ? cachedGlobals : [];
          if (src) {
            var isRedfinedCurrentScript = false;
            _execScripts(null, [src], proxy, {
              fetch: _fetch2,
              strictGlobal,
              scopedGlobalVariables,
              beforeExec: function beforeExec() {
                var isCurrentScriptConfigurable = function isCurrentScriptConfigurable2() {
                  var descriptor = Object.getOwnPropertyDescriptor(document, "currentScript");
                  return !descriptor || descriptor.configurable;
                };
                if (isCurrentScriptConfigurable()) {
                  Object.defineProperty(document, "currentScript", {
                    get: function get() {
                      return element;
                    },
                    configurable: true
                  });
                  isRedfinedCurrentScript = true;
                }
              },
              success: function success() {
                manualInvokeElementOnLoad(element);
                if (isRedfinedCurrentScript) {
                  delete document.currentScript;
                }
                element = null;
              },
              error: function error2() {
                manualInvokeElementOnError(element);
                if (isRedfinedCurrentScript) {
                  delete document.currentScript;
                }
                element = null;
              }
            });
            var dynamicScriptCommentElement = document.createComment("dynamic script ".concat(src, " replaced by qiankun"));
            dynamicScriptAttachedCommentMap.set(element, dynamicScriptCommentElement);
            return rawDOMAppendOrInsertBefore.call(_mountDOM, dynamicScriptCommentElement, _referenceNode);
          }
          _execScripts(null, ["<script>".concat(text, "<\/script>")], proxy, {
            strictGlobal,
            scopedGlobalVariables
          });
          var dynamicInlineScriptCommentElement = document.createComment("dynamic inline script replaced by qiankun");
          dynamicScriptAttachedCommentMap.set(element, dynamicInlineScriptCommentElement);
          return rawDOMAppendOrInsertBefore.call(_mountDOM, dynamicInlineScriptCommentElement, _referenceNode);
        }
      }
    }
    return rawDOMAppendOrInsertBefore.call(this, element, refChild);
  }
  appendChildOrInsertBefore[overwrittenSymbol] = true;
  return appendChildOrInsertBefore;
}
function getNewRemoveChild(rawRemoveChild2, containerConfigGetter, target, isInvokedByMicroApp) {
  function removeChild(child) {
    var tagName = child.tagName;
    if (!isHijackingTag(tagName) || !isInvokedByMicroApp(child))
      return rawRemoveChild2.call(this, child);
    try {
      var attachedElement;
      var _containerConfigGette = containerConfigGetter(child), appWrapperGetter = _containerConfigGette.appWrapperGetter, dynamicStyleSheetElements = _containerConfigGette.dynamicStyleSheetElements;
      switch (tagName) {
        case STYLE_TAG_NAME:
        case LINK_TAG_NAME: {
          attachedElement = dynamicLinkAttachedInlineStyleMap.get(child) || child;
          var dynamicElementIndex = dynamicStyleSheetElements.indexOf(attachedElement);
          if (dynamicElementIndex !== -1) {
            dynamicStyleSheetElements.splice(dynamicElementIndex, 1);
          }
          break;
        }
        case SCRIPT_TAG_NAME: {
          attachedElement = dynamicScriptAttachedCommentMap.get(child) || child;
          break;
        }
        default: {
          attachedElement = child;
        }
      }
      var appWrapper = appWrapperGetter();
      var container = target === "head" ? getAppWrapperHeadElement(appWrapper) : appWrapper;
      if (container.contains(attachedElement)) {
        return rawRemoveChild2.call(attachedElement.parentNode, attachedElement);
      }
    } catch (e2) {
      console.warn(e2);
    }
    return rawRemoveChild2.call(this, child);
  }
  removeChild[overwrittenSymbol] = true;
  return removeChild;
}
function patchHTMLDynamicAppendPrototypeFunctions(isInvokedByMicroApp, containerConfigGetter) {
  var rawHeadAppendChild2 = HTMLHeadElement.prototype.appendChild;
  var rawBodyAppendChild = HTMLBodyElement.prototype.appendChild;
  var rawHeadInsertBefore2 = HTMLHeadElement.prototype.insertBefore;
  if (rawHeadAppendChild2[overwrittenSymbol] !== true && rawBodyAppendChild[overwrittenSymbol] !== true && rawHeadInsertBefore2[overwrittenSymbol] !== true) {
    HTMLHeadElement.prototype.appendChild = getOverwrittenAppendChildOrInsertBefore({
      rawDOMAppendOrInsertBefore: rawHeadAppendChild2,
      containerConfigGetter,
      isInvokedByMicroApp,
      target: "head"
    });
    HTMLBodyElement.prototype.appendChild = getOverwrittenAppendChildOrInsertBefore({
      rawDOMAppendOrInsertBefore: rawBodyAppendChild,
      containerConfigGetter,
      isInvokedByMicroApp,
      target: "body"
    });
    HTMLHeadElement.prototype.insertBefore = getOverwrittenAppendChildOrInsertBefore({
      rawDOMAppendOrInsertBefore: rawHeadInsertBefore2,
      containerConfigGetter,
      isInvokedByMicroApp,
      target: "head"
    });
  }
  var rawHeadRemoveChild = HTMLHeadElement.prototype.removeChild;
  var rawBodyRemoveChild = HTMLBodyElement.prototype.removeChild;
  if (rawHeadRemoveChild[overwrittenSymbol] !== true && rawBodyRemoveChild[overwrittenSymbol] !== true) {
    HTMLHeadElement.prototype.removeChild = getNewRemoveChild(rawHeadRemoveChild, containerConfigGetter, "head", isInvokedByMicroApp);
    HTMLBodyElement.prototype.removeChild = getNewRemoveChild(rawBodyRemoveChild, containerConfigGetter, "body", isInvokedByMicroApp);
  }
  return function unpatch() {
    HTMLHeadElement.prototype.appendChild = rawHeadAppendChild2;
    HTMLHeadElement.prototype.removeChild = rawHeadRemoveChild;
    HTMLBodyElement.prototype.appendChild = rawBodyAppendChild;
    HTMLBodyElement.prototype.removeChild = rawBodyRemoveChild;
    HTMLHeadElement.prototype.insertBefore = rawHeadInsertBefore2;
  };
}
function rebuildCSSRules(styleSheetElements, reAppendElement) {
  styleSheetElements.forEach(function(stylesheetElement) {
    var appendSuccess = reAppendElement(stylesheetElement);
    if (appendSuccess) {
      if (stylesheetElement instanceof HTMLStyleElement && isStyledComponentsLike(stylesheetElement)) {
        var cssRules = getStyledElementCSSRules(stylesheetElement);
        if (cssRules) {
          for (var i2 = 0; i2 < cssRules.length; i2++) {
            var cssRule = cssRules[i2];
            var cssStyleSheetElement = stylesheetElement.sheet;
            cssStyleSheetElement.insertRule(cssRule.cssText, cssStyleSheetElement.cssRules.length);
          }
        }
      }
    }
  });
}
function patchLooseSandbox(appName, appWrapperGetter, sandbox) {
  var mounting = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : true;
  var scopedCSS = arguments.length > 4 && arguments[4] !== void 0 ? arguments[4] : false;
  var excludeAssetFilter = arguments.length > 5 ? arguments[5] : void 0;
  var proxy = sandbox.proxy;
  var dynamicStyleSheetElements = [];
  var unpatchDynamicAppendPrototypeFunctions = patchHTMLDynamicAppendPrototypeFunctions(
    /*
      check if the currently specified application is active
      While we switch page from qiankun app to a normal react routing page, the normal one may load stylesheet dynamically while page rendering,
      but the url change listener must wait until the current call stack is flushed.
      This scenario may cause we record the stylesheet from react routing page dynamic injection,
      and remove them after the url change triggered and qiankun app is unmounting
      see https://github.com/ReactTraining/history/blob/master/modules/createHashHistory.js#L222-L230
     */
    function() {
      return bt(window.location).some(function(name2) {
        return name2 === appName;
      });
    },
    function() {
      return {
        appName,
        appWrapperGetter,
        proxy,
        strictGlobal: false,
        speedySandbox: false,
        scopedCSS,
        dynamicStyleSheetElements,
        excludeAssetFilter
      };
    }
  );
  if (!mounting)
    calcAppCount(appName, "increase", "bootstrapping");
  if (mounting)
    calcAppCount(appName, "increase", "mounting");
  return function free() {
    if (!mounting)
      calcAppCount(appName, "decrease", "bootstrapping");
    if (mounting)
      calcAppCount(appName, "decrease", "mounting");
    if (isAllAppsUnmounted())
      unpatchDynamicAppendPrototypeFunctions();
    recordStyledComponentsCSSRules(dynamicStyleSheetElements);
    return function rebuild() {
      rebuildCSSRules(dynamicStyleSheetElements, function(stylesheetElement) {
        var appWrapper = appWrapperGetter();
        if (!appWrapper.contains(stylesheetElement)) {
          document.head.appendChild.call(appWrapper, stylesheetElement);
          return true;
        }
        return false;
      });
      if (mounting) {
        dynamicStyleSheetElements = [];
      }
    };
  };
}
Object.defineProperty(nativeGlobal, "__proxyAttachContainerConfigMap__", {
  enumerable: false,
  writable: true
});
Object.defineProperty(nativeGlobal, "__currentLockingSandbox__", {
  enumerable: false,
  writable: true,
  configurable: true
});
var rawHeadAppendChild = HTMLHeadElement.prototype.appendChild;
var rawHeadInsertBefore = HTMLHeadElement.prototype.insertBefore;
nativeGlobal.__proxyAttachContainerConfigMap__ = nativeGlobal.__proxyAttachContainerConfigMap__ || /* @__PURE__ */ new WeakMap();
var proxyAttachContainerConfigMap = nativeGlobal.__proxyAttachContainerConfigMap__;
var elementAttachContainerConfigMap = /* @__PURE__ */ new WeakMap();
var docCreatePatchedMap = /* @__PURE__ */ new WeakMap();
var patchMap = /* @__PURE__ */ new WeakMap();
function patchDocument(cfg) {
  var sandbox = cfg.sandbox, speedy = cfg.speedy;
  var attachElementToProxy = function attachElementToProxy2(element, proxy) {
    var proxyContainerConfig = proxyAttachContainerConfigMap.get(proxy);
    if (proxyContainerConfig) {
      elementAttachContainerConfigMap.set(element, proxyContainerConfig);
    }
  };
  if (speedy) {
    var modifications = {};
    var proxyDocument = new Proxy(document, {
      /**
       * Read and write must be paired, otherwise the write operation will leak to the global
       */
      set: function set(target, p2, value) {
        switch (p2) {
          case "createElement": {
            modifications.createElement = value;
            break;
          }
          case "querySelector": {
            modifications.querySelector = value;
            break;
          }
          default:
            target[p2] = value;
            break;
        }
        return true;
      },
      get: function get(target, p2, receiver) {
        switch (p2) {
          case "createElement": {
            var targetCreateElement = modifications.createElement || target.createElement;
            return function createElement2() {
              if (!nativeGlobal.__currentLockingSandbox__) {
                nativeGlobal.__currentLockingSandbox__ = sandbox.name;
              }
              for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
              }
              var element = targetCreateElement.call.apply(targetCreateElement, [target].concat(args));
              if (nativeGlobal.__currentLockingSandbox__ === sandbox.name) {
                attachElementToProxy(element, sandbox.proxy);
                delete nativeGlobal.__currentLockingSandbox__;
              }
              return element;
            };
          }
          case "querySelector": {
            var targetQuerySelector = modifications.querySelector || target.querySelector;
            return function querySelector() {
              for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
                args[_key2] = arguments[_key2];
              }
              var selector = args[0];
              switch (selector) {
                case "head": {
                  var containerConfig = proxyAttachContainerConfigMap.get(sandbox.proxy);
                  if (containerConfig) {
                    var qiankunHead = getAppWrapperHeadElement(containerConfig.appWrapperGetter());
                    qiankunHead.appendChild = HTMLHeadElement.prototype.appendChild;
                    qiankunHead.insertBefore = HTMLHeadElement.prototype.insertBefore;
                    qiankunHead.removeChild = HTMLHeadElement.prototype.removeChild;
                    return qiankunHead;
                  }
                  break;
                }
              }
              return targetQuerySelector.call.apply(targetQuerySelector, [target].concat(args));
            };
          }
        }
        var value = target[p2];
        if (isCallable(value) && !isBoundedFunction(value)) {
          return function proxyFunction() {
            for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
              args[_key3] = arguments[_key3];
            }
            return value.call.apply(value, [target].concat(_toConsumableArray(args.map(function(arg) {
              return arg === receiver ? target : arg;
            }))));
          };
        }
        return value;
      }
    });
    sandbox.patchDocument(proxyDocument);
    var nativeMutationObserverObserveFn = MutationObserver.prototype.observe;
    if (!patchMap.has(nativeMutationObserverObserveFn)) {
      var observe = function observe2(target, options) {
        var realTarget = target instanceof Document ? nativeDocument : target;
        return nativeMutationObserverObserveFn.call(this, realTarget, options);
      };
      MutationObserver.prototype.observe = observe;
      patchMap.set(nativeMutationObserverObserveFn, observe);
    }
    var prevCompareDocumentPosition = Node.prototype.compareDocumentPosition;
    if (!patchMap.has(prevCompareDocumentPosition)) {
      Node.prototype.compareDocumentPosition = function compareDocumentPosition(node) {
        var realNode = node instanceof Document ? nativeDocument : node;
        return prevCompareDocumentPosition.call(this, realNode);
      };
      patchMap.set(prevCompareDocumentPosition, Node.prototype.compareDocumentPosition);
    }
    var parentNodeDescriptor = Object.getOwnPropertyDescriptor(Node.prototype, "parentNode");
    if (parentNodeDescriptor && !patchMap.has(parentNodeDescriptor)) {
      var parentNodeGetter = parentNodeDescriptor.get, configurable = parentNodeDescriptor.configurable;
      if (parentNodeGetter && configurable) {
        var patchedParentNodeDescriptor = _objectSpread2(_objectSpread2({}, parentNodeDescriptor), {}, {
          get: function get() {
            var parentNode = parentNodeGetter.call(this);
            if (parentNode instanceof Document) {
              var _getCurrentRunningApp;
              var proxy = (_getCurrentRunningApp = getCurrentRunningApp()) === null || _getCurrentRunningApp === void 0 ? void 0 : _getCurrentRunningApp.window;
              if (proxy) {
                return proxy.document;
              }
            }
            return parentNode;
          }
        });
        Object.defineProperty(Node.prototype, "parentNode", patchedParentNodeDescriptor);
        patchMap.set(parentNodeDescriptor, patchedParentNodeDescriptor);
      }
    }
    return function() {
      MutationObserver.prototype.observe = nativeMutationObserverObserveFn;
      patchMap.delete(nativeMutationObserverObserveFn);
      Node.prototype.compareDocumentPosition = prevCompareDocumentPosition;
      patchMap.delete(prevCompareDocumentPosition);
      if (parentNodeDescriptor) {
        Object.defineProperty(Node.prototype, "parentNode", parentNodeDescriptor);
        patchMap.delete(parentNodeDescriptor);
      }
    };
  }
  var docCreateElementFnBeforeOverwrite = docCreatePatchedMap.get(document.createElement);
  if (!docCreateElementFnBeforeOverwrite) {
    var rawDocumentCreateElement = document.createElement;
    Document.prototype.createElement = function createElement2(tagName, options) {
      var element = rawDocumentCreateElement.call(this, tagName, options);
      if (isHijackingTag(tagName)) {
        var _ref = getCurrentRunningApp() || {}, currentRunningSandboxProxy = _ref.window;
        if (currentRunningSandboxProxy) {
          attachElementToProxy(element, currentRunningSandboxProxy);
        }
      }
      return element;
    };
    if (document.hasOwnProperty("createElement")) {
      document.createElement = Document.prototype.createElement;
    }
    docCreatePatchedMap.set(Document.prototype.createElement, rawDocumentCreateElement);
  }
  return function unpatch() {
    if (docCreateElementFnBeforeOverwrite) {
      Document.prototype.createElement = docCreateElementFnBeforeOverwrite;
      document.createElement = docCreateElementFnBeforeOverwrite;
    }
  };
}
function patchStrictSandbox(appName, appWrapperGetter, sandbox) {
  var mounting = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : true;
  var scopedCSS = arguments.length > 4 && arguments[4] !== void 0 ? arguments[4] : false;
  var excludeAssetFilter = arguments.length > 5 ? arguments[5] : void 0;
  var speedySandbox = arguments.length > 6 && arguments[6] !== void 0 ? arguments[6] : false;
  var proxy = sandbox.proxy;
  var containerConfig = proxyAttachContainerConfigMap.get(proxy);
  if (!containerConfig) {
    containerConfig = {
      appName,
      proxy,
      appWrapperGetter,
      dynamicStyleSheetElements: [],
      strictGlobal: true,
      speedySandbox,
      excludeAssetFilter,
      scopedCSS
    };
    proxyAttachContainerConfigMap.set(proxy, containerConfig);
  }
  var _containerConfig = containerConfig, dynamicStyleSheetElements = _containerConfig.dynamicStyleSheetElements;
  var unpatchDynamicAppendPrototypeFunctions = patchHTMLDynamicAppendPrototypeFunctions(function(element) {
    return elementAttachContainerConfigMap.has(element);
  }, function(element) {
    return elementAttachContainerConfigMap.get(element);
  });
  var unpatchDocument = patchDocument({
    sandbox,
    speedy: speedySandbox
  });
  if (!mounting)
    calcAppCount(appName, "increase", "bootstrapping");
  if (mounting)
    calcAppCount(appName, "increase", "mounting");
  return function free() {
    if (!mounting)
      calcAppCount(appName, "decrease", "bootstrapping");
    if (mounting)
      calcAppCount(appName, "decrease", "mounting");
    if (isAllAppsUnmounted()) {
      unpatchDynamicAppendPrototypeFunctions();
      unpatchDocument();
    }
    recordStyledComponentsCSSRules(dynamicStyleSheetElements);
    return function rebuild() {
      rebuildCSSRules(dynamicStyleSheetElements, function(stylesheetElement) {
        var appWrapper = appWrapperGetter();
        if (!appWrapper.contains(stylesheetElement)) {
          var mountDom = stylesheetElement[styleElementTargetSymbol] === "head" ? getAppWrapperHeadElement(appWrapper) : appWrapper;
          var refNo = stylesheetElement[styleElementRefNodeNo];
          if (typeof refNo === "number" && refNo !== -1) {
            var refNode = mountDom.childNodes[refNo] || null;
            rawHeadInsertBefore.call(mountDom, stylesheetElement, refNode);
            return true;
          } else {
            rawHeadAppendChild.call(mountDom, stylesheetElement);
            return true;
          }
        }
        return false;
      });
    };
  };
}
function patch$2() {
  var rawHistoryListen = function rawHistoryListen2(_2) {
    return _noop;
  };
  var historyListeners = [];
  var historyUnListens = [];
  if (window.g_history && _isFunction(window.g_history.listen)) {
    rawHistoryListen = window.g_history.listen.bind(window.g_history);
    window.g_history.listen = function(listener) {
      historyListeners.push(listener);
      var unListen = rawHistoryListen(listener);
      historyUnListens.push(unListen);
      return function() {
        unListen();
        historyUnListens.splice(historyUnListens.indexOf(unListen), 1);
        historyListeners.splice(historyListeners.indexOf(listener), 1);
      };
    };
  }
  return function free() {
    var rebuild = _noop;
    if (historyListeners.length) {
      rebuild = function rebuild2() {
        historyListeners.forEach(function(listener) {
          return window.g_history.listen(listener);
        });
      };
    }
    historyUnListens.forEach(function(unListen) {
      return unListen();
    });
    if (window.g_history && _isFunction(window.g_history.listen)) {
      window.g_history.listen = rawHistoryListen;
    }
    return rebuild;
  };
}
var rawWindowInterval = window.setInterval;
var rawWindowClearInterval = window.clearInterval;
function patch$1(global2) {
  var intervals = [];
  global2.clearInterval = function(intervalId) {
    intervals = intervals.filter(function(id) {
      return id !== intervalId;
    });
    return rawWindowClearInterval.call(window, intervalId);
  };
  global2.setInterval = function(handler, timeout) {
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }
    var intervalId = rawWindowInterval.apply(void 0, [handler, timeout].concat(args));
    intervals = [].concat(_toConsumableArray(intervals), [intervalId]);
    return intervalId;
  };
  return function free() {
    intervals.forEach(function(id) {
      return global2.clearInterval(id);
    });
    global2.setInterval = rawWindowInterval;
    global2.clearInterval = rawWindowClearInterval;
    return _noop;
  };
}
var rawAddEventListener = window.addEventListener;
var rawRemoveEventListener = window.removeEventListener;
function patch(global2) {
  var listenerMap = /* @__PURE__ */ new Map();
  global2.addEventListener = function(type, listener, options) {
    var listeners = listenerMap.get(type) || [];
    listenerMap.set(type, [].concat(_toConsumableArray(listeners), [listener]));
    return rawAddEventListener.call(window, type, listener, options);
  };
  global2.removeEventListener = function(type, listener, options) {
    var storedTypeListeners = listenerMap.get(type);
    if (storedTypeListeners && storedTypeListeners.length && storedTypeListeners.indexOf(listener) !== -1) {
      storedTypeListeners.splice(storedTypeListeners.indexOf(listener), 1);
    }
    return rawRemoveEventListener.call(window, type, listener, options);
  };
  return function free() {
    listenerMap.forEach(function(listeners, type) {
      return _toConsumableArray(listeners).forEach(function(listener) {
        return global2.removeEventListener(type, listener);
      });
    });
    global2.addEventListener = rawAddEventListener;
    global2.removeEventListener = rawRemoveEventListener;
    return _noop;
  };
}
function patchAtMounting(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox) {
  var _patchersInSandbox$sa;
  var basePatchers = [function() {
    return patch$1(sandbox.proxy);
  }, function() {
    return patch(sandbox.proxy);
  }, function() {
    return patch$2();
  }];
  var patchersInSandbox = _defineProperty$1(_defineProperty$1(_defineProperty$1({}, SandBoxType.LegacyProxy, [].concat(basePatchers, [function() {
    return patchLooseSandbox(appName, elementGetter, sandbox, true, scopedCSS, excludeAssetFilter);
  }])), SandBoxType.Proxy, [].concat(basePatchers, [function() {
    return patchStrictSandbox(appName, elementGetter, sandbox, true, scopedCSS, excludeAssetFilter, speedySandBox);
  }])), SandBoxType.Snapshot, [].concat(basePatchers, [function() {
    return patchLooseSandbox(appName, elementGetter, sandbox, true, scopedCSS, excludeAssetFilter);
  }]));
  return (_patchersInSandbox$sa = patchersInSandbox[sandbox.type]) === null || _patchersInSandbox$sa === void 0 ? void 0 : _patchersInSandbox$sa.map(function(patch2) {
    return patch2();
  });
}
function patchAtBootstrapping(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox) {
  var _patchersInSandbox$sa2;
  var patchersInSandbox = _defineProperty$1(_defineProperty$1(_defineProperty$1({}, SandBoxType.LegacyProxy, [function() {
    return patchLooseSandbox(appName, elementGetter, sandbox, false, scopedCSS, excludeAssetFilter);
  }]), SandBoxType.Proxy, [function() {
    return patchStrictSandbox(appName, elementGetter, sandbox, false, scopedCSS, excludeAssetFilter, speedySandBox);
  }]), SandBoxType.Snapshot, [function() {
    return patchLooseSandbox(appName, elementGetter, sandbox, false, scopedCSS, excludeAssetFilter);
  }]);
  return (_patchersInSandbox$sa2 = patchersInSandbox[sandbox.type]) === null || _patchersInSandbox$sa2 === void 0 ? void 0 : _patchersInSandbox$sa2.map(function(patch2) {
    return patch2();
  });
}
function iter(obj, callbackFn) {
  for (var prop in obj) {
    if (obj.hasOwnProperty(prop) || prop === "clearInterval") {
      callbackFn(prop);
    }
  }
}
var SnapshotSandbox = /* @__PURE__ */ function() {
  function SnapshotSandbox2(name2) {
    _classCallCheck(this, SnapshotSandbox2);
    this.proxy = void 0;
    this.name = void 0;
    this.type = void 0;
    this.sandboxRunning = true;
    this.windowSnapshot = void 0;
    this.modifyPropsMap = {};
    this.name = name2;
    this.proxy = window;
    this.type = SandBoxType.Snapshot;
  }
  _createClass(SnapshotSandbox2, [{
    key: "active",
    value: function active() {
      var _this = this;
      this.windowSnapshot = {};
      iter(window, function(prop) {
        _this.windowSnapshot[prop] = window[prop];
      });
      Object.keys(this.modifyPropsMap).forEach(function(p2) {
        window[p2] = _this.modifyPropsMap[p2];
      });
      this.sandboxRunning = true;
    }
  }, {
    key: "inactive",
    value: function inactive() {
      var _this2 = this;
      this.modifyPropsMap = {};
      iter(window, function(prop) {
        if (window[prop] !== _this2.windowSnapshot[prop]) {
          _this2.modifyPropsMap[prop] = window[prop];
          window[prop] = _this2.windowSnapshot[prop];
        }
      });
      this.sandboxRunning = false;
    }
  }, {
    key: "patchDocument",
    value: function patchDocument2() {
    }
  }]);
  return SnapshotSandbox2;
}();
function createSandboxContainer(appName, elementGetter, scopedCSS, useLooseSandbox, excludeAssetFilter, globalContext, speedySandBox) {
  var sandbox;
  if (window.Proxy) {
    sandbox = useLooseSandbox ? new LegacySandbox(appName, globalContext) : new ProxySandbox(appName, globalContext, {
      speedy: !!speedySandBox
    });
  } else {
    sandbox = new SnapshotSandbox(appName);
  }
  var bootstrappingFreers = patchAtBootstrapping(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox);
  var mountingFreers = [];
  var sideEffectsRebuilders = [];
  return {
    instance: sandbox,
    /**
     * 沙箱被 mount
     * 可能是从 bootstrap 状态进入的 mount
     * 也可能是从 unmount 之后再次唤醒进入 mount
     */
    mount: function mount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee() {
        var sideEffectsRebuildersAtBootstrapping, sideEffectsRebuildersAtMounting;
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1)
            switch (_context.prev = _context.next) {
              case 0:
                sandbox.active();
                sideEffectsRebuildersAtBootstrapping = sideEffectsRebuilders.slice(0, bootstrappingFreers.length);
                sideEffectsRebuildersAtMounting = sideEffectsRebuilders.slice(bootstrappingFreers.length);
                if (sideEffectsRebuildersAtBootstrapping.length) {
                  sideEffectsRebuildersAtBootstrapping.forEach(function(rebuild) {
                    return rebuild();
                  });
                }
                mountingFreers = patchAtMounting(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox);
                if (sideEffectsRebuildersAtMounting.length) {
                  sideEffectsRebuildersAtMounting.forEach(function(rebuild) {
                    return rebuild();
                  });
                }
                sideEffectsRebuilders = [];
              case 7:
              case "end":
                return _context.stop();
            }
        }, _callee);
      }))();
    },
    /**
     * 恢复 global 状态，使其能回到应用加载之前的状态
     */
    unmount: function unmount() {
      return _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee2() {
        return _regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1)
            switch (_context2.prev = _context2.next) {
              case 0:
                sideEffectsRebuilders = [].concat(_toConsumableArray(bootstrappingFreers), _toConsumableArray(mountingFreers)).map(function(free) {
                  return free();
                });
                sandbox.inactive();
              case 2:
              case "end":
                return _context2.stop();
            }
        }, _callee2);
      }))();
    }
  };
}
var _excluded = ["singular", "sandbox", "excludeAssetFilter", "globalContext"];
function assertElementExist(element, msg) {
  if (!element) {
    if (msg) {
      throw new QiankunError(msg);
    }
    throw new QiankunError("element not existed!");
  }
}
function execHooksChain(hooks, app) {
  var global2 = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : window;
  if (hooks.length) {
    return hooks.reduce(function(chain, hook) {
      return chain.then(function() {
        return hook(app, global2);
      });
    }, Promise.resolve());
  }
  return Promise.resolve();
}
function validateSingularMode(_x, _x2) {
  return _validateSingularMode.apply(this, arguments);
}
function _validateSingularMode() {
  _validateSingularMode = _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee(validate, app) {
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1)
        switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", typeof validate === "function" ? validate(app) : !!validate);
          case 1:
          case "end":
            return _context.stop();
        }
    }, _callee);
  }));
  return _validateSingularMode.apply(this, arguments);
}
var supportShadowDOM = !!document.head.attachShadow || !!document.head.createShadowRoot;
function createElement(appContent, strictStyleIsolation, scopedCSS, appInstanceId) {
  var containerElement = document.createElement("div");
  containerElement.innerHTML = appContent;
  var appElement = containerElement.firstChild;
  if (strictStyleIsolation) {
    if (!supportShadowDOM) {
      console.warn("[qiankun]: As current browser not support shadow dom, your strictStyleIsolation configuration will be ignored!");
    } else {
      var innerHTML = appElement.innerHTML;
      appElement.innerHTML = "";
      var shadow;
      if (appElement.attachShadow) {
        shadow = appElement.attachShadow({
          mode: "open"
        });
      } else {
        shadow = appElement.createShadowRoot();
      }
      shadow.innerHTML = innerHTML;
    }
  }
  if (scopedCSS) {
    var attr = appElement.getAttribute(QiankunCSSRewriteAttr);
    if (!attr) {
      appElement.setAttribute(QiankunCSSRewriteAttr, appInstanceId);
    }
    var styleNodes = appElement.querySelectorAll("style") || [];
    _forEach(styleNodes, function(stylesheetElement) {
      process(appElement, stylesheetElement, appInstanceId);
    });
  }
  return appElement;
}
function getAppWrapperGetter(appInstanceId, useLegacyRender, strictStyleIsolation, scopedCSS, elementGetter) {
  return function() {
    if (useLegacyRender) {
      if (strictStyleIsolation)
        throw new QiankunError("strictStyleIsolation can not be used with legacy render!");
      if (scopedCSS)
        throw new QiankunError("experimentalStyleIsolation can not be used with legacy render!");
      var appWrapper = document.getElementById(getWrapperId(appInstanceId));
      assertElementExist(appWrapper, "Wrapper element for ".concat(appInstanceId, " is not existed!"));
      return appWrapper;
    }
    var element = elementGetter();
    assertElementExist(element, "Wrapper element for ".concat(appInstanceId, " is not existed!"));
    if (strictStyleIsolation && supportShadowDOM) {
      return element.shadowRoot;
    }
    return element;
  };
}
var rawAppendChild = HTMLElement.prototype.appendChild;
var rawRemoveChild = HTMLElement.prototype.removeChild;
function getRender(appInstanceId, appContent, legacyRender) {
  var render = function render2(_ref, phase) {
    var element = _ref.element, loading = _ref.loading, container = _ref.container;
    if (legacyRender) {
      return legacyRender({
        loading,
        appContent: element ? appContent : ""
      });
    }
    var containerElement = getContainer$1(container);
    if (phase !== "unmounted") {
      var errorMsg = function() {
        switch (phase) {
          case "loading":
          case "mounting":
            return "Target container with ".concat(container, " not existed while ").concat(appInstanceId, " ").concat(phase, "!");
          case "mounted":
            return "Target container with ".concat(container, " not existed after ").concat(appInstanceId, " ").concat(phase, "!");
          default:
            return "Target container with ".concat(container, " not existed while ").concat(appInstanceId, " rendering!");
        }
      }();
      assertElementExist(containerElement, errorMsg);
    }
    if (containerElement && !containerElement.contains(element)) {
      while (containerElement.firstChild) {
        rawRemoveChild.call(containerElement, containerElement.firstChild);
      }
      if (element) {
        rawAppendChild.call(containerElement, element);
      }
    }
    return void 0;
  };
  return render;
}
function getLifecyclesFromExports(scriptExports, appName, global2, globalLatestSetProp) {
  if (validateExportLifecycle(scriptExports)) {
    return scriptExports;
  }
  if (globalLatestSetProp) {
    var lifecycles = global2[globalLatestSetProp];
    if (validateExportLifecycle(lifecycles)) {
      return lifecycles;
    }
  }
  var globalVariableExports = global2[appName];
  if (validateExportLifecycle(globalVariableExports)) {
    return globalVariableExports;
  }
  throw new QiankunError("You need to export lifecycle functions in ".concat(appName, " entry"));
}
var prevAppUnmountedDeferred;
function loadApp(_x3) {
  return _loadApp.apply(this, arguments);
}
function _loadApp() {
  _loadApp = _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee17(app) {
    var _sandboxContainer, _sandboxContainer$ins;
    var configuration, lifeCycles, entry, appName, appInstanceId, _configuration$singul, singular, _configuration$sandbo, sandbox, excludeAssetFilter, _configuration$global, globalContext, importEntryOpts, _yield$importEntry, template, execScripts, assetPublicPath, getExternalScripts, appContent, strictStyleIsolation, scopedCSS, initialAppWrapperElement, initialContainer, legacyRender, render, initialAppWrapperGetter, global2, mountSandbox, unmountSandbox, useLooseSandbox, speedySandbox, sandboxContainer, _mergeWith, _mergeWith$beforeUnmo, beforeUnmount, _mergeWith$afterUnmou, afterUnmount, _mergeWith$afterMount, afterMount, _mergeWith$beforeMoun, beforeMount, _mergeWith$beforeLoad, beforeLoad, scriptExports, _getLifecyclesFromExp, bootstrap, mount, unmount, update, _getMicroAppStateActi, onGlobalStateChange, setGlobalState, offGlobalStateChange, syncAppWrapperElement2Sandbox, parcelConfigGetter, _args17 = arguments;
    return _regeneratorRuntime.wrap(function _callee17$(_context17) {
      while (1)
        switch (_context17.prev = _context17.next) {
          case 0:
            configuration = _args17.length > 1 && _args17[1] !== void 0 ? _args17[1] : {};
            lifeCycles = _args17.length > 2 ? _args17[2] : void 0;
            entry = app.entry, appName = app.name;
            appInstanceId = genAppInstanceIdByName(appName);
            _configuration$singul = configuration.singular, singular = _configuration$singul === void 0 ? false : _configuration$singul, _configuration$sandbo = configuration.sandbox, sandbox = _configuration$sandbo === void 0 ? true : _configuration$sandbo, excludeAssetFilter = configuration.excludeAssetFilter, _configuration$global = configuration.globalContext, globalContext = _configuration$global === void 0 ? window : _configuration$global, importEntryOpts = _objectWithoutProperties(configuration, _excluded);
            _context17.next = 9;
            return importEntry(entry, importEntryOpts);
          case 9:
            _yield$importEntry = _context17.sent;
            template = _yield$importEntry.template;
            execScripts = _yield$importEntry.execScripts;
            assetPublicPath = _yield$importEntry.assetPublicPath;
            getExternalScripts = _yield$importEntry.getExternalScripts;
            _context17.next = 16;
            return getExternalScripts();
          case 16:
            _context17.next = 18;
            return validateSingularMode(singular, app);
          case 18:
            if (!_context17.sent) {
              _context17.next = 21;
              break;
            }
            _context17.next = 21;
            return prevAppUnmountedDeferred && prevAppUnmountedDeferred.promise;
          case 21:
            appContent = getDefaultTplWrapper(appInstanceId, sandbox)(template);
            strictStyleIsolation = _typeof$1(sandbox) === "object" && !!sandbox.strictStyleIsolation;
            scopedCSS = isEnableScopedCSS(sandbox);
            initialAppWrapperElement = createElement(appContent, strictStyleIsolation, scopedCSS, appInstanceId);
            initialContainer = "container" in app ? app.container : void 0;
            legacyRender = "render" in app ? app.render : void 0;
            render = getRender(appInstanceId, appContent, legacyRender);
            render({
              element: initialAppWrapperElement,
              loading: true,
              container: initialContainer
            }, "loading");
            initialAppWrapperGetter = getAppWrapperGetter(appInstanceId, !!legacyRender, strictStyleIsolation, scopedCSS, function() {
              return initialAppWrapperElement;
            });
            global2 = globalContext;
            mountSandbox = function mountSandbox2() {
              return Promise.resolve();
            };
            unmountSandbox = function unmountSandbox2() {
              return Promise.resolve();
            };
            useLooseSandbox = _typeof$1(sandbox) === "object" && !!sandbox.loose;
            speedySandbox = _typeof$1(sandbox) === "object" ? sandbox.speedy !== false : true;
            if (sandbox) {
              sandboxContainer = createSandboxContainer(
                appInstanceId,
                // FIXME should use a strict sandbox logic while remount, see https://github.com/umijs/qiankun/issues/518
                initialAppWrapperGetter,
                scopedCSS,
                useLooseSandbox,
                excludeAssetFilter,
                global2,
                speedySandbox
              );
              global2 = sandboxContainer.instance.proxy;
              mountSandbox = sandboxContainer.mount;
              unmountSandbox = sandboxContainer.unmount;
            }
            _mergeWith = _mergeWith2({}, getAddOns(global2, assetPublicPath), lifeCycles, function(v1, v2) {
              return _concat(v1 !== null && v1 !== void 0 ? v1 : [], v2 !== null && v2 !== void 0 ? v2 : []);
            }), _mergeWith$beforeUnmo = _mergeWith.beforeUnmount, beforeUnmount = _mergeWith$beforeUnmo === void 0 ? [] : _mergeWith$beforeUnmo, _mergeWith$afterUnmou = _mergeWith.afterUnmount, afterUnmount = _mergeWith$afterUnmou === void 0 ? [] : _mergeWith$afterUnmou, _mergeWith$afterMount = _mergeWith.afterMount, afterMount = _mergeWith$afterMount === void 0 ? [] : _mergeWith$afterMount, _mergeWith$beforeMoun = _mergeWith.beforeMount, beforeMount = _mergeWith$beforeMoun === void 0 ? [] : _mergeWith$beforeMoun, _mergeWith$beforeLoad = _mergeWith.beforeLoad, beforeLoad = _mergeWith$beforeLoad === void 0 ? [] : _mergeWith$beforeLoad;
            _context17.next = 40;
            return execHooksChain(toArray(beforeLoad), app, global2);
          case 40:
            _context17.next = 42;
            return execScripts(global2, sandbox && !useLooseSandbox, {
              scopedGlobalVariables: speedySandbox ? cachedGlobals : []
            });
          case 42:
            scriptExports = _context17.sent;
            _getLifecyclesFromExp = getLifecyclesFromExports(scriptExports, appName, global2, (_sandboxContainer = sandboxContainer) === null || _sandboxContainer === void 0 ? void 0 : (_sandboxContainer$ins = _sandboxContainer.instance) === null || _sandboxContainer$ins === void 0 ? void 0 : _sandboxContainer$ins.latestSetProp), bootstrap = _getLifecyclesFromExp.bootstrap, mount = _getLifecyclesFromExp.mount, unmount = _getLifecyclesFromExp.unmount, update = _getLifecyclesFromExp.update;
            _getMicroAppStateActi = getMicroAppStateActions(appInstanceId), onGlobalStateChange = _getMicroAppStateActi.onGlobalStateChange, setGlobalState = _getMicroAppStateActi.setGlobalState, offGlobalStateChange = _getMicroAppStateActi.offGlobalStateChange;
            syncAppWrapperElement2Sandbox = function syncAppWrapperElement2Sandbox2(element) {
              return initialAppWrapperElement = element;
            };
            parcelConfigGetter = function parcelConfigGetter2() {
              var remountContainer = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : initialContainer;
              var appWrapperElement;
              var appWrapperGetter;
              var parcelConfig = {
                name: appInstanceId,
                bootstrap,
                mount: [
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee2() {
                    return _regeneratorRuntime.wrap(function _callee2$(_context2) {
                      while (1)
                        switch (_context2.prev = _context2.next) {
                          case 0:
                          case 1:
                          case "end":
                            return _context2.stop();
                        }
                    }, _callee2);
                  })),
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee3() {
                    return _regeneratorRuntime.wrap(function _callee3$(_context3) {
                      while (1)
                        switch (_context3.prev = _context3.next) {
                          case 0:
                            _context3.next = 2;
                            return validateSingularMode(singular, app);
                          case 2:
                            _context3.t0 = _context3.sent;
                            if (!_context3.t0) {
                              _context3.next = 5;
                              break;
                            }
                            _context3.t0 = prevAppUnmountedDeferred;
                          case 5:
                            if (!_context3.t0) {
                              _context3.next = 7;
                              break;
                            }
                            return _context3.abrupt("return", prevAppUnmountedDeferred.promise);
                          case 7:
                            return _context3.abrupt("return", void 0);
                          case 8:
                          case "end":
                            return _context3.stop();
                        }
                    }, _callee3);
                  })),
                  // initial wrapper element before app mount/remount
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee4() {
                    return _regeneratorRuntime.wrap(function _callee4$(_context4) {
                      while (1)
                        switch (_context4.prev = _context4.next) {
                          case 0:
                            appWrapperElement = initialAppWrapperElement;
                            appWrapperGetter = getAppWrapperGetter(appInstanceId, !!legacyRender, strictStyleIsolation, scopedCSS, function() {
                              return appWrapperElement;
                            });
                          case 2:
                          case "end":
                            return _context4.stop();
                        }
                    }, _callee4);
                  })),
                  // 添加 mount hook, 确保每次应用加载前容器 dom 结构已经设置完毕
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee5() {
                    var useNewContainer;
                    return _regeneratorRuntime.wrap(function _callee5$(_context5) {
                      while (1)
                        switch (_context5.prev = _context5.next) {
                          case 0:
                            useNewContainer = remountContainer !== initialContainer;
                            if (useNewContainer || !appWrapperElement) {
                              appWrapperElement = createElement(appContent, strictStyleIsolation, scopedCSS, appInstanceId);
                              syncAppWrapperElement2Sandbox(appWrapperElement);
                            }
                            render({
                              element: appWrapperElement,
                              loading: true,
                              container: remountContainer
                            }, "mounting");
                          case 3:
                          case "end":
                            return _context5.stop();
                        }
                    }, _callee5);
                  })),
                  mountSandbox,
                  // exec the chain after rendering to keep the behavior with beforeLoad
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee6() {
                    return _regeneratorRuntime.wrap(function _callee6$(_context6) {
                      while (1)
                        switch (_context6.prev = _context6.next) {
                          case 0:
                            return _context6.abrupt("return", execHooksChain(toArray(beforeMount), app, global2));
                          case 1:
                          case "end":
                            return _context6.stop();
                        }
                    }, _callee6);
                  })),
                  /* @__PURE__ */ function() {
                    var _ref7 = _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee7(props) {
                      return _regeneratorRuntime.wrap(function _callee7$(_context7) {
                        while (1)
                          switch (_context7.prev = _context7.next) {
                            case 0:
                              return _context7.abrupt("return", mount(_objectSpread2(_objectSpread2({}, props), {}, {
                                container: appWrapperGetter(),
                                setGlobalState,
                                onGlobalStateChange
                              })));
                            case 1:
                            case "end":
                              return _context7.stop();
                          }
                      }, _callee7);
                    }));
                    return function(_x4) {
                      return _ref7.apply(this, arguments);
                    };
                  }(),
                  // finish loading after app mounted
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee8() {
                    return _regeneratorRuntime.wrap(function _callee8$(_context8) {
                      while (1)
                        switch (_context8.prev = _context8.next) {
                          case 0:
                            return _context8.abrupt("return", render({
                              element: appWrapperElement,
                              loading: false,
                              container: remountContainer
                            }, "mounted"));
                          case 1:
                          case "end":
                            return _context8.stop();
                        }
                    }, _callee8);
                  })),
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee9() {
                    return _regeneratorRuntime.wrap(function _callee9$(_context9) {
                      while (1)
                        switch (_context9.prev = _context9.next) {
                          case 0:
                            return _context9.abrupt("return", execHooksChain(toArray(afterMount), app, global2));
                          case 1:
                          case "end":
                            return _context9.stop();
                        }
                    }, _callee9);
                  })),
                  // initialize the unmount defer after app mounted and resolve the defer after it unmounted
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee10() {
                    return _regeneratorRuntime.wrap(function _callee10$(_context10) {
                      while (1)
                        switch (_context10.prev = _context10.next) {
                          case 0:
                            _context10.next = 2;
                            return validateSingularMode(singular, app);
                          case 2:
                            if (!_context10.sent) {
                              _context10.next = 4;
                              break;
                            }
                            prevAppUnmountedDeferred = new Deferred();
                          case 4:
                          case "end":
                            return _context10.stop();
                        }
                    }, _callee10);
                  })),
                  /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee11() {
                    return _regeneratorRuntime.wrap(function _callee11$(_context11) {
                      while (1)
                        switch (_context11.prev = _context11.next) {
                          case 0:
                          case 1:
                          case "end":
                            return _context11.stop();
                        }
                    }, _callee11);
                  }))
                ],
                unmount: [/* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee12() {
                  return _regeneratorRuntime.wrap(function _callee12$(_context12) {
                    while (1)
                      switch (_context12.prev = _context12.next) {
                        case 0:
                          return _context12.abrupt("return", execHooksChain(toArray(beforeUnmount), app, global2));
                        case 1:
                        case "end":
                          return _context12.stop();
                      }
                  }, _callee12);
                })), /* @__PURE__ */ function() {
                  var _ref13 = _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee13(props) {
                    return _regeneratorRuntime.wrap(function _callee13$(_context13) {
                      while (1)
                        switch (_context13.prev = _context13.next) {
                          case 0:
                            return _context13.abrupt("return", unmount(_objectSpread2(_objectSpread2({}, props), {}, {
                              container: appWrapperGetter()
                            })));
                          case 1:
                          case "end":
                            return _context13.stop();
                        }
                    }, _callee13);
                  }));
                  return function(_x5) {
                    return _ref13.apply(this, arguments);
                  };
                }(), unmountSandbox, /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee14() {
                  return _regeneratorRuntime.wrap(function _callee14$(_context14) {
                    while (1)
                      switch (_context14.prev = _context14.next) {
                        case 0:
                          return _context14.abrupt("return", execHooksChain(toArray(afterUnmount), app, global2));
                        case 1:
                        case "end":
                          return _context14.stop();
                      }
                  }, _callee14);
                })), /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee15() {
                  return _regeneratorRuntime.wrap(function _callee15$(_context15) {
                    while (1)
                      switch (_context15.prev = _context15.next) {
                        case 0:
                          render({
                            element: null,
                            loading: false,
                            container: remountContainer
                          }, "unmounted");
                          offGlobalStateChange(appInstanceId);
                          appWrapperElement = null;
                          syncAppWrapperElement2Sandbox(appWrapperElement);
                        case 4:
                        case "end":
                          return _context15.stop();
                      }
                  }, _callee15);
                })), /* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee16() {
                  return _regeneratorRuntime.wrap(function _callee16$(_context16) {
                    while (1)
                      switch (_context16.prev = _context16.next) {
                        case 0:
                          _context16.next = 2;
                          return validateSingularMode(singular, app);
                        case 2:
                          _context16.t0 = _context16.sent;
                          if (!_context16.t0) {
                            _context16.next = 5;
                            break;
                          }
                          _context16.t0 = prevAppUnmountedDeferred;
                        case 5:
                          if (!_context16.t0) {
                            _context16.next = 7;
                            break;
                          }
                          prevAppUnmountedDeferred.resolve();
                        case 7:
                        case "end":
                          return _context16.stop();
                      }
                  }, _callee16);
                }))]
              };
              if (typeof update === "function") {
                parcelConfig.update = update;
              }
              return parcelConfig;
            };
            return _context17.abrupt("return", parcelConfigGetter);
          case 48:
          case "end":
            return _context17.stop();
        }
    }, _callee17);
  }));
  return _loadApp.apply(this, arguments);
}
var frameworkConfiguration = {};
var defaultUrlRerouteOnly = true;
new Deferred();
var autoDowngradeForLowVersionBrowser = function autoDowngradeForLowVersionBrowser2(configuration) {
  var _configuration$sandbo = configuration.sandbox, sandbox = _configuration$sandbo === void 0 ? true : _configuration$sandbo, singular = configuration.singular;
  if (sandbox) {
    if (!window.Proxy) {
      console.warn("[qiankun] Missing window.Proxy, proxySandbox will degenerate into snapshotSandbox");
      if (singular === false) {
        console.warn("[qiankun] Setting singular as false may cause unexpected behavior while your browser not support window.Proxy");
      }
      return _objectSpread2(_objectSpread2({}, configuration), {}, {
        sandbox: _typeof$1(sandbox) === "object" ? _objectSpread2(_objectSpread2({}, sandbox), {}, {
          loose: true
        }) : {
          loose: true
        }
      });
    }
    if (!isConstDestructAssignmentSupported() && (sandbox === true || _typeof$1(sandbox) === "object" && sandbox.speedy !== false)) {
      console.warn("[qiankun] Speedy mode will turn off as const destruct assignment not supported in current browser!");
      return _objectSpread2(_objectSpread2({}, configuration), {}, {
        sandbox: _typeof$1(sandbox) === "object" ? _objectSpread2(_objectSpread2({}, sandbox), {}, {
          speedy: false
        }) : {
          speedy: false
        }
      });
    }
  }
  return configuration;
};
var appConfigPromiseGetterMap = /* @__PURE__ */ new Map();
var containerMicroAppsMap = /* @__PURE__ */ new Map();
function loadMicroApp(app, configuration, lifeCycles) {
  var props = app.props, name2 = app.name;
  var container = "container" in app ? app.container : void 0;
  var containerXPath = getContainerXPath(container);
  var appContainerXPathKey = "".concat(name2, "-").concat(containerXPath);
  var microApp;
  var wrapParcelConfigForRemount = function wrapParcelConfigForRemount2(config2) {
    var microAppConfig = config2;
    if (container) {
      if (containerXPath) {
        var containerMicroApps = containerMicroAppsMap.get(appContainerXPathKey);
        if (containerMicroApps === null || containerMicroApps === void 0 ? void 0 : containerMicroApps.length) {
          var mount = [/* @__PURE__ */ _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee4() {
            var prevLoadMicroApps, prevLoadMicroAppsWhichNotBroken;
            return _regeneratorRuntime.wrap(function _callee4$(_context4) {
              while (1)
                switch (_context4.prev = _context4.next) {
                  case 0:
                    prevLoadMicroApps = containerMicroApps.slice(0, containerMicroApps.indexOf(microApp));
                    prevLoadMicroAppsWhichNotBroken = prevLoadMicroApps.filter(function(v2) {
                      return v2.getStatus() !== "LOAD_ERROR" && v2.getStatus() !== "SKIP_BECAUSE_BROKEN";
                    });
                    _context4.next = 4;
                    return Promise.all(prevLoadMicroAppsWhichNotBroken.map(function(v2) {
                      return v2.unmountPromise;
                    }));
                  case 4:
                  case "end":
                    return _context4.stop();
                }
            }, _callee4);
          }))].concat(_toConsumableArray(toArray(microAppConfig.mount)));
          microAppConfig = _objectSpread2(_objectSpread2({}, config2), {}, {
            mount
          });
        }
      }
    }
    return _objectSpread2(_objectSpread2({}, microAppConfig), {}, {
      // empty bootstrap hook which should not run twice while it calling from cached micro app
      bootstrap: function bootstrap() {
        return Promise.resolve();
      }
    });
  };
  var memorizedLoadingFn = /* @__PURE__ */ function() {
    var _ref4 = _asyncToGenerator(/* @__PURE__ */ _regeneratorRuntime.mark(function _callee5() {
      var userConfiguration, $$cacheLifecycleByAppName, parcelConfigGetterPromise, _parcelConfigGetterPromise, parcelConfigObjectGetterPromise;
      return _regeneratorRuntime.wrap(function _callee5$(_context5) {
        while (1)
          switch (_context5.prev = _context5.next) {
            case 0:
              userConfiguration = autoDowngradeForLowVersionBrowser(configuration !== null && configuration !== void 0 ? configuration : _objectSpread2(_objectSpread2({}, frameworkConfiguration), {}, {
                singular: false
              }));
              $$cacheLifecycleByAppName = userConfiguration.$$cacheLifecycleByAppName;
              if (!container) {
                _context5.next = 21;
                break;
              }
              if (!$$cacheLifecycleByAppName) {
                _context5.next = 12;
                break;
              }
              parcelConfigGetterPromise = appConfigPromiseGetterMap.get(name2);
              if (!parcelConfigGetterPromise) {
                _context5.next = 12;
                break;
              }
              _context5.t0 = wrapParcelConfigForRemount;
              _context5.next = 9;
              return parcelConfigGetterPromise;
            case 9:
              _context5.t1 = _context5.sent;
              _context5.t2 = (0, _context5.t1)(container);
              return _context5.abrupt("return", (0, _context5.t0)(_context5.t2));
            case 12:
              if (!containerXPath) {
                _context5.next = 21;
                break;
              }
              _parcelConfigGetterPromise = appConfigPromiseGetterMap.get(appContainerXPathKey);
              if (!_parcelConfigGetterPromise) {
                _context5.next = 21;
                break;
              }
              _context5.t3 = wrapParcelConfigForRemount;
              _context5.next = 18;
              return _parcelConfigGetterPromise;
            case 18:
              _context5.t4 = _context5.sent;
              _context5.t5 = (0, _context5.t4)(container);
              return _context5.abrupt("return", (0, _context5.t3)(_context5.t5));
            case 21:
              parcelConfigObjectGetterPromise = loadApp(app, userConfiguration, lifeCycles);
              if (container) {
                if ($$cacheLifecycleByAppName) {
                  appConfigPromiseGetterMap.set(name2, parcelConfigObjectGetterPromise);
                } else if (containerXPath)
                  appConfigPromiseGetterMap.set(appContainerXPathKey, parcelConfigObjectGetterPromise);
              }
              _context5.next = 25;
              return parcelConfigObjectGetterPromise;
            case 25:
              _context5.t6 = _context5.sent;
              return _context5.abrupt("return", (0, _context5.t6)(container));
            case 27:
            case "end":
              return _context5.stop();
          }
      }, _callee5);
    }));
    return function memorizedLoadingFn2() {
      return _ref4.apply(this, arguments);
    };
  }();
  if ((configuration === null || configuration === void 0 ? void 0 : configuration.autoStart) !== false) {
    var _frameworkConfigurati;
    xt({
      urlRerouteOnly: (_frameworkConfigurati = frameworkConfiguration.urlRerouteOnly) !== null && _frameworkConfigurati !== void 0 ? _frameworkConfigurati : defaultUrlRerouteOnly
    });
  }
  microApp = C(memorizedLoadingFn, _objectSpread2({
    domElement: document.createElement("div")
  }, props));
  if (container) {
    if (containerXPath) {
      var microAppsRef = containerMicroAppsMap.get(appContainerXPathKey) || [];
      microAppsRef.push(microApp);
      containerMicroAppsMap.set(appContainerXPathKey, microAppsRef);
      var cleanup = function cleanup2() {
        var index = microAppsRef.indexOf(microApp);
        microAppsRef.splice(index, 1);
        microApp = null;
      };
      microApp.unmountPromise.then(cleanup).catch(cleanup);
    }
  }
  return microApp;
}
function error(message, ...args) {
}
function dynamicImportError(name2) {
  return (err) => {
    error("0", name2, err.message);
  };
}
const logger = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  dynamicImportError,
  error
}, Symbol.toStringTag, { value: "Module" }));
var logger_default = logger;
const createQiankunInstance = () => {
  return {
    loadMicroApp
  };
};
var __defProp$2 = Object.defineProperty;
var __defNormalProp$2 = (obj, key, value) => key in obj ? __defProp$2(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$2 = (obj, key, value) => {
  __defNormalProp$2(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const buildComposer = (mode, extraProperties) => {
  const defaultComposerApi = {
    context: extraProperties,
    createComposerContext,
    premount
  };
  switch (mode) {
    case "iframe":
      return {
        ...defaultComposerApi,
        createComposerContext: (content, opts) => {
          var _a;
          return createComposerContext(content, {
            context: {
              ...opts == null ? void 0 : opts.context,
              onload() {
              }
            },
            extraProperties: /* @__PURE__ */ new Set([...(_a = opts == null ? void 0 : opts.extraProperties) != null ? _a : [], "onload"])
          });
        },
        premount
      };
    case "compose":
      return { context: defaultComposerApi.context };
    case "parcel":
    default:
      return defaultComposerApi;
  }
};
const getExtraIFrameAttributes = (app) => {
  var _a, _b;
  const extraIframeAttributes = {};
  if (typeof ((_a = app.attributes) == null ? void 0 : _a.src) === "string") {
    extraIframeAttributes.src = app.attributes.src;
  }
  if (typeof app.src === "string") {
    extraIframeAttributes.src = app.src;
  }
  if (typeof ((_b = app.attributes) == null ? void 0 : _b.srcdoc) === "string") {
    extraIframeAttributes.srcdoc = app.attributes.srcdoc;
  }
  if (typeof app.srcdoc === "string") {
    extraIframeAttributes.srcdoc = app.srcdoc;
  }
  return extraIframeAttributes;
};
const getParcelEntry = ({ entry }) => {
  var _a, _b;
  if (typeof entry === "string") {
    return entry;
  }
  const scripts = toArray$1((_a = entry.scripts) != null ? _a : []);
  const styles = toArray$1((_b = entry.styles) != null ? _b : []);
  if (typeof entry.html === "string" && scripts.length === 0) {
    return entry.html;
  }
  return {
    ...entry,
    scripts,
    styles
  };
};
async function getApplicationSchema() {
  let schema;
  return schema;
}
const prepareApplicationConfig = (id, app, composerUri2) => {
  const name2 = "".concat(id, "-").concat(window.crypto.randomUUID());
  const contextMaker = prepareRoutelessApp(name2, app, composerUri2);
  return {
    makeConfig: (container, microlcApi, sharedProperties) => {
      var _a;
      const context = contextMaker(container, { ...sharedProperties, microlcApi });
      const fetchConfigOnMount = app.integrationMode !== "compose" ? void 0 : (_a = app.options) == null ? void 0 : _a.fetchConfigOnMount;
      return {
        ...context,
        props: {
          ...context.props,
          options: { fetchConfigOnMount },
          schema: getApplicationSchema()
        }
      };
    },
    name: name2
  };
};
const prepareRoutelessApp = (name2, app, composerUri2) => {
  let injectBase = false;
  let entry;
  let config2;
  let properties;
  switch (app.integrationMode) {
    case "compose":
      if (!composerUri2) {
        throw new TypeError("Missing composer uri");
      }
      entry = {
        html: '\n          <!DOCTYPE html>\n          <html>\n          <head></head>\n          <body><div class="'.concat(MFELoader.COMPOSER_BODY_CLASS, '" id="').concat(name2, '"></div></body>\n          </html>\n        '),
        scripts: [composerUri2],
        styles: []
      };
      config2 = typeof app.config === "string" ? app.config : { ...app.config };
      break;
    case "iframe":
      if (!composerUri2) {
        throw new TypeError("Missing composer uri");
      }
      entry = { scripts: [composerUri2] };
      config2 = {
        content: {
          attributes: {
            style: "width: inherit;\n                    height: inherit;\n                    border: none;",
            ...app.attributes,
            ...getExtraIFrameAttributes(app)
          },
          content: {
            content: "Your browser does not support iframes",
            tag: "p"
          },
          tag: "iframe"
        }
      };
      break;
    case "parcel":
    default:
      injectBase = app.injectBase;
      entry = getParcelEntry(app);
      properties = app.properties;
      break;
  }
  return (container, sharedProperties) => ({
    // qiankun typing is
    // not precise here since a shadow root does
    // work as container of a mfe
    container,
    entry,
    name: name2,
    props: {
      composerApi: buildComposer(app.integrationMode, sharedProperties),
      config: config2,
      injectBase,
      ...sharedProperties,
      ...properties
    }
  });
};
const _MFELoader = class _MFELoader2 {
  constructor(config2, getApi, loader) {
    __publicField$2(this, "getApi");
    __publicField$2(this, "loader");
    __publicField$2(this, "composerUri");
    __publicField$2(this, "sharedProperties");
    __publicField$2(this, "handlers");
    this.loader = loader;
    this.composerUri = config2.settings.composerUri;
    this.sharedProperties = config2.shared.properties;
    this.getApi = getApi;
  }
  getMount(shouldMountByLoading = false) {
    const app = this.handlers;
    if (app) {
      return () => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.getStatus() === "NOT_MOUNTED" && !shouldMountByLoading ? app.mount() : app.mountPromise);
    }
  }
  getUnmount() {
    const app = this.handlers;
    if (app) {
      if (app.getStatus() !== "UNMOUNTING") {
        return () => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.mountPromise).then(() => app.getStatus() === "NOT_MOUNTED" ? app.unmountPromise : app.unmount());
      }
      return () => app.unmountPromise;
    }
  }
  getUpdate() {
    let update;
    const app = this.handlers;
    if (app) {
      update = (props) => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.mountPromise).then(() => {
        var _a;
        return (_a = app.update) == null ? void 0 : _a.call(app, props);
      });
    }
    return update;
  }
  async load(app, container) {
    var _a;
    const shouldMountByLoading = this.handlers === void 0;
    if (shouldMountByLoading) {
      const { makeConfig } = prepareApplicationConfig(_MFELoader2.ID, app, this.composerUri);
      const loadableApp = makeConfig(container, this.getApi(), this.sharedProperties);
      this.handlers = this.loader.loadMicroApp(loadableApp, { getPublicPath, sandbox: { speedy: false } });
    }
    await ((_a = this.getMount(shouldMountByLoading)) == null ? void 0 : _a());
    return this.getUpdate();
  }
  async unload() {
    var _a;
    return (_a = this.getUnmount()) == null ? void 0 : _a();
  }
};
__publicField$2(_MFELoader, "ID", "microfrontend");
__publicField$2(_MFELoader, "COMPOSER_BODY_CLASS", "composer-body");
let MFELoader = _MFELoader;
function urlMatch(pathname, against) {
  const regex = against.replace(/\/:([a-zA-Z]+)/g, "/([^/?#]+)");
  const queryParamRegex = "\\?.*";
  const anchorRegex = "#.*";
  const subPathRegex = "/.*";
  const suffixRegex = regex.endsWith("/") ? ".*" : "$|".concat(subPathRegex, "|").concat(queryParamRegex, "|").concat(anchorRegex);
  return pathname.match(new RegExp("^".concat(regex, "(?:").concat(suffixRegex, ")")));
}
function effectiveRouteLength(route) {
  return route.replace(/\/:([a-zA-Z]+)/g, "/").length;
}
const computeAbsoluteRoute = (document2, route) => {
  const { baseURI, location: { href } } = document2;
  return new URL(route, new URL(baseURI, href)).pathname;
};
var __defProp$1 = Object.defineProperty;
var __defNormalProp$1 = (obj, key, value) => key in obj ? __defProp$1(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField$1 = (obj, key, value) => {
  __defNormalProp$1(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
let currentApplication;
let currentApplicationBus = new BehaviorSubject(void 0);
let applicationHandlers = /* @__PURE__ */ new Map();
const currentApplication$ = currentApplicationBus.asObservable();
function getMount(name2, shouldMountByLoading = false) {
  const app = name2 && applicationHandlers.get(name2);
  if (app) {
    return () => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.getStatus() === "NOT_MOUNTED" && !shouldMountByLoading ? app.mount() : app.mountPromise);
  }
}
function getUnmount(name2 = currentApplication) {
  const app = name2 && applicationHandlers.get(name2);
  if (app) {
    if (app.getStatus() !== "UNMOUNTING") {
      return () => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.mountPromise).then(() => app.getStatus() === "NOT_MOUNTED" ? app.unmountPromise : app.unmount());
    }
    return () => app.unmountPromise;
  }
}
function getUpdate(name2 = currentApplication) {
  let update;
  if (name2) {
    const app = applicationHandlers.get(name2);
    if (app) {
      update = (props) => app.loadPromise.then(() => app.bootstrapPromise).then(() => app.mountPromise).then(() => {
        var _a;
        return (_a = app.update) == null ? void 0 : _a.call(app, props);
      });
    }
  }
  return update;
}
function getCurrentApplicationAssets() {
  if (currentApplication === void 0) {
    return;
  }
  const handlers = applicationHandlers.get(currentApplication);
  if (handlers === void 0) {
    return;
  }
  return {
    handlers: applicationHandlers.get(currentApplication),
    id: currentApplication
  };
}
class MatchCache extends Map {
  constructor() {
    super(...arguments);
    __publicField$1(this, "_default");
  }
  setDefault(match) {
    this._default = [void 0, void 0, match];
  }
  getDefault() {
    return this._default;
  }
  invalidateCache() {
    this._default = void 0;
    this.clear();
  }
}
function rerouteErrorHandler(err) {
  logger_default.error("51", err.message);
  return null;
}
function getIFramePathname(win = window, baseURI) {
  let completeHref = window.location.href;
  const { location: { origin, href } } = win;
  const iframePathname = href.match(new RegExp(origin));
  if ((iframePathname == null ? void 0 : iframePathname.index) !== void 0) {
    completeHref = href.slice(iframePathname.index + origin.length);
  }
  return new URL(completeHref, baseURI);
}
const updateCountersAndResults = (pathname, route, defaultUrl, baseURI, args, counters, result) => {
  const { pathname: routePathname } = new URL(route, baseURI);
  const exact = urlMatch(pathname, routePathname);
  const routePathnameLength = effectiveRouteLength(routePathname);
  if (exact && routePathnameLength > counters[0]) {
    counters[0] = routePathnameLength;
    result[0] = args;
  }
  const { pathname: routeWtsPathname } = new URL(route.replace(/\/$/, ""), baseURI);
  const wts = urlMatch(pathname, routeWtsPathname);
  const routeWtsPathnameLength = effectiveRouteLength(routeWtsPathname);
  if (wts && routeWtsPathnameLength > counters[1]) {
    counters[1] = routeWtsPathnameLength;
    result[1] = args;
  }
  const { pathname: defaultPathname } = new URL(defaultUrl, baseURI);
  const def = urlMatch(defaultPathname, routePathname);
  if (def && routePathnameLength > counters[2]) {
    counters[2] = routePathnameLength;
    result[2] = args;
  }
};
function getNextMatchingRoute(url) {
  const {
    config: {
      settings: {
        defaultUrl
      }
    },
    ownerDocument: {
      baseURI
    }
  } = this;
  const result = Array(3).fill(void 0);
  const counters = Array(3).fill(0);
  const { pathname } = url ? new URL(url, baseURI) : getIFramePathname(window, baseURI);
  for (const [route, args] of this.loadedApps.values()) {
    if (route === void 0) {
      continue;
    }
    updateCountersAndResults(
      pathname,
      route,
      defaultUrl,
      baseURI,
      args,
      counters,
      result
    );
  }
  url !== void 0 ? this.matchCache.set(url, result) : this.matchCache.setDefault(result[2]);
  return {
    counters,
    result
  };
}
function isSameError(first, second) {
  if (first.message !== second.message) {
    return false;
  }
  if (first.reason !== second.reason) {
    return false;
  }
  if (first.status !== second.status) {
    return false;
  }
  return true;
}
async function flushAndGo(nextMatch, args = {}, incomingError, previousIncomingError) {
  var _a, _b;
  const recursiveFlushAndGo = flushAndGo.bind(this);
  if (previousIncomingError && incomingError && isSameError(previousIncomingError, incomingError)) {
    return void 0;
  }
  let error2 = incomingError;
  const unmount = getUnmount();
  currentApplication = nextMatch.name;
  await (unmount == null ? void 0 : unmount().catch(rerouteErrorHandler));
  const { url, method = "push", data } = args != null ? args : {};
  if (url !== void 0) {
    if (method === "push") {
      window.history.pushState(data, "", url);
    } else {
      window.history.replaceState(data, "", url);
    }
  }
  let handlers = applicationHandlers.get(nextMatch.name);
  const shouldMountByLoading = handlers === void 0;
  if (shouldMountByLoading) {
    const appConfigName = this.applicationMapping.get(currentApplication);
    const [route] = (_a = appConfigName !== void 0 ? this.loadedApps.get(appConfigName) : appConfigName) != null ? _a : [];
    const application = nextMatch;
    handlers = this.microfrontendLoader.loadMicroApp(application, {
      fetch: (input, init) => microlcFetch(input, init, error2).then(([res, outgoingError]) => {
        error2 = outgoingError;
        return res;
      }),
      getPublicPath,
      postProcessTemplate: (tplResult) => {
        var _a2, _b2;
        return postProcessTemplate(tplResult, {
          baseURI: this.ownerDocument.baseURI,
          injectBase: (_a2 = nextMatch.props) == null ? void 0 : _a2.injectBase,
          name: nextMatch.name,
          url: (_b2 = route != null ? route : url) != null ? _b2 : window.location.href
        });
      },
      sandbox: { speedy: false }
    });
    applicationHandlers.set(nextMatch.name, handlers);
  }
  if (error2 === void 0) {
    currentApplication && currentApplicationBus.next(
      this.applicationMapping.get(currentApplication)
    );
  } else if (error2.message === RoutingErrorMessage.NOT_FOUND) {
    currentApplicationBus.next(void 0);
  }
  await ((_b = getMount(currentApplication, shouldMountByLoading)) == null ? void 0 : _b().catch(async (err) => {
    var _a2, _b2, _c;
    const message = (_a2 = error2 == null ? void 0 : error2.message) != null ? _a2 : RoutingErrorMessage.INTERNAL_SERVER_ERROR;
    const status = (_b2 = error2 == null ? void 0 : error2.status) != null ? _b2 : 500;
    const reason = err instanceof TypeError ? err.message : void 0;
    const errorRoute = (_c = this.loadedApps.get("".concat(this.instance, "-").concat(status))) == null ? void 0 : _c[1];
    error2 = { ...error2, message, status };
    if (errorRoute) {
      await recursiveFlushAndGo(errorRoute, args, error2, incomingError).then((update) => update == null ? void 0 : update({ message, reason }));
    }
    return void 0;
  }));
  return getUpdate();
}
async function rerouteToError(statusCode, reason) {
  var _a;
  const code = statusCode != null ? statusCode : 404;
  const nextMatch = (_a = this.loadedApps.get("".concat(this.instance, "-").concat(code))) == null ? void 0 : _a[1];
  if (!nextMatch) {
    return Promise.reject(new TypeError("no ".concat(code, " page available")));
  }
  const recursiveFlushAndGo = flushAndGo.bind(this);
  return recursiveFlushAndGo(nextMatch, {}, { message: errorMap[code], reason, status: code }).then(async (update) => {
    await (update == null ? void 0 : update({ message: "Oops! Something went wrong", reason }));
    return void 0;
  });
}
function isDefault(url, baseURI) {
  const { pathname } = new URL(url, window.document.baseURI);
  return pathname.replace(/\/$/, "") === new URL(baseURI, window.document.baseURI).pathname.replace(/\/$/, "");
}
async function reroute(args = {}) {
  var _a;
  let { url, data, method = "push" } = args;
  let matchingResults = Array(3).fill(void 0);
  let counters = Array(3).fill(0);
  const isDefaultCached = this.matchCache.getDefault();
  const cachedMatch = url !== void 0 ? this.matchCache.get(url) : void 0;
  if (url === void 0 && isDefaultCached) {
    matchingResults = isDefaultCached;
  } else if (cachedMatch) {
    matchingResults = cachedMatch;
  } else {
    const recursiveGetNextMatchingRoute = getNextMatchingRoute.bind(this);
    const nextMatch2 = recursiveGetNextMatchingRoute(url);
    matchingResults = nextMatch2.result;
    counters = nextMatch2.counters;
  }
  const [exactMatch, nextMatchWithTrailingSlash, defaultMatch] = matchingResults;
  let nextMatch = exactMatch;
  let error2;
  if (nextMatchWithTrailingSlash && counters[1] > counters[0] || !exactMatch && nextMatchWithTrailingSlash) {
    const route = this.loadedRoutes.get(nextMatchWithTrailingSlash.name);
    const recursiveReroute = reroute.bind(this);
    return recursiveReroute({ data: window.history.state, method: "replace", url: route });
  }
  if (!exactMatch && isDefault(url != null ? url : window.location.href, this.ownerDocument.baseURI)) {
    url = this.config.settings.defaultUrl;
    data = window.history.state;
    method = "replace";
    nextMatch = defaultMatch;
  }
  if (!nextMatch) {
    error2 = { message: RoutingErrorMessage.NOT_FOUND, reason: "Page ".concat(url != null ? url : window.location.pathname, " cannot be found"), status: 404 };
    nextMatch = (_a = this.loadedApps.get("".concat(this.instance, "-404"))) == null ? void 0 : _a[1];
  }
  if (!nextMatch) {
    error2 = { message: RoutingErrorMessage.NOT_FOUND, reason: "No 404 page available", status: 404 };
    return Promise.reject(new TypeError("no 404 page available"));
  }
  const recursiveFlushAndGo = flushAndGo.bind(this);
  return nextMatch.name !== currentApplication ? recursiveFlushAndGo(nextMatch, { data, method, url }, error2).then(async (update) => {
    await (update == null ? void 0 : update({ ...error2 }));
  }) : Promise.resolve();
}
let popstate;
let domcontent;
function popStateListener(event) {
  var _a;
  const target = (_a = event.target) != null ? _a : window;
  const recursiveReroute = reroute.bind(this);
  recursiveReroute({ data: target.history.state, url: target.location.href }).catch(rerouteErrorHandler);
}
function domContentLoaded(event) {
  console.warn("[micro-lc] unhandled DOMContentLoaded event", event);
}
function createRouter() {
  popstate = popStateListener.bind(this);
  domcontent = domContentLoaded.bind(window);
  window.addEventListener("popstate", popstate);
  window.addEventListener("DOMContentLoaded", domContentLoaded);
}
function removeRouter() {
  currentApplication = void 0;
  currentApplicationBus = new BehaviorSubject(void 0);
  applicationHandlers = /* @__PURE__ */ new Map();
  popstate && window.removeEventListener("popstate", popstate);
  domcontent && window.removeEventListener("DOMContentLoaded", domcontent);
}
function createMicrolcApiInstance() {
  const { microfrontendLoader } = this;
  const currentState = {};
  const bus = new BehaviorSubject(currentState);
  return () => Object.freeze({
    createLoader() {
      return new MFELoader(this.getCurrentConfig(), () => this, microfrontendLoader);
    },
    currentApplication$,
    getApplications: () => Object.freeze({ ...this._config.applications }),
    getCurrentApplication: () => Object.freeze({ ...getCurrentApplicationAssets() }),
    getCurrentConfig: () => Object.freeze({ ...this._config }),
    getExtensions: () => Object.freeze({ ...this._extensions }),
    next: (value) => bus.next(value),
    router: {
      goTo: (url) => {
        if (url !== void 0) {
          const regularUrl = new URL(url, this.ownerDocument.baseURI);
          const isSameOrigin = regularUrl.origin === window.location.origin;
          const isSamePathname = regularUrl.pathname === window.location.pathname;
          if (isSameOrigin && isSamePathname) {
            window.history.replaceState(window.history.state, "", url);
          } else if (isSameOrigin) {
            window.history.pushState(null, "", url);
          } else {
            window.open(url);
          }
        }
      },
      goToApplication: async (_id, data) => {
        var _a;
        if (!(_id in this._config.applications)) {
          return this._rerouteToError(404).then(() => {
          });
        }
        const route = (_a = this.loadedApps.get(_id)) == null ? void 0 : _a[0];
        return this._reroute({ data, url: route }).then(() => {
        });
      },
      goToErrorPage: async (statusCode, reason) => {
        return this._rerouteToError(statusCode, reason).then(() => {
        });
      },
      open: (url, target, features) => window.open(url, target, features),
      pushState: (data, unused, url) => window.history.pushState(data, unused, url),
      replaceState: (data, unused, url) => window.history.replaceState(data, unused, url)
    },
    set: (event) => {
      const newState = Object.assign(currentState, event);
      bus.next(newState);
    },
    setCurrentConfig: (newConfig) => {
      this.config = newConfig;
    },
    setExtension: (key, value) => {
      this._extensions[key] = value;
      return Object.freeze({ ...this._extensions });
    },
    subscribe: (next) => bus.asObservable().subscribe(next)
  });
}
function composeCSSRuleText(rules) {
  return Object.keys(rules).reduce((cssText, ruleName) => {
    const ruleValue = rules[ruleName];
    return cssText.concat("".concat(ruleName, ": ").concat(ruleValue, ";\n"));
  }, "");
}
function composeCSSNodeText(selector, rules) {
  return "\n    ".concat(selector, " {\n      ").concat(composeCSSRuleText(rules), "\n    }\n  ");
}
function composeTextStyleSheet(node) {
  return Object.entries(node).reduce((stylesheet, [selector, rules]) => {
    return stylesheet.concat("".concat(composeCSSNodeText(
      selector,
      rules
    ), "\n"));
  }, "");
}
function composeStyleSheet(node) {
  return Object.entries(node).reduce((stylesheet, [selector, rules]) => {
    stylesheet.insertRule("".concat(composeCSSNodeText(
      selector,
      rules
    ), "\n"));
    return stylesheet;
  }, new CSSStyleSheet());
}
function createCSSStyleSheets({ global: global2, nodes }) {
  const stylesheets = [];
  nodes && stylesheets.push(composeStyleSheet(nodes));
  global2 && stylesheets.push(composeStyleSheet({ ":host": global2 }));
  return stylesheets;
}
function injectStyleToElements({ global: global2, nodes }, [globalTag, nodesTag], shadow) {
  const selector = shadow ? ":host" : ":root";
  const elements = [];
  global2 && elements.push(Object.assign(
    globalTag,
    {
      textContent: composeTextStyleSheet({ [selector]: global2 })
    }
  ));
  nodes && elements.push(Object.assign(
    nodesTag,
    {
      textContent: composeTextStyleSheet(nodes)
    }
  ));
  return elements;
}
const jsonAcceptedTypes = [
  "application/json",
  "text/x-json"
];
const yamlAcceptedTypes = [
  "application/yaml",
  "application/x-yaml",
  "text/yaml"
];
const acceptedTypes = [
  ...jsonAcceptedTypes,
  ...yamlAcceptedTypes
];
async function jsonFetcher(url, init) {
  return globalThis.fetch(
    new URL(url, globalThis.document.baseURI),
    {
      ...init,
      headers: {
        ...init == null ? void 0 : init.headers,
        Accept: acceptedTypes.join(", ")
      }
    }
  ).then((res) => {
    var _a;
    const contentType = (_a = res.headers.get("Content-Type")) != null ? _a : "";
    const isJson = jsonAcceptedTypes.reduce(
      (accepted, str) => contentType.includes(str) || accepted,
      false
    );
    const isYaml = yamlAcceptedTypes.reduce(
      (accepted, str) => contentType.includes(str) || accepted,
      false
    );
    if (res.ok && isJson) {
      return res.json();
    }
    if (res.ok && isYaml) {
      return Promise.all([__vitePreload(() => import("./dev/assets/js-yaml.js"), true ? [] : void 0, import.meta.url), res.text()]).then(([{ default: yaml }, data]) => {
        return yaml.load(data, { json: true, schema: yaml.JSON_SCHEMA });
      });
    }
    return Promise.reject(new TypeError("20"));
  });
}
async function jsonToObject(input, schema) {
  return Promise.resolve(input);
}
function invalidJsonCatcher(err, data, file) {
  return data;
}
function jsonToObjectCatcher(err, data, file) {
  return data;
}
const composerUri = "" + new URL("dev/assets/composer.js", import.meta.url).href;
const page401Url = "" + new URL("assets/401.html", import.meta.url).href;
const page404Url = "" + new URL("assets/404.html", import.meta.url).href;
const page500Url = "" + new URL("assets/500.html", import.meta.url).href;
const defaultConfig = {
  applications: {},
  importmap: {},
  layout: { content: { tag: "slot" } },
  settings: {
    "4xx": {
      401: {
        entry: page401Url,
        integrationMode: "parcel"
      },
      404: {
        entry: page404Url,
        integrationMode: "parcel"
      }
    },
    "5xx": {
      500: {
        entry: page500Url,
        integrationMode: "parcel"
      }
    },
    composerUri,
    defaultUrl: "./"
  },
  shared: { properties: {} },
  version: 2
};
const patchApplicationsOntoDocument = (document2, applications) => Object.entries(applications).reduce((apps, [key, nextApp]) => {
  if ("route" in nextApp) {
    apps[key] = {
      ...nextApp,
      route: computeAbsoluteRoute(document2, nextApp.route)
    };
  }
  if ("config" in nextApp && typeof nextApp.config === "string") {
    apps[key] = {
      ...nextApp,
      config: computeAbsoluteRoute(document2, nextApp.config)
    };
  }
  return apps;
}, applications);
function mergeConfig(document2, input) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p;
  const def = defaultConfig;
  const defaultUrl = computeAbsoluteRoute(
    document2,
    (_b = (_a = input.settings) == null ? void 0 : _a.defaultUrl) != null ? _b : def.settings.defaultUrl
  );
  const applications = patchApplicationsOntoDocument(
    document2,
    (_c = input.applications) != null ? _c : def.applications
  );
  return {
    applications,
    importmap: (_d = input.importmap) != null ? _d : def.importmap,
    layout: {
      ...input.layout,
      content: (_f = (_e = input.layout) == null ? void 0 : _e.content) != null ? _f : def.layout.content
    },
    settings: {
      "4xx": {
        ...def.settings["4xx"],
        ...(_g = input.settings) == null ? void 0 : _g["4xx"]
      },
      "5xx": {
        ...def.settings["5xx"],
        ...(_h = input.settings) == null ? void 0 : _h["5xx"]
      },
      composerUri: (_j = (_i = input.settings) == null ? void 0 : _i.composerUri) != null ? _j : def.settings.composerUri,
      defaultUrl,
      mountPoint: (_l = (_k = input.settings) == null ? void 0 : _k.mountPoint) != null ? _l : def.settings.mountPoint,
      mountPointSelector: (_n = (_m = input.settings) == null ? void 0 : _m.mountPointSelector) != null ? _n : def.settings.mountPointSelector
    },
    shared: {
      ...input.shared,
      properties: {
        ...(_p = (_o = input.shared) == null ? void 0 : _o.properties) != null ? _p : def.shared.properties
      }
    },
    version: 2
  };
}
const defaultInitOptions = {
  mapOverrides: true,
  shimMode: true
};
const COMPOSER_BODY_CLASS = "composer-body";
async function initImportMapSupport() {
  const { esmsInitOptions } = window;
  !esmsInitOptions && Object.defineProperty(window, "esmsInitOptions", {
    configurable: true,
    value: defaultInitOptions,
    writable: true
  });
  const done = Promise.resolve();
  if (!("importShim" in window)) {
    await __vitePreload(() => import("./dev/assets/es-module-shims.js").then((n2) => n2.e), true ? [] : void 0, import.meta.url).catch(
      logger_default.dynamicImportError("es-module-shims")
    );
  }
  return done;
}
const handleInitImportMapError = (err) => {
  logger_default.error("2", err.message);
};
const handleUpdateError = (currentApplication$2, err) => {
  currentApplication$2.pipe(take(1)).subscribe((app) => {
    logger_default.error("50", app != null ? app : "[unknown]", err.message);
  });
};
async function fetchConfig(url, init) {
  return jsonFetcher(url, init).then((json) => {
    return [json, void 0];
  }).then(
    ([json, schema]) => jsonToObject(json).catch(
      (err) => jsonToObjectCatcher(
        err,
        defaultConfig
      )
    )
  ).catch(
    (err) => invalidJsonCatcher(
      err,
      defaultConfig
    )
  );
}
async function updateGlobalImportMap(importmap) {
  importShim.addImportMap(importmap);
  return Promise.resolve();
}
function getContainer(selector) {
  const selected = selector ? this.querySelector(selector) : this._container;
  return selected != null ? selected : this._container;
}
async function updateApplications() {
  const {
    _config: {
      settings: {
        "4xx": pages4xx,
        "5xx": pages5xx,
        composerUri: composerUri2,
        mountPointSelector
      },
      applications,
      shared: {
        properties: sharedProperties
      }
    }
  } = this;
  const errorPages = [
    ...Object.entries(pages4xx),
    ...Object.entries(pages5xx)
  ];
  const pages = [
    ...errorPages,
    ...Object.entries(applications)
  ];
  pages.reduce((acc, [id, app], idx) => {
    const { name: name2, makeConfig } = prepareApplicationConfig(id, app, composerUri2);
    const container = getContainer.call(this, mountPointSelector);
    let idScopedByInstance = id;
    if (idx < errorPages.length) {
      idScopedByInstance = "".concat(this._instance, "-").concat(id);
    } else if (app.route !== void 0) {
      acc.routes.set(name2, app.route);
    }
    acc.mapping.set(name2, idScopedByInstance);
    acc.apps.set(idScopedByInstance, [app.route, makeConfig(container, this.getApi(), sharedProperties)]);
    return acc;
  }, {
    apps: this.loadedApps,
    mapping: this.applicationMapping,
    routes: this.loadedRoutes
  });
  return Promise.resolve();
}
function updateCSS(css) {
  this._styleElements.forEach((style) => {
    style.remove();
  });
  if (this.shadowRoot && "adoptedStyleSheets" in this.ownerDocument) {
    const stylesheets = createCSSStyleSheets(css);
    this.shadowRoot.adoptedStyleSheets = [...stylesheets];
  } else {
    const styleTags = Array(2).fill(0).map(
      () => this.ownerDocument.createElement("style")
    );
    this._styleElements = injectStyleToElements(css, styleTags, this.shadowRoot !== null);
    this._styleElements.forEach((el) => {
      this.shadowRoot ? this.shadowRoot.insertBefore(el, this.shadowRoot.firstChild) : this.ownerDocument.head.appendChild(el);
    });
  }
}
function initLanguageExtension() {
  let currentLanguage = window.navigator.language;
  return {
    getFallbackLanguage: () => {
      return this._fallbackLanguage;
    },
    getLanguage() {
      return currentLanguage;
    },
    setLanguage: (nextLang) => {
      currentLanguage = nextLang;
      setTimeout(() => {
        this._prepareForUpdate();
        this.update().then((done) => {
          if (done) {
            this.matchCache.invalidateCache();
            this._reroute().catch(rerouteErrorHandler);
            this._completeUpdate();
          }
        }).catch((err) => handleUpdateError(currentApplication$, err));
      });
    }
  };
}
function initBaseExtensions() {
  return {
    css: {
      setStyle: (css) => {
        updateCSS.call(this, css);
      }
    },
    head: {
      setIcon: ({ href, sizes, type }) => {
        var _a;
        const icon = (_a = this.ownerDocument.head.querySelector("link[rel=icon]")) != null ? _a : this.ownerDocument.createElement("link");
        Object.assign(icon, {
          href: href != null ? href : icon.href,
          sizes: sizes != null ? sizes : icon.sizes,
          type: type != null ? type : icon.type
        });
      },
      setTitle: (nextTitle) => {
        var _a;
        const title = (_a = this.ownerDocument.head.querySelector("title")) != null ? _a : this.ownerDocument.createElement("title");
        title.textContent = nextTitle;
        !title.isConnected && this.ownerDocument.head.appendChild(title);
      }
    },
    httpClient: (input, init) => window.fetch(input, init),
    json: {
      fetcher: jsonFetcher,
      async validator(json, schema, {
        defaultValue = json,
        file
      } = {}) {
        return jsonToObject(json).catch(
          (err) => jsonToObjectCatcher(err, defaultValue)
        );
      }
    },
    language: initLanguageExtension.call(this)
  };
}
var freeGlobal = typeof global == "object" && global && global.Object === Object && global;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root = freeGlobal || freeSelf || Function("return this")();
var Symbol$1 = root.Symbol;
var objectProto$1 = Object.prototype;
var hasOwnProperty = objectProto$1.hasOwnProperty;
var nativeObjectToString$1 = objectProto$1.toString;
var symToStringTag$1 = Symbol$1 ? Symbol$1.toStringTag : void 0;
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e2) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var objectProto = Object.prototype;
var nativeObjectToString = objectProto.toString;
function objectToString(value) {
  return nativeObjectToString.call(value);
}
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$1 ? Symbol$1.toStringTag : void 0;
function baseGetTag(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
function isObjectLike(value) {
  return value != null && typeof value == "object";
}
var symbolTag = "[object Symbol]";
function isSymbol(value) {
  return typeof value == "symbol" || isObjectLike(value) && baseGetTag(value) == symbolTag;
}
function arrayMap(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}
var isArray = Array.isArray;
var INFINITY = 1 / 0;
var symbolProto = Symbol$1 ? Symbol$1.prototype : void 0, symbolToString = symbolProto ? symbolProto.toString : void 0;
function baseToString(value) {
  if (typeof value == "string") {
    return value;
  }
  if (isArray(value)) {
    return arrayMap(value, baseToString) + "";
  }
  if (isSymbol(value)) {
    return symbolToString ? symbolToString.call(value) : "";
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY ? "-0" : result;
}
function toString(value) {
  return value == null ? "" : baseToString(value);
}
function baseSlice(array, start, end) {
  var index = -1, length = array.length;
  if (start < 0) {
    start = -start > length ? 0 : length + start;
  }
  end = end > length ? length : end;
  if (end < 0) {
    end += length;
  }
  length = start > end ? 0 : end - start >>> 0;
  start >>>= 0;
  var result = Array(length);
  while (++index < length) {
    result[index] = array[index + start];
  }
  return result;
}
function castSlice(array, start, end) {
  var length = array.length;
  end = end === void 0 ? length : end;
  return !start && end >= length ? array : baseSlice(array, start, end);
}
var rsAstralRange$2 = "\\ud800-\\udfff", rsComboMarksRange$3 = "\\u0300-\\u036f", reComboHalfMarksRange$3 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$3 = "\\u20d0-\\u20ff", rsComboRange$3 = rsComboMarksRange$3 + reComboHalfMarksRange$3 + rsComboSymbolsRange$3, rsVarRange$2 = "\\ufe0e\\ufe0f";
var rsZWJ$2 = "\\u200d";
var reHasUnicode = RegExp("[" + rsZWJ$2 + rsAstralRange$2 + rsComboRange$3 + rsVarRange$2 + "]");
function hasUnicode(string) {
  return reHasUnicode.test(string);
}
function asciiToArray(string) {
  return string.split("");
}
var rsAstralRange$1 = "\\ud800-\\udfff", rsComboMarksRange$2 = "\\u0300-\\u036f", reComboHalfMarksRange$2 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$2 = "\\u20d0-\\u20ff", rsComboRange$2 = rsComboMarksRange$2 + reComboHalfMarksRange$2 + rsComboSymbolsRange$2, rsVarRange$1 = "\\ufe0e\\ufe0f";
var rsAstral = "[" + rsAstralRange$1 + "]", rsCombo$2 = "[" + rsComboRange$2 + "]", rsFitz$1 = "\\ud83c[\\udffb-\\udfff]", rsModifier$1 = "(?:" + rsCombo$2 + "|" + rsFitz$1 + ")", rsNonAstral$1 = "[^" + rsAstralRange$1 + "]", rsRegional$1 = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair$1 = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsZWJ$1 = "\\u200d";
var reOptMod$1 = rsModifier$1 + "?", rsOptVar$1 = "[" + rsVarRange$1 + "]?", rsOptJoin$1 = "(?:" + rsZWJ$1 + "(?:" + [rsNonAstral$1, rsRegional$1, rsSurrPair$1].join("|") + ")" + rsOptVar$1 + reOptMod$1 + ")*", rsSeq$1 = rsOptVar$1 + reOptMod$1 + rsOptJoin$1, rsSymbol = "(?:" + [rsNonAstral$1 + rsCombo$2 + "?", rsCombo$2, rsRegional$1, rsSurrPair$1, rsAstral].join("|") + ")";
var reUnicode = RegExp(rsFitz$1 + "(?=" + rsFitz$1 + ")|" + rsSymbol + rsSeq$1, "g");
function unicodeToArray(string) {
  return string.match(reUnicode) || [];
}
function stringToArray(string) {
  return hasUnicode(string) ? unicodeToArray(string) : asciiToArray(string);
}
function createCaseFirst(methodName) {
  return function(string) {
    string = toString(string);
    var strSymbols = hasUnicode(string) ? stringToArray(string) : void 0;
    var chr = strSymbols ? strSymbols[0] : string.charAt(0);
    var trailing = strSymbols ? castSlice(strSymbols, 1).join("") : string.slice(1);
    return chr[methodName]() + trailing;
  };
}
var upperFirst = createCaseFirst("toUpperCase");
function capitalize(string) {
  return upperFirst(toString(string).toLowerCase());
}
function arrayReduce(array, iteratee, accumulator, initAccum) {
  var index = -1, length = array == null ? 0 : array.length;
  if (initAccum && length) {
    accumulator = array[++index];
  }
  while (++index < length) {
    accumulator = iteratee(accumulator, array[index], index, array);
  }
  return accumulator;
}
function basePropertyOf(object) {
  return function(key) {
    return object == null ? void 0 : object[key];
  };
}
var deburredLetters = {
  // Latin-1 Supplement block.
  "À": "A",
  "Á": "A",
  "Â": "A",
  "Ã": "A",
  "Ä": "A",
  "Å": "A",
  "à": "a",
  "á": "a",
  "â": "a",
  "ã": "a",
  "ä": "a",
  "å": "a",
  "Ç": "C",
  "ç": "c",
  "Ð": "D",
  "ð": "d",
  "È": "E",
  "É": "E",
  "Ê": "E",
  "Ë": "E",
  "è": "e",
  "é": "e",
  "ê": "e",
  "ë": "e",
  "Ì": "I",
  "Í": "I",
  "Î": "I",
  "Ï": "I",
  "ì": "i",
  "í": "i",
  "î": "i",
  "ï": "i",
  "Ñ": "N",
  "ñ": "n",
  "Ò": "O",
  "Ó": "O",
  "Ô": "O",
  "Õ": "O",
  "Ö": "O",
  "Ø": "O",
  "ò": "o",
  "ó": "o",
  "ô": "o",
  "õ": "o",
  "ö": "o",
  "ø": "o",
  "Ù": "U",
  "Ú": "U",
  "Û": "U",
  "Ü": "U",
  "ù": "u",
  "ú": "u",
  "û": "u",
  "ü": "u",
  "Ý": "Y",
  "ý": "y",
  "ÿ": "y",
  "Æ": "Ae",
  "æ": "ae",
  "Þ": "Th",
  "þ": "th",
  "ß": "ss",
  // Latin Extended-A block.
  "Ā": "A",
  "Ă": "A",
  "Ą": "A",
  "ā": "a",
  "ă": "a",
  "ą": "a",
  "Ć": "C",
  "Ĉ": "C",
  "Ċ": "C",
  "Č": "C",
  "ć": "c",
  "ĉ": "c",
  "ċ": "c",
  "č": "c",
  "Ď": "D",
  "Đ": "D",
  "ď": "d",
  "đ": "d",
  "Ē": "E",
  "Ĕ": "E",
  "Ė": "E",
  "Ę": "E",
  "Ě": "E",
  "ē": "e",
  "ĕ": "e",
  "ė": "e",
  "ę": "e",
  "ě": "e",
  "Ĝ": "G",
  "Ğ": "G",
  "Ġ": "G",
  "Ģ": "G",
  "ĝ": "g",
  "ğ": "g",
  "ġ": "g",
  "ģ": "g",
  "Ĥ": "H",
  "Ħ": "H",
  "ĥ": "h",
  "ħ": "h",
  "Ĩ": "I",
  "Ī": "I",
  "Ĭ": "I",
  "Į": "I",
  "İ": "I",
  "ĩ": "i",
  "ī": "i",
  "ĭ": "i",
  "į": "i",
  "ı": "i",
  "Ĵ": "J",
  "ĵ": "j",
  "Ķ": "K",
  "ķ": "k",
  "ĸ": "k",
  "Ĺ": "L",
  "Ļ": "L",
  "Ľ": "L",
  "Ŀ": "L",
  "Ł": "L",
  "ĺ": "l",
  "ļ": "l",
  "ľ": "l",
  "ŀ": "l",
  "ł": "l",
  "Ń": "N",
  "Ņ": "N",
  "Ň": "N",
  "Ŋ": "N",
  "ń": "n",
  "ņ": "n",
  "ň": "n",
  "ŋ": "n",
  "Ō": "O",
  "Ŏ": "O",
  "Ő": "O",
  "ō": "o",
  "ŏ": "o",
  "ő": "o",
  "Ŕ": "R",
  "Ŗ": "R",
  "Ř": "R",
  "ŕ": "r",
  "ŗ": "r",
  "ř": "r",
  "Ś": "S",
  "Ŝ": "S",
  "Ş": "S",
  "Š": "S",
  "ś": "s",
  "ŝ": "s",
  "ş": "s",
  "š": "s",
  "Ţ": "T",
  "Ť": "T",
  "Ŧ": "T",
  "ţ": "t",
  "ť": "t",
  "ŧ": "t",
  "Ũ": "U",
  "Ū": "U",
  "Ŭ": "U",
  "Ů": "U",
  "Ű": "U",
  "Ų": "U",
  "ũ": "u",
  "ū": "u",
  "ŭ": "u",
  "ů": "u",
  "ű": "u",
  "ų": "u",
  "Ŵ": "W",
  "ŵ": "w",
  "Ŷ": "Y",
  "ŷ": "y",
  "Ÿ": "Y",
  "Ź": "Z",
  "Ż": "Z",
  "Ž": "Z",
  "ź": "z",
  "ż": "z",
  "ž": "z",
  "Ĳ": "IJ",
  "ĳ": "ij",
  "Œ": "Oe",
  "œ": "oe",
  "ŉ": "'n",
  "ſ": "s"
};
var deburrLetter = basePropertyOf(deburredLetters);
const deburrLetter$1 = deburrLetter;
var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
var rsComboMarksRange$1 = "\\u0300-\\u036f", reComboHalfMarksRange$1 = "\\ufe20-\\ufe2f", rsComboSymbolsRange$1 = "\\u20d0-\\u20ff", rsComboRange$1 = rsComboMarksRange$1 + reComboHalfMarksRange$1 + rsComboSymbolsRange$1;
var rsCombo$1 = "[" + rsComboRange$1 + "]";
var reComboMark = RegExp(rsCombo$1, "g");
function deburr(string) {
  string = toString(string);
  return string && string.replace(reLatin, deburrLetter$1).replace(reComboMark, "");
}
var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;
function asciiWords(string) {
  return string.match(reAsciiWord) || [];
}
var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;
function hasUnicodeWord(string) {
  return reHasUnicodeWord.test(string);
}
var rsAstralRange = "\\ud800-\\udfff", rsComboMarksRange = "\\u0300-\\u036f", reComboHalfMarksRange = "\\ufe20-\\ufe2f", rsComboSymbolsRange = "\\u20d0-\\u20ff", rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange, rsDingbatRange = "\\u2700-\\u27bf", rsLowerRange = "a-z\\xdf-\\xf6\\xf8-\\xff", rsMathOpRange = "\\xac\\xb1\\xd7\\xf7", rsNonCharRange = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", rsPunctuationRange = "\\u2000-\\u206f", rsSpaceRange = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", rsUpperRange = "A-Z\\xc0-\\xd6\\xd8-\\xde", rsVarRange = "\\ufe0e\\ufe0f", rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;
var rsApos$1 = "['’]", rsBreak = "[" + rsBreakRange + "]", rsCombo = "[" + rsComboRange + "]", rsDigits = "\\d+", rsDingbat = "[" + rsDingbatRange + "]", rsLower = "[" + rsLowerRange + "]", rsMisc = "[^" + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + "]", rsFitz = "\\ud83c[\\udffb-\\udfff]", rsModifier = "(?:" + rsCombo + "|" + rsFitz + ")", rsNonAstral = "[^" + rsAstralRange + "]", rsRegional = "(?:\\ud83c[\\udde6-\\uddff]){2}", rsSurrPair = "[\\ud800-\\udbff][\\udc00-\\udfff]", rsUpper = "[" + rsUpperRange + "]", rsZWJ = "\\u200d";
var rsMiscLower = "(?:" + rsLower + "|" + rsMisc + ")", rsMiscUpper = "(?:" + rsUpper + "|" + rsMisc + ")", rsOptContrLower = "(?:" + rsApos$1 + "(?:d|ll|m|re|s|t|ve))?", rsOptContrUpper = "(?:" + rsApos$1 + "(?:D|LL|M|RE|S|T|VE))?", reOptMod = rsModifier + "?", rsOptVar = "[" + rsVarRange + "]?", rsOptJoin = "(?:" + rsZWJ + "(?:" + [rsNonAstral, rsRegional, rsSurrPair].join("|") + ")" + rsOptVar + reOptMod + ")*", rsOrdLower = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", rsOrdUpper = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", rsSeq = rsOptVar + reOptMod + rsOptJoin, rsEmoji = "(?:" + [rsDingbat, rsRegional, rsSurrPair].join("|") + ")" + rsSeq;
var reUnicodeWord = RegExp([
  rsUpper + "?" + rsLower + "+" + rsOptContrLower + "(?=" + [rsBreak, rsUpper, "$"].join("|") + ")",
  rsMiscUpper + "+" + rsOptContrUpper + "(?=" + [rsBreak, rsUpper + rsMiscLower, "$"].join("|") + ")",
  rsUpper + "?" + rsMiscLower + "+" + rsOptContrLower,
  rsUpper + "+" + rsOptContrUpper,
  rsOrdUpper,
  rsOrdLower,
  rsDigits,
  rsEmoji
].join("|"), "g");
function unicodeWords(string) {
  return string.match(reUnicodeWord) || [];
}
function words(string, pattern, guard) {
  string = toString(string);
  pattern = guard ? void 0 : pattern;
  if (pattern === void 0) {
    return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
  }
  return string.match(pattern) || [];
}
var rsApos = "['’]";
var reApos = RegExp(rsApos, "g");
function createCompounder(callback) {
  return function(string) {
    return arrayReduce(words(deburr(string).replace(reApos, "")), callback, "");
  };
}
var camelCase = createCompounder(function(result, word, index) {
  word = word.toLowerCase();
  return result + (index ? capitalize(word) : word);
});
var kebabCase = createCompounder(function(result, word, index) {
  return result + (index ? "-" : "") + word.toLowerCase();
});
function craftLanguageHeader(language = window.navigator.language, fallback) {
  let acceptLanguage = language;
  const [main, secondary] = language.split("-");
  if (secondary !== void 0) {
    acceptLanguage = "".concat(acceptLanguage, ", ").concat(main, ";q=0.5");
  }
  if (fallback) {
    const containsFallback = acceptLanguage.split(",").map((tag) => tag.split(";")[0]).map((tag) => tag.trim()).includes(fallback);
    if (!containsFallback) {
      acceptLanguage = "".concat(acceptLanguage, ", ").concat(fallback, ";q=0.1");
    }
  }
  return {
    "Accept-Language": acceptLanguage
  };
}
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class Microlc extends HTMLElement {
  constructor() {
    var _a, _b;
    super();
    __publicField(this, "_wasDisconnected", false);
    __publicField(this, "_updateComplete", true);
    __publicField(this, "_updateRequests", 0);
    __publicField(this, "_$$updatesCount", null);
    __publicField(this, "_instance", window.crypto.randomUUID());
    __publicField(this, "_config");
    __publicField(this, "_configSrc");
    __publicField(this, "_fallbackLanguage");
    __publicField(this, "_disableShadowDom");
    __publicField(this, "_reroute", reroute.bind(this));
    __publicField(this, "_rerouteToError", rerouteToError.bind(this));
    __publicField(this, "_microfrontendLoader", createQiankunInstance());
    __publicField(this, "_styleElements", []);
    __publicField(this, "loadedApps", /* @__PURE__ */ new Map());
    __publicField(this, "loadedRoutes", /* @__PURE__ */ new Map());
    __publicField(this, "applicationMapping", /* @__PURE__ */ new Map());
    __publicField(this, "matchCache", new MatchCache());
    __publicField(this, "_extensions", initBaseExtensions.call(this));
    __publicField(this, "getApi", createMicrolcApiInstance.call(this));
    __publicField(this, "_style");
    __publicField(this, "_container");
    const shadow = this.getAttribute("disable-shadow-dom") === null;
    const microlcRootId = (_a = this.getAttribute("root-id")) != null ? _a : "__micro_lc";
    if (shadow) {
      this.attachShadow({ mode: "open" });
    }
    const appendStyle = this.getAttribute("disable-styling") === null;
    this._style = Object.assign(
      this.ownerDocument.createElement("style"),
      {
        textContent: "\n          div#__micro_lc {\n            width: 100%;\n            height: 100%;\n          }\n\n          div#__micro_lc > :first-child {\n            width: inherit;\n            height: inherit;\n            overflow: hidden\n          }\n\n          div#__micro_lc > :first-child > div.".concat(COMPOSER_BODY_CLASS, " {\n            width: inherit;\n            height: inherit;\n            overflow: hidden\n          }\n        ")
      }
    );
    appendStyle && this.appendChild(this._style);
    this._container = this.ownerDocument.createElement("div");
    this._container.setAttribute("id", microlcRootId);
    this.appendChild(this._container);
    this._handlePropertyChange("config", (_b = this.config) != null ? _b : defaultConfig);
    this.configSrc !== void 0 && this._handlePropertyChange("configSrc", this.configSrc);
  }
  static get observedAttributes() {
    return ["config-src", "fallback-language"];
  }
  // properties/attributes update
  _prepareForUpdate() {
    this._updateRequests += 1;
    this._updateComplete = false;
  }
  _completeUpdate() {
    this._updateRequests = 0;
    this._updateComplete = true;
  }
  _handlePropertyChange(name2, value) {
    switch (name2) {
      case "config":
        this._configSrc = null;
        this.removeAttribute("config-src");
        this._prepareForUpdate();
        this._handlePropertyUpdate(
          "config",
          mergeConfig(this.ownerDocument, value)
        );
        break;
      case "configSrc":
        if (value !== this._configSrc) {
          this._prepareForUpdate();
          this._handlePropertyUpdate(
            "configSrc",
            value,
            (input) => typeof input === "string"
          );
        }
        break;
      case "fallbackLanguage":
        if (value !== this._fallbackLanguage) {
          this._prepareForUpdate();
          this._handlePropertyUpdate(
            "fallbackLanguage",
            value,
            (input) => typeof input === "string"
          );
        }
        break;
    }
  }
  _handlePropertyUpdate(name2, newValue, checkType = (_2) => true) {
    const nextValue = checkType(newValue) ? newValue : void 0;
    Object.assign(this, { ["_".concat(name2)]: nextValue });
    const candidateAttribute = kebabCase(name2);
    if (Microlc.observedAttributes.includes(candidateAttribute)) {
      if (typeof nextValue === "string") {
        this.setAttribute(kebabCase(name2), nextValue);
      } else if (nextValue === true) {
        this.setAttribute(kebabCase(name2), "");
      } else {
        this.removeAttribute(kebabCase(name2));
      }
    }
    setTimeout(() => {
      this.update().then((done) => {
        if (done) {
          this.matchCache.invalidateCache();
          return this._reroute().then(() => done).catch(rerouteErrorHandler);
        }
      }).then((done) => {
        var _a;
        if (done) {
          (_a = this.onload) == null ? void 0 : _a.call(window, new Event("load"));
          this._completeUpdate();
        }
      }).catch((err) => handleUpdateError(currentApplication$, err));
    });
  }
  get config() {
    return this._config;
  }
  set config(src) {
    this._handlePropertyChange("config", src);
  }
  /**
   * @observedProperty --> mirrored by `config-src`
   */
  get configSrc() {
    return this._configSrc;
  }
  set configSrc(src) {
    this._handlePropertyChange("configSrc", src);
  }
  /**
   * @observedProperty --> mirrored by `fallback-language`
   */
  get fallbackLanguage() {
    return this._fallbackLanguage;
  }
  set fallbackLanguage(lang) {
    this._handlePropertyChange("fallbackLanguage", lang);
  }
  get updateComplete() {
    return this._updateComplete;
  }
  get $$updatesCount() {
    return this._$$updatesCount;
  }
  get microfrontendLoader() {
    return this._microfrontendLoader;
  }
  get instance() {
    return this._instance;
  }
  connectedCallback() {
    if (this._wasDisconnected && this._disableShadowDom) {
      this._styleElements.forEach((element) => {
        this.ownerDocument.head.appendChild(element);
      });
    }
    createRouter.call(this);
    this._wasDisconnected = false;
  }
  attributeChangedCallback(name2, oldValue, newValue) {
    let nextValue = newValue;
    if (newValue === "") {
      nextValue = null;
    }
    if (oldValue !== nextValue) {
      Object.assign(this, { [camelCase(name2)]: nextValue });
    }
  }
  async update() {
    var _a, _b;
    if (this._updateRequests === 1) {
      if (typeof this._configSrc === "string") {
        const headers = craftLanguageHeader(
          (_a = this.getApi().getExtensions().language) == null ? void 0 : _a.getLanguage(),
          (_b = this.getApi().getExtensions().language) == null ? void 0 : _b.getFallbackLanguage()
        );
        const config2 = await fetchConfig(this._configSrc, { headers });
        this._config = mergeConfig(this.ownerDocument, config2);
      }
      await initImportMapSupport().catch(handleInitImportMapError);
      await updateGlobalImportMap(this._config.importmap);
      await this.render();
      await updateApplications.call(this);
      return Promise.resolve(true);
    }
    this._updateRequests -= 1;
    return Promise.resolve(false);
  }
  async render() {
    const {
      _config: {
        layout,
        settings: {
          mountPoint,
          mountPointSelector
        },
        shared: {
          properties
        }
      }
    } = this;
    const unmount = getUnmount();
    await (unmount == null ? void 0 : unmount().catch(rerouteErrorHandler));
    if (this.shadowRoot) {
      Array.from(this.shadowRoot.children).forEach((child) => {
        child.remove();
      });
    }
    Array.from(this._container.children).forEach((child) => {
      child.remove();
    });
    const { content } = await premount(layout);
    const composerByContent = async (conf) => createComposerContext(conf, {
      context: { composerApi: { createComposerContext, premount }, microlcApi: this.getApi(), ...properties },
      extraProperties: /* @__PURE__ */ new Set(["microlcApi", "composerApi", ...Object.keys(properties)])
    });
    const layoutAppender = await composerByContent(content);
    if (this.shadowRoot) {
      layoutAppender(this.shadowRoot);
    }
    if (mountPoint) {
      let isDomMountable = false;
      {
        isDomMountable = true;
      }
      if (isDomMountable) {
        const mountPointAppender = await composerByContent(mountPoint);
        mountPointAppender(this._container);
      }
    }
  }
  disconnectedCallback() {
    this._styleElements.forEach((el) => {
      el.remove();
    });
    removeRouter.call(this);
    this._wasDisconnected = true;
  }
}
customElements.define("micro-lc", Microlc);
export {
  commonjsGlobal as c
};
